2002-04-01    <karl@gnu.org>

	* configure.ac: version 4.2.
	* util/texi2dvi: 4.2

	* makeinfo/toc.c: doc fix.
	* util/install-info-html:
	* makeinfo/texinfo.xsl: Fixes From: Ville Skyttä
		<ville.skytta@iki.fi>.

	* makeinfo/insertion.c (begin_insertion): (copying case) omit
		cm_insert_copying if no_headers.
	Bug report from Stephen Gildea.

2002-03-28    <karl@gnu.org>

	* configure.ac: pretest 4.1d.

	* doc/texinfo.txi:
	* makeinfo/cmds.c: ignore headings commands.  From Stephen Gildea.

	* doc/texinfo.txi: @ifplaintext

2002-03-26    <karl@gnu.org>

	* doc/texinfo.tex (\ifplaintext,\ifnotplaintext): new output
		format conditional.

	* makeinfo/cmds.c (cm_settitle):
	* makeinfo/node.c (cm_node): need to pass output filename arg to
		* xml_begin_document.

	* makeinfo/cmds.c (cm_sp): need close_single_paragraph instead of
	close_paragraph to avoid an extra blank line.  Bug report from Stephen Gildea.

	* doc/texinfo.tex (\doignore): can't do c kludge for
		documentdescription.  Bug report from Stephen Gildea.

	* doc/texinfo.txi: missing t in documentdescription example, from
	Stephen Gildea.

2002-03-24    <karl@gnu.org>

	* doc/texinfo.txi: invar sec

2002-03-23    <karl@gnu.org>

	* configure.ac: pretest 4.1c.

2002-03-23  Eli Zaretskii  <eliz@is.elta.co.il>

	* info/search.c (skip_non_whitespace): Don't go beyond the
	terminating null character.

	* info/filesys.c (filesys_read_info_file) 
	(filesys_read_compressed): Null-terminate the contents of the file
	we've read, so it could be used as a C string.

2002-03-23  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/makeinfo.c (insert_toplevel_subdirectory): Fix
	computation of output_filename's length, to avoid overrunning
	malloc'ed buffer.  If mkdir returns with EEXIST, assume we can use
	an existing directory only if the existing file is indeed a
	directory.  On MS-DOS, allow for EACCES in addition to EEXIST.
	<max_name_len>: Remove this variable.

	* makeinfo/makeinfo.c (expansion): Protect execute_string from too
	long strings.
	(EXECUTE_STRING_MAX): New macro.
	(execute_string): Use EXECUTE_STRING_MAX, not 4000.

2002-03-23    <karl@gnu.org>

	* doc/texinfo.txi:
	* makeinfo/insertion.h:
	* makeinfo/texinfo.dtd:
	* makeinfo/xml.h:
	* makeinfo/xml.c:
	* makeinfo/makeinfo.h:
	* makeinfo/insertion.c:
	* makeinfo/html.c:
	* makeinfo/cmds.c:
	* doc/info-stnd.texi: @permissions -> @copying.
	* doc/texinfo.tex: permissions -> copying.

2002-03-22    <karl@gnu.org>

	* configure.ac: pretest 4.1b.

	* info/Makefile.am (BUILT_SOURCES): conditionalize on
		TEXINFO_MAINT, to appease distcheck.

	* From: Matthew Woodcraft <mattheww@chiark.greenend.org.uk>:
	* makeinfo/makeinfo.h (next_menu_item_number): New global.
	* makeinfo/insertion.c (begin_insertion): Initialise it.
	* makeinfo/makeinfo.c (handle_menu_entry): Emit accesskey attribute
	in html output, according to next_menu_item_number.
	* makeinfo/node.c (cm_node): Emit accesskey attributes in html output.

	* doc/texinfo.txi: GNU texts.

	* doc/info-stnd.texi: @syncodeindex, not @synindex.

2002-03-21    <karl@gnu.org>

	* doc/texinfo.txi: @permissions.

2002-03-20    <karl@gnu.org>

	* doc/texinfo.txi: document --no-headers a bit better.
	* makeinfo/makeinfo.c: better description of --no-headers,
		suggested by Stephen Gildea.

	* makeinfo/makeinfo.c (insert_toplevel_subdirectory): use
		command-line specified output name unchanged.

	* makeinfo/makeinfo.c (full_expansion): new routine, separated
	from expansion, that does not tamper with the formatting parameters.
	* makeinfo/insertion.c: copying -> permissions.
	(cm_insert_permissions): insert rather than add.
	* makeinfo/texinfo.dtd:
	* makeinfo/xml.h:
	* makeinfo/xml.c:
	* makeinfo/cmds.c: copying -> permissions.
	* makeinfo/makeinfo.h: copying -> permissions.
	(full_expansion): declare.

	* doc/texinfo.txi: @copying -> @permissions, @include fdl.texi.
	* doc/info-stnd.texi: @copying -> @permissions, always include the FDL.

	* makeinfo/html.c (html_output_head): copying -> permissions, use
	insert_string.
	* makeinfo/insertion.h: copying -> permissions.
	* doc/texinfo.tex: \copying -> \permissions.

	* doc/Makefile.am (EXTRA_DIST): include fdl.texi.

2002-03-19    <karl@gnu.org>

	* makeinfo/insertion.c (cm_insert_copying): use insert_string in
		the xml case, sigh.

	* doc/info-stnd.texi: copying

	* dir-example: info standalone.

	* makeinfo/html.c: copyright_text -> copying_text.
	* makeinfo/texinfo.dtd:
	* makeinfo/insertion.c:
	* makeinfo/insertion.h:
	* makeinfo/makeinfo.h:
	* makeinfo/xml.c:
	* makeinfo/xml.h:
	* makeinfo/cmds.c: copyrighttext -> copying.
	* doc/info-stnd.texi: copyrighttext -> copying.
	* doc/texinfo.tex (\copying, \insertcopying): rename from
		copyrighttext per rms.

	* makeinfo/index.c (index_add_arg): don't emit warning for index
	entries containing : after all.

	* info/infokey.c: remove non-ansi trailing commas from last items
	of enums.  From: Albert Chin-A-Young <china@thewrittenword.com>.

2002-03-18    <karl@gnu.org>

	* doc/info-stnd.texi: @include after @setfilename.
	* doc/texinfo.txi: @insertcopyrighttext, @settitle GNU ...

	* doc/texinfo.txi: mention @setfilename and source filename
		exceptions at the top.

	* makeinfo/defun.c (scan_group_in_string): handle escaped @{ and @}.
	Bug report from Werner Lemberg.

	* doc/info-stnd.texi: add version number to title a la Texinfo.
	* doc/info-stnd.texi: file -> manual.
	* doc/info-stnd.texi: use @copyrighttext.

	* makeinfo/insertion.c (begin_insertion, end_insertion):
			copyrighttext case.
	* makeinfo/makeinfo.h (copyright_text): declare/define.
	* makeinfo/html.c (html_output_head): output copyrighttext.
	* makeinfo/texinfo.dtd: Add copyrighttext.
	* makeinfo/xml.h (xml_element): add COPYRIGHTTEXT.
	* makeinfo/xml.c (texinfoml_element_list, docbook_element_list):
			copyrighttext case.

2002-03-17    <karl@gnu.org>

	* makeinfo/insertion.h (insertion_type): include copyrighttext.
	* makeinfo/cmds.c (command_table): new command copyrighttext.

	* doc/texinfo.tex (\copyrighttext, \insertcopyrighttext): new
	 Texinfo commands to handle the copyright and permission text cleanly.
	(\dblarrowbox,\longdblarrowbox,\pushcharbox,\equivbox,\bullbox):
		remove these definitions that have not been used for ages.

	* configure.ac: call AC_CANONICAL_BUILD before the termcap
	checking.  Bug report from Eli.

2002-03-16  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/node.c (cm_anchor): When recording the anchor position,
	account for output_paragraph_offset, since the current paragraph
	might not be closed yet (happens inside a menu, for example).

	* djgpp/config.sed: Tweak to adapt to the new Automake/Autoconf.

	* djgpp/README: Update.

2002-03-15    <karl@gnu.org>

	* dir-example: GNU organization.

2002-03-14    <karl@gnu.org>

	* makeinfo/cmds.c (cm_titlepage): do not declare nonexistent
	function.

2002-03-14    <karl@gnu.org>

	* doc/texinfo.txi: don't say specifically html 3.2, since <html
			lang=...> is not 3.2.
	Bug reprt from: Matthew Woodcraft <mattheww@chiark.greenend.org.uk>.

2002-03-13    <karl@gnu.org>

	* doc/texinfo.tex (\writetocentry): set \pdfmakepagedesttrue here.
	(\Etitlepage): instead of here.  In case the document has no
		@titlepage.  Bug report from Stephen Gildea.

	* util/texi2dvi: be verbose after the definition of cmd, not
	before.  From Andreas Schwab.

2002-03-12    <karl@gnu.org>

	* pretest 4.1a.
	* doc/info-stnd.texi: update to FDL.

2002-03-11    <karl@gnu.org>

	* util/texi2dvi:
	* util/texindex.c:
	* util/install-info.c:
	* makeinfo/makeinfo.c:
	* info/infokey.c:
	* info/info.c: home page and help message.

	* doc/texinfo.txi (math): document @\ (aka \\) for literal \.
	regularize index entries.
	* makeinfo/cmds.c (command_table): \\ -> insert_self.

	* doc/texinfo.tex (\mathbackslash): new definition.
	(\math): handle \\ too.
	(\codeunder): handle @code{\} in mmode.

	* makeinfo/html.c: make home page be gnu's.

	* doc/texinfo.txi (Conventions): rewrite description of quotes so
	as to work in all formats; there was no output for HTML.
	Report from: David Merrill <david@lupercalia.net>.

2002-03-10    <karl@gnu.org>

	* doc/texinfo.txi (Texinfo Copying Conditions): mention this
	manual's license specifically.

2002-03-09  Eli Zaretskii  <eliz@is.elta.co.il>

	* info/indices.c (add_index_to_index_nodenames): Fix an off-by-one
	error when computing the number of the last index entry.

2002-03-08    <karl@gnu.org>

	* doc/texinfo.tex: Rewrite unnumbered toc handling to keep track
	of their sequence, so they can be handled correctly in
	the PDF toc (= bookmarks).
	From: Werner LEMBERG <wl@gnu.org>.

	* configure.ac: AC_MSG_WARN if can't find a term library.  From:
	Marc.Herbert@ens-lyon.fr.

	* info/info.c: alphabetize.
	* info/info.c: include short option names.

2002-03-08  Eli Zaretskii  <eliz@is.elta.co.il>

	* info/display.c (display_update_one_window): Dynamically reallocate
	printed_line[] as needed.  When under -R, ignore ANSI escapes for
	the purposes of line wrap display.  Clear the line to EOL if it
	used escape sequences.  Reallocate entry->text if the new
	printed_line is longer than screenwidth.

	* info/window.c (string_width): Don't count ANSI escape sequences
	in string width, when under -R..
	(calculate_line_starts): Don't count ANSI escape sequences in line
	width, when under -R.
	(window_get_cursor_column, window_chars_to_goal): When under -R,
	ANSI escapes don't affect the horizontal position.

	* info/info-utils.c (printed_representation): If -R is in effect,
	treat ESC as a normal character.

2002-03-08    <karl@gnu.org>

	* util/Makefile.am:
	* info/Makefile.am:
	* makeinfo/Makefile.am:
	* lib/Makefile.am: doc fix.

	* doc/Makefile.am (install-tex): prefix the install directories
	with $(DESTDIR), because that is what automake does for all
	generated install rules.  The file pdfcolor.tex should be
	installed as such (and not as epsf.tex).
	From: Peter Breitenlohner <peb@mppmu.mpg.de>.

	* configure.ac (AC_INIT): now pass [GNU Texinfo].
	(AM_INIT_AUTOMAKE): now no args, for automake 1.6.

2002-03-05    <karl@gnu.org>

	* doc/texinfo.txi: history

2002-03-04    <karl@gnu.org>

	* configure.ac: version 4.1.
	* util/texi2dvi: version.

	* doc/texinfo.txi: @settitle is used in html output (from Eli),
		various underfull hbox fixes.

2002-03-02    <karl@gnu.org>

	* configure.ac: pretest 4.0k

	* info/info.c: declare add_file_to_directory to avoid warning.

	* doc/info-stnd.texi: info standalone so as not to collide with
		`standards' in dir.

2002-03-01  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/insertion.c (end_insertion): Insert the /td and /tr
	directives in lower case.  From Per Bothner <per@bothner.com>.

	* makeinfo/macro.c (cm_alias): Ignore whitespace around the alias
	name, like the manual promises.

	* doc/texinfo.txi (Invoking Macros, Macro Details): Document that
	commas in macro arguments don't work in TeX.  Advise texi2dvi -e
	when macros don't work with TeX.

	* doc/texinfo.txi (Node Line Requirements): Add restrictions about
	parens and some punctuation characters in node names.
	(Def Cmd Template): Document that macros are not expanded.

	The following two changes allow to say "info foo" if there's an
	Info file `foo' somewhere along INFOPATH.

	* info/info.c (add_file_directory_to_path): New function, code
	moved from `main'.
	(main): Use add_file_directory_to_path.  

	* info/session.c (info_follow_menus): If the first menu entry
	couldn't be found as an item in DIR's menu, try it as a file name.

	2001-06-19  Mark Montague  <markmont@umich.edu>

	* info/filesys.c: Fix for sparc64 (offsets should be "long"s).

	* info/session.c: Fix typos in function calls.

	2001-08-23  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/footnote.c (cm_footnote): Don't allow footnotes inside
	footnotes.
	(output_pending_notes): Increment already_outputting_pending_notes
	in the HTML case as well, to protect execute_string from
	recursively entering output_pending_notes.

2002-03-01    <karl@gnu.org>

	* doc/texinfo.tex: fix mismatched $'s for sake of emacs font-lock.
	From: Stephen Gildea <gildea@stop.mail-abuse.org>.

2002-02-27    <karl@gnu.org>

	* configure.ac: pretest 4.0j.

	* info/infodoc.c: 1scroll-forward typo.

2002-02-26    <karl@gnu.org>

	* lib/system.h [! ENABLE_NLS]: let's not go const.

2002-02-26  Eli Zaretskii  <eliz@is.elta.co.il>

	* djgpp/config.sed: Add tweaking of file names in "install-info"
	and "uninstall-info" targets.

	* doc/inf-stnd.texi (Custom Key Bindings, Invoking infokey):
          Add footnotes about DOS file names.

	* info/infokey.c (main) [__MSDOS__]: If HOME is not defined,
	default to the current directory.

2002-02-26    <karl@gnu.org>

	* lib/system.h (LC_MESSAGES) [! LC_MESSAGES]: need this after all.

2002-02-25    <karl@gnu.org>

	* doc/info-stnd.texi: contents at top, avoid overfull hbox.
	* lib/Makefile.am (libtxi_a_sources): include gettext.h.

	* lib/system.h (LC_MESSAGES): don't need conditional, Bruno says
		that locale.h or libintl.h does so.

	* configure.ac: pretest 4.0i.

	* dir-example: infokey.
	* doc/info-stnd.texi: invoking infokey.
	* info/infokey.c (short_help): reorganize slightly.

	* lib/system.h: use "gettext.h" instead of <libintl.h> per gettext
	0.11 recommendation.

2002-02-25  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add intl.
	* configure.ac (AC_CONFIG_FILES): Add intl/Makefile.

2002-02-25    <karl@gnu.org>

	* util/Makefile.am (LDADD):
	* makeinfo/Makefile.am (LDADD):
	* info/Makefile.am (LDADD): @LIBINTL@ per gettextize.

	* configure.ac: gettextize changes.
	* Makefile.am: gettextize changes.

2002-02-25  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add m4.
	(SUBDIRS): Remove intl.
	(ACLOCAL_AMFLAGS): New variable.
	(EXTRA_DIST): Add config.rpath.
	* configure.ac (AC_CONFIG_FILES): Add m4/Makefile.
	(AC_CONFIG_FILES): Remove intl/Makefile.

2002-02-23    <karl@gnu.org>

	* pretest 4.0h.

	* 2002-02-23  Eli Zaretskii  <eliz@is.elta.co.il>
	* doc/info-stnd.texi (Invoking Info): Add a reference to the
	description of index-apropos and index-search.  Document the
	--raw-escapes option.
	(Searching Commands): Describe index-search and index-apropos.

	* info/man.c (clean_manpage): If raw_escapes_p is not set, remove
	ANSI escape sequences from the man page.

	* info/info.h: Declare raw_escapes_p.

	* info/info.c: <raw_escapes_p>: New variable.
	New option --raw-escapes or -R.
	(main): Handle it.
	(info_short_help): Document it.
	(main): Honor --output together with --usage, by dumping the node
	we found to the named file.

	2002-02-23  Eli Zaretskii  <eliz@is.elta.co.il>
	* makeinfo/html.c (nodename_to_filename): Call
	nodename_to_filename_1 with the last argument 1, not 0.

	* makeinfo/toc.c (shortcontents_update_html) 
	(contents_update_html): Don't omit the entry for the Top node.

	* 2002-01-30  Eli Zaretskii  <eliz@is.elta.co.il>
	* makeinfo/node.c (cm_node): Don't condition splitting on
	top_node_seen being non-zero.  If current_node is NULL, use the
	current output file name to get at the file name for the previous
	node.  Don't compute a new file name for a node if we didn't close
	the current file.

	2002-02-01  Eli Zaretskii  <eliz@is.elta.co.il>
	* makeinfo/node.c (cm_node): Call html_output_head whenever we
	create a new split-HTML file.

	* makeinfo/html.c (html_output_head): Make html_title static.
	Compute it only once, and don't free it.  Output the <h1> title
	header only once per run.

	2002-02-02  Eli Zaretskii  <eliz@is.elta.co.il>
	* makeinfo/toc.c (contents_update_html): Fix the condition for
	omitting duplicate TOC entries.  Fix comparison with the TOC entry
	for "Top".

2002-02-14    <karl@gnu.org>

	* doc/Makefile.am (DISTCLEANFILES): use this variable instead of
	the distclean-aminfo target, which apparently is no longer used.

	* pretest 4.0g.

	* doc/texinfo.tex (\appendixentry): new macro for typesetting
	appendix toc entries.
	(\appendixzzz, \summarycontents, \pdfoutlines): use it, instead of
	usurping \chapentry.  This allows the bookmarks in the pdf output
	to come out right.  Report from: Kurt Hornik
	<Kurt.Hornik@ci.tuwien.ac.at>.

2002-02-13    <karl@gnu.org>

	* configure.ac: ALL_LINGUAS is deprecated as of gettext 0.11.
	* doc/texinfo.tex (\image): remove spurious \loggingall.

	* doc/texinfo.txi: @math now implies @tex.
	* doc/texinfo.tex (\math): imply @tex.

2002-02-11    <karl@gnu.org>

	* makeinfo/insertion.c (handle_verbatim_environment): save and
	restore filling_enabled and inhibit_paragraph_indentation.  Bug
	report from: Alexandre Duret-Lutz <duret_g@lrde.epita.fr>.

	* makeinfo/makeinfo.c (reader_loop): don't worry about bare braces
	inside @math.

2002-02-08    <karl@gnu.org>

	* info/infodoc.c: keep underlines with the text they refer to, for
		translation purposes.
	Pointed out by Christian Rose <menthos@menthos.com>, 20 nov 2001.

	* doc/info.texi: recommend setting INFOPATH.

	* doc/Makefile.am (install-tex): need $(srcdir) for install.
	From: istry <istry@mail.ru>.

	* doc/texinfo.tex: replace $$$ delimiter with $.$, for sake of
	font-lock in Emacs 21.1.  Suggestion from: Stephen Gildea
	<gildea@stop.mail-abuse.org>.

	2002-01-26  Eli Zaretskii  <eliz@is.elta.co.il>
	* info/infomap.c (default_emacs_like_info_keys) 
	(default_emacs_like_ea_keys, default_vi_like_info_keys) 
	(default_vi_like_ea_keys): Fix default keybindings to be
	consistent with non-INFOKEY branch.  Add bindings for Home, End,
	and Delete keys.

	2002-01-23  Eli Zaretskii  <eliz@is.elta.co.il>
	* makeinfo/toc.h <TOC_ENTRY_ELT>: New member html_file.

	* makeinfo/toc.c (toc_add_entry): Compute and set the html_file
	member.
	(shortcontents_update_html): Produce the toc_* links correctly,
	without duplicating the link text.  Fix comparison with "Top".
	Handle the case when there's @shortcontents, but no @contents.
	(contents_update_html): Fix the way toc_* anchors are produced
	from toc_entry_alist[i]->name: take only the node name from the
	string in toc_entry_alist[i]->name.  Fix comparison with "Top".

	* makeinfo/sectioning.c (sectioning_html): Take the toc_anchor
	substring before closing the anchor with </a>.  Fix the closing
	</hN> tag--add 2 to level, not 1.  Use sizeof instead of a magic
	value of 9.

	* makeinfo/cmds.c: Make @summarycontents call cm_shortcontents, as
	promised by the docs.

	2002-01-19  Eli Zaretskii  <eliz@is.elta.co.il>
	* djgpp/config.sed: Fix a problem with AC_CONFIG_LINKS that
	prevented building from a directory on another drive.

	* djgpp/config.bat: Fix problems with long --srcdir diectory names.

	* djgpp/README: Update.

2002-01-31    <karl@gnu.org>

	* doc/texinfo.txi: mention dvips

2002-01-28    <karl@gnu.org>

	* configure.ac (ALL_LINGUAS): add hr.

2002-01-22    <karl@gnu.org>

	* makeinfo/defun.c (defun.c): only warn about ( immediately
        following a defun name, since the groff manual needs other
        characters there where whitespace is incorrect.
	Reported by Werner Lemberg <wl@gnu.org>.

	* doc/info-stnd.texi: alphabetize variable list.

	* doc/texinfo.txi: no :'s in index entries, index @page/@group
	some more.

	* makeinfo/index.c (index_add_arg): warn if index entry contains a
	colon.  From: Kenneth Lorber <keni@his.com>.

2002-01-21    <karl@gnu.org>

	* makeinfo/insertion.c: </pre not /<pre, reported by Mike
	Benefield <mike@duckbrain.com>.

2002-01-18    <karl@gnu.org>

	* configure.ac: pretest 4.0f.

	* util/texindex.c:
	* util/install-info.c:
	* makeinfo/makeinfo.c:
	* info/info.c: it's 2002.

	* info/session.c: pass right args to info_scroll_half_screen_up.
	From Eli.

2002-01-18  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/multi.c (multitable_item): Always return a value.

	* util/install-info.c (xmalloc, xrealloc, pfatal_with_name)
	(open_possibly_compressed_file, parse_input): Call `fatal' with 3
	arguments, to avoid compiler warnings.
	(main): Call `fatal', `error', and `warning' with the right number
	of arguments.

	* makeinfo/makeinfo.c (main): Remove extraneous first arg of
	usage().

	* info/window.c (build_message_node): Supply a 4th argument to
	build_message_buffer.


2002-01-18  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/sectioning.c (sectioning_html): End the anchor properly
	with a </a>.

	* info/session.c (info_menu_or_ref_item): If we didn't find a
	cross-reference on this line, try the one before.

	* info/infomap.c (fetch_user_maps): Provide two different
	translations for ``file too small'' and ``file too big'' error.

	* info/info.c (info_short_help): Print the --speech-friendly
	option together with the other options, not at the end of the help
	screen.

2002-01-18  Andreas Schwab  <schwab@suse.de>

	* makeinfo/html.c (escape_string): When string is empty don't read
	past end of it.

2002-01-17    <karl@gnu.org>

	* doc/info-stnd.texi: overfull box in table.

2002-01-16    <karl@gnu.org>

	* configure.ac: pretest 4.0e.

	* doc/info.texi: update from emacs.

2002-01-03  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/makeinfo.c (file_line_error): New function.

	* makeinfo/insertion.c (discard_insertions): Call file_line_error
	instead of changing global variables.

	* makeinfo/sectioning.c (cm_top): Ditto.

	* makeinfo/node.c (validate_file): Ditto.

	* makeinfo/makeinfo.c (discard_braces, handle_variable_internal):
	Ditto.

	* makeinfo/macro.c (define_macro): Ditto.

	2001-12-31  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/node.h (TAG_ENTRY): New struct member html_fname.

	* makeinfo/node.c (find_node_by_fname): New function.
	(remember_node): Accept an additional argument FNAME, the node's
	file name, and record it in the list of nodes; callers changed.
	(cm_node): Call find_node_by_fname to see if this node's file name
	clashes with another node or anchor.  If it clashes with another
	node, append the new node to the same file instead of erasing the
	other node.  If it clashes with an anchor, print an error message
	and overwrite the anchor's file.
	(cm_anchor): If this anchor's file name clashes with another
	anchor or node, print an error message and ignore the anchor.

	* makeinfo/files.c (normalize_filename): New function.

	* makeinfo/files.h <normalize_filename>: Add declaration.

	* makeinfo/html.c (nodename_to_filename_1): Call
	normalize_filename before returning the file name to the caller.
	Disable the code which adds #Nodified-filename to the file name we
	produce.

	* makeinfo/makeinfo.c (add_char): Don't replace whitespace with
	&nbsp; if we are producing an HTML directive.
	(add_html_elt): New function.
	(cm_xref, cm_inforef, cm_uref, cm_email, cm_image): Use
	add_html_elt instead of add_word, where appropriate.

	* makeinfo/html.c (add_link): Ditto.

	* makeinfo/footnote.c (cm_footnote): Ditto. 

	* makeinfo/defun.c (defun_internal): Ditto.

	2001-12-27  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/node.c (cm_node): Don't omit links to (DIR) from the
	navigation bar, add_anchor_name will DTRT now.

	* makeinfo/makeinfo.c (cm_xref): Produce a split-HTML file name
	from arg1, the node name, not from arg3 or arg2, which are the
	reference name.  Use arg2 or arg3 for the text to be displayed as
	a link between ">" and "</a>".  Use add_anchor_name instead of
	add_nodename_to_filename.
	(cm_inforef): Use add_anchor_name instead of
	add_nodename_to_filename.  Handle the case of a missing second
	argument in @inforef.

	* makeinfo/html.c (add_anchor_name): Always add # and the anchor
	name, even if we are splitting.  If the node is "(dir)", treat it
	as if it were "dir".
	(nodename_to_filename_1): Don't append #Top for the Top node.
	(add_link): Don't punt if nodename is "(dir)".  Output "</a>"
	after the link.

	2001-12-25  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/makeinfo.c (cm_xref, cm_inforef): Output the target
	file name via add_nodename_to_filename.

	2001-12-20  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/html.c (nodename_to_filename_1): Make references to Top
	to refer to index.html#Top.
	(add_nodename_to_filename): Accept additional argument HREF;
	callers changed.

	* makeinfo/toc.c (rewrite_top): If the filename to rewrite is
	stdout or the null device, do nothing.

	* makeinfo/makeinfo.c (insert_toplevel_subdirectory): Use
	FILENAME_CMP instead of strcmp.  Search for a period forward, not
	backward.  Make index_name[] a static const array, and its len
	computed at compile time.
	(convert_from_loaded_file): If output_filename is the null device,
	turn off HTML splitting.
	(cm_xref): Use add_anchor_name, rather than add_escaped_anchor_name,
	in the 5-argument case in HTML mode.
	(cm_inforef): Fix external references in HTML mode.

	* makeinfo/node.c (cm_node): Use FILENAME_CMP instead of strcmp.
	Don't open a new file if the new node's name is empty.  Take the
	directory part of split-HTML files from current_output_filename,
	not from toplevel_output_filename (the latter doesn't include the
	manual's subdirectory part).

	* makeinfo/html.c (nodename_to_filename_1): Use FILENAME_CMPN
	instead of strncmp.  Support *.inf files in references.

2001-12-11  Eli Zaretskii  <eliz@is.elta.co.il>

	* djgpp/config.bat, djgpp/config.sed, djgpp/config.site: Update
	for Texinfo 4.0d.

	* makeinfo/makeinfo.c (insert_toplevel_subdirectory): Use IS_SLASH
	instead of literal `/'.
	(convert_from_loaded_file): Flush the output stream before
	creating the TOC.


2002-01-14    <karl@gnu.org>

	* info/info.c: translate --speech-friendly (from Eli).
	* makeinfo/index.c: formatting.

	2001-12-24  Eli Zaretskii  <eliz@is.elta.co.il>
	* info/infomap.c (initialize_info_keymaps): Bind the user-defined
	keys on top of the default ones, not the other way around.

2002-01-11    <karl@gnu.org>

	* info/info.c: can't do #ifdef inside of printf any more.
	From: Tyler <tyler@zerodivide.cx>

	* configure.ac (ALL_LINGUAS): add he, from Eli.

2002-01-09  Eli Zaretskii <eliz@is.elta.co.il>

	* info/window.c (calculate_line_starts): Cast node->contents[i] to
 	unsigned char.

2002-01-04    <karl@gnu.org>

	* doc/texinfo.tex (\footnotezzz): \noindent=\relax.

2002-01-03    <karl@gnu.org>

	* doc/texinfo.tex (\imagexxx): handle pdf and dvi cases the same.
        (\dopdfimage): need \immediate to avoid seg fault when including the
	same image twice.
	Bug reports from Alexandre Duret-Lutz <duret_g@lrde.epita.fr>.

2001-12-31    <karl@gnu.org>

	* makeinfo/makeinfo.c (cm_image): check *ext_arg as well as
		ext_arg when computing length of fullname.

	* makeinfo/defun.c: docbook changes.
	* makeinfo/docbook.c (docbook_punctuation): remove deprecated
		default: at end of statement.

	* makeinfo/docbook.c: initial.
	* makeinfo/docbook.h: initial.
	* makeinfo/Makefile.am (makeinfo_SOURCES): add docbook.[ch].
	* makeinfo/makeinfo.c (add_char): use &nbsp; in docbook case.

	* doc/texinfo.tex (\footnotezzz): use \everypar={\hang} instead of
	just \hang in case a footnote extends for multiple paragraphs.

2001-12-18    <karl@gnu.org>

	* info/Makefile.am (BUILT_SOURCES): include $(EXEEXT) on makedoc
	dependency since automake doesn't do it.

	2001-12-11  Eli Zaretskii  <eliz@is.elta.co.il>

	* djgpp/config.bat, djgpp/config.sed, djgpp/config.site: Update
	for Texinfo 4.0d.

	* info/infomap.c (fetch_user_maps): Initialize `filename' to NULL
	and don't try to call `open' if `filename' is NULL.
	[__MSDOS__]: Try the current directory if neither $INFOKEY nor
	$HOME are defined.

	* makeinfo/makeinfo.c (insert_toplevel_subdirectory): Use IS_SLASH
	instead of literal `/'.
	(convert_from_loaded_file): Flush the output stream before
	creating the TOC.

	2001-12-10  Eli Zaretskii  <eliz@is.elta.co.il>

	* info/infokey.c (main): Use FOPEN_WBIN instead of "w".

	* info/infokey.h (INFOKEY_SRCFILE, INFOKEY_FILE) [__MSDOS__]:
	Special definitions for MS-DOS.

	2001-12-09  Eli Zaretskii  <eliz@is.elta.co.il>

	* lib/system.h: Condition inclusion of libintl.h on ENABLE_NLS.
	(gettext, bindtextdomain, textdomain) [!ENABLE_NLS]: Provide
	trivial definitions for when NLS is not used.
	(LC_MESSAGES) [!ENABLE_NLS]: Define if undefined by locale.h.

2001-12-18  Eli Zaretskii  <eliz@is.elta.co.il>

	* info/infomap.c (decode_keys): Change the return type to int;
	callers changed.  Return zero if some of the special keys in SRC
	are not defined by the terminal; return non-zero otherwise.
	(section_to_keymaps): If decode_keys returns zero, don't bind the
	key sequence.

2001-12-18  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/xml.c (xml_insert_element_with_attribute) 
	(xml_insert_element): Rename the argument `element' to `elt'.

	* info/infokey.c (compile): Use \033 instead of (non-standard) \e.

2001-12-17    <karl@gnu.org>

	2001-12-16  Eli Zaretskii  <eliz@is.elta.co.il>

	* info/pcterm.c (pc_initialize_terminal) [INFOKEY]: Store term_kh,
	term_ke, term_ki, and term_kx sequences.
	(DJGPP_keytab): Map Home, End, and Insert to escape sequences, not
	to C-a, C-e, etc.

	* info/infomap.c (default_emacs_like_info_keys) 
	(default_emacs_like_ea_keys, default_vi_like_info_keys) 
	(default_vi_like_ea_keys): Add the leading suppress-default flag,
	to be consistent with the table which comes from a file.

	* info/session.c (info_do_lowercase_version): Add a doc string.

	* info/infodoc.c (describe_key) [INFOKEY]: If keystroke is bound
	to do-lowercase-version, but its lower-case variant is undefined,
	say that keystroke is also undefined.


2001-12-12    <karl@gnu.org>

	* makeinfo/files.c (find_and_load): remove conditionals on
		 VMS|O_BINARY, always just read as many bytes as we can.

        2001-12-11  Eli Zaretskii  <eliz@is.elta.co.il>
        * new files for djgpp/.

        2001-09-09  Eli Zaretskii  <eliz@is.elta.co.il>
	* info/echo-area.c (build_completions): Look for a candidate
	completion which matches user's request including the letter-case,
	use that as the value of LCD_completion.

        2001-12-06  Eli Zaretskii  <eliz@is.elta.co.il>
	* info/echo-area.c (build_completions): When looking for the best
	completion candidate, only compare as much characters as the user
	typed.


2001-12-04    <karl@gnu.org>

	* doc/texinfo.tex (\pdfmkpgn): remove trailing @ in link names
		again.  Also from Kurt.

	* doc/texinfo.tex (\image): need five commas to ignore additional
	optional args to @image.  From Kurt.Hornik@ci.tuwien.ac.at.

	* doc/texinfo.tex (\afourlatex): reset \globaldefs=0 explicitly.
	From Trond Endrestøl <trond@ramstind.gtf.ol.no>.

2001-12-01    <karl@gnu.org>

	* makeinfo/files.c (find_and_load): remove O_BINARY from open
	call, this messes up under Windows.  From eli.

2001-11-20    <karl@gnu.org>

	* makeinfo/makeinfo.c (cm_image): reword error messages.

2001-11-19    <karl@gnu.org>

	* Pretest 4.0d.
	* doc/texinfo.txi: index ragged right/left.

	* info/window.c (build_message_buffer): handle %1$s as used in
	ja.po.  From Fumitoshi UKAI <ukai@debian.or.jp>.

	* configure.ac (ALL_LINGUAS): add sv.

2001-11-16    <karl@gnu.org>

	* Makefile.am (EXTRA_DIST): add COPYING.DOC.

        1999-10-30  Andrew Bettison  <andrewb@zip.com.au>

	All these changes are to implement user-configurable key mapping
	using the new 'infokey' program.  For the time being, the new
	code is conditional on [INFOKEY] and the old code is still there
	in case we want to revert.

	* info/session.c (incremental_search): test for printable chars
	_before_ isearch command keys -- makes a difference if the
	isearch commands are bound to printable chars.

	* info/doc.h,
	* info/infodoc.c,
	* info/infomap.c,
	* info/m-x.c,
	* info/session.c: New typedef InfoCommand, plus a bunch of
	supporting macros, to abstract a "command" away from being a
	function pointer.

	* info/doc.h (pretty_keyseq),
	* info/infodoc.c (pretty_keyseq),
	* info/session.c (pretty_keyseq): Moved definition from
	session.c into infodoc.c, and rewrote to recognise special
	terminal sequences (PgUp, PgDn, etc.).

	* info/infodoc.c (create_internal_info_help_node,
	replace_in_documentation, info_where_is),
	* info/m-x.c (info_execute_command): Cleaned up references to
	hardwired keystrokes.

	* info/infodoc.c (replace_in_documentation):
	Extended the \\[foo] syntax to recognise \\%-X.Y[foo], which
	causes the replacement text to be inserted using sprintf("%-X.Ys").

	* info/session.c (_scroll_forward, _scroll_backward,
	scroll_forward_page_only, scroll_backward_page_only,
	scroll_forward_page_only_set_window,
	scroll_backward_page_only_set_window): New functions, eliminating
	need for SPC and DEL hack.

	* info/session.c (scroll_forward, scroll_backward,
	scroll_forward_set_window, scroll_backward_set_window): Call
	_scroll_forward and _scroll_backward to do all the work.

	* info/infomap.c (initialize_info_keymaps)[!INFOKEY]: set 'v'
	and Control('v') key bindings to info_scroll_backward_page_only
	and info_scroll_forward_page_only respectively.

	* info/Makefile.am (bin_PROGRAMS): Added new executable `infokey'.
	(infokey_SOURCES): Defined.
	(EXTRA_DIST): Added `sample_infokey'.
	(BUILT_SOURCES): Added `key.c'.

	* info/infokey.h,
	* info/infokey.c: Created, for new program `infokey' which
	creates a $HOME/.info file by compiling a text source file with
	syntax very similar to that used by `lesskey' in less 3.4.0.

	* info/makedoc.c: Generate new file `key.c' defining an array to
	map command names to codes.

	* info/key.h: Created, to define contents of new `key.c' now
	created by makedoc.

	* info/info.h (INFOKEY): Define, to enable all following changes.
	(set_variable_to_value)[INFOKEY]: Declare new function.

	* info/makedoc.c [INFOKEY]: Write '#define A_' numeric command
	code definitions into `funs.h' to support new key binding system.

	* info/session.c (info_dispatch_on_key, info_numeric_arg_digit_loop)
	[INFOKEY],
	* info/infomap.c [INFOKEY],
	* info/infodoc.c (function_documentation, function_name,
	describe_key, pretty_keyname, pretty_keyseq_internal,
	where_is_internal)[INFOKEY],
	* info/terminal.h (term_kh, term_ke, term_kx, term_ki)[INFOKEY],
	* info/terminal.c (term_kh, term_ke, term_kx, term_ki,
	terminal_initialize_terminal)[INFOKEY],
	* info/variables.c (set_variable_to_value)[INFOKEY],
	* info/sample_infokey: Added infokey functionality, copied more
	or less wholesale from 'lesskey' in GNU Less 3.4.0.  Added a new
	typedef struct FUNCTION_KEYSEQ, and a new element `keys' to
	typedef struct FUNCTION_DOC, to give the user some control over
	the keystrokes that appear in the documentation node generated
	by get-help-window, and to improve efficiency a little.

	* info/infodoc.c (info_internal_help_text,
	create_internal_info_help_node)[INFOKEY]: Rewrote all code that
	assumes fixed keystrokes, replacing %10s sequences with \\%10[foo]
	sequences instead.

	* doc/info-stnd.texi: Documented above changes.

2001-09-19    <karl@gnu.org>

	* makeinfo/cmds.c: </ not /<, duh :).  From janneke.

2001-09-12    <karl@gnu.org>

	* configure.ac (AC_SYS_POSIX_TERMIOS, AC_HEADER_TIOCGWINSZ): use
	 these new autoconf macros instead of the old automake ones.

	* info/terminal.c: remove unconditional include of sys/ioctl.h.
	* info/termdep.h: <sys/ioctl.h> [GWINSZ_IN_SYS_IOCTL]: include outside of HAVE_TERMIOS_H,
	per autoconf manual.

	* doc/Makefile.am (install-info-am): remove override of automake's
	 target, instead enable looking in . for info files within automake.

	* doc/info-stnd.texi: include separate version-stnd.texi
	* configure.ac: autoconf 2.52, and rename to configure.ac.

2001-09-11    <karl@gnu.org>

	* doc/texinfo.txi: recommend against using - and _ in @set names,
		* and rearrange that section.

	* info/infodoc.c (replace_in_documentation): free fun_name to fix
		memory leak.
	From: "Art Haas" <ahaas@neosoft.com>, Sat, 4 Aug 2001 08:34:31 -0500.

	* makeinfo/lang.c: encoding support for info output from kama.
	* makeinfo/lang.h: encoding support for info output from kama.

	* makeinfo/html.c: include document encoding code unless
	no_encoding.
	* makeinfo/insertion.c (cm_direntry): don't call begin_insertion
	if ignoring.
	(cm_documentdescription): moved here, and likewise.
	(begin_insertion): don't need output format conditionals here.

	* makeinfo/cmds.c (cm_documentdescription): move to insertion.c.
	* makeinfo/makeinfo.h (enable_encoding): new global.
	* makeinfo/makeinfo.c: new option --enable-encoding, rearrange help.

	Sun Oct 31 18:44:24 UTC 1999 Karl Heinz Marbaise <kama@hippo.fido.de>

	    - lang.{c,h}:
	      o added translation map between HTML markups and 8-Bit
		(ISO-8859-1 codes; supplemental is Unicode for the future).
	      o added cm_search_iso_map:
		search for characters based on HTML markup names for
		translation 8-Bit code.
	      o recognizing of @documentencoding improved.
		now we can recognize things like ISO-8859-{1...15}

	    - makeinfo.{c,h}:
	      o added two command line switches.
		+ info-encoding to activate the encoding for info output
		  which is correctly shown by info. Default is NOT to
		  encode the output to be compatible with earlier versions.
		+ no-encoding to suppress encoding e.g. while producing
		  ASCII output (--no-headers) results in that you get
		  "A for &Auml; as before.
	      o help output changed to document the switches.

	    - html.c:
	      charset encoding in html based on @documentencoding.


2001-07-31    <karl@gnu.org>

	* doc/texinfo.txi: mention pdfcolor.tex.
	* doc/texinfo.tex: doc.
	* doc/Makefile.am (install-tex): install pdfcolor.tex too.
	* doc/pdfcolor.tex: new file, since Kurt.Hornik@ci.tuwien.ac.at
		reports that not all pdftex installations include it.

2001-07-25    <karl@gnu.org>

	* doc/texinfo.tex (\Etitlepage): need \HEADINGSon before the
	\...aftertitlepage checks to get page numbers. Report from
	3diff@gnu.org.

2001-07-06    <karl@gnu.org>

	* doc/texinfo.txi: mention http://docbook2X.sourceforge.net/.

2001-06-29    <karl@gnu.org>

	* makeinfo/makeinfo.c: make output to stdout imply --no-split for
		HTML, too.

	* makeinfo/html.c (html_output_head): use documentdescription if set.
	* makeinfo/insertion.h (insertion_type): new case documentdescription.
	* makeinfo/insertion.c (begin_insertion, end_insertion,
	insertion_type_names): new case for documentdescription.
	* makeinfo/cmds.c (cm_documentdescription): new fn.
	* makeinfo/makeinfo.h (document_description): new global.
	* doc/texinfo.txi: @documentdescription.
	@documentdescription implementation from patches by Will Estes.

2001-06-26    <karl@gnu.org>

	* doc/texinfo.txi: documentdescription
	* doc/texinfo.tex: Ignore @documentdescription ... @end
	documentdescription.

	* doc/texinfo.txi: document sequential punctuation in @footnote is
	normal, suggested by rms.

2001-06-21    <karl@gnu.org>

	* doc/texinfo.tex (\textfonts): call \setleading here, so that we can
	switch font sizes back and forth inside @tex with \globaldefs=1
	and not lose the leading.

	* doc/texinfo.txi: allow @smallbook to run without overfull or
		underfull boxes.

2001-06-19    <karl@gnu.org>

	* doc/texinfo.tex (\imagexxx): ignore new optional args to @image.

	* makeinfo/html.c (html_output_head): include <h1>title</h1> at
	beginning of document.
	* makeinfo/sectioning.c (cm_top): don't include explicit links in
	HTML output, the regular code for @node will do it.
	(sectioning_html): use <h2> for chapter instead of <h1>, etc.
	* makeinfo/node.c (cm_node): do not include code to output the
	HTML <head>, we do that elsewhere now.
	
	1999-11-26 W. L. Estes <will@fumblers.org>
	* makeinfo/insertion.c (begin_insertion): add an explicit <br>
	before beginning a <pre> block. for flushleft and flushright, use
	<div> tag with an align attribute set.
	* makeinfo/insertion.c (end_insertion): for flushleft and
	flushright, end the </div> block.

	* makeinfo/makeinfo.c (cm_image): new variable, alt_arg now allows
	user-supplied alt attribute value and
	ext_arg allows user-supplied extension for image files.

	* makeinfo/toc.c (contents_update_html): add anchors at chapter
	level entries
	(shortcontents_update_html): hrefs in shortcontents point to the
	above anchors in the detailed contents

	* doc/texinfo.txi: document changes to @image and the new behavior
	of shortcontents entries

2001-06-14    <karl@gnu.org>

	* makeinfo/node.c: no need for size_t.

2001-06-13    <karl@gnu.org>

	* texinfo.tex (\pdfmkdest): \normalturnoffactive, so refs and 
	defs match.
	(\xrefX): pdf link defs no longer use @, so link refs shouldn't use @
	either. (All xrefs in pdf were failing.)
	(\mkpgn): remove redundant second definition.

	* texinfo.tex (\smallerfonts): new font size.
	(\smallexample, et al.): use it, in all cases, not just @smallbook.
	
	1999-11-30 Andreas Schwab <schwab@suse.de>
	* doc/texinfo.tex (\xrefX): Turn off active characters when writing
	out the link name for pdf.

2001-06-13    <karl@gnu.org>

	* doc/texinfo.txi: document that @smallexample is smaller in all
		page formats now.

2001-06-11    <karl@gnu.org>

	* 4.0c.
	* util/Makefile.am: Don't need automake patch any more, with
		automake 1.4p4.

	* configure.in (AC_FUNC_SETVBUF_REVERSED): only needed on
	pre-sysvr3 systems that nobody has anymore?  Or so Russ Allbery
	informs me ...

2001-06-08    <karl@gnu.org>

	* makeinfo/Makefile.am (EXTRA_DIST): include texinfo.{dtd,xsl}.

	* util/Makefile.am: automake-1.4p3 now.

2001-06-07    <karl@gnu.org>

	* util/texi2dvi: comment out conditional text, from Werner LEMBERG
	       <wl@gnu.org>.

       2001-06-02  Eli Zaretskii  <eliz@is.elta.co.il>
	* info/echo-area.c (info_read_completing_internal): If there are
	no completions, say that instead of "Not complete".

	* configure.in (ALL_LINGUAS): add da

	* makeinfo/Makefile.am (pkgdata_DATA): include texinfo.xsl.

	* configure.in: update for autoconf 2.50.

2001-06-04    <karl@gnu.org>

	* util/Makefile.am (EXTRA_DIST): automake-14p2.patch now.
	* util/automake-14p2.patch: rename from 14p1.

2001-05-22    <karl@gnu.org>

	* changes from feloy for lowercase xml names, etc.

2001-05-21    <karl@gnu.org>

	* util/Makefile.am (EXTRA_DIST): add automake-14p1.patch.
	* makeinfo/Makefile.am (pkgdata_DATA): define to install
	        texinfo.dtd.

        2001-05-17  Eli Zaretskii  <eliz@is.elta.co.il>
	* makeinfo/makeinfo.c (cm_xref, cm_inforef): Don't allow empty
	first arguments in cross references.

	* makeinfo/makeinfo.c: redo --help, basic patch from ke@suse.de.

2001-05-03    <karl@gnu.org>

	* doc/info.texi: move help-cross to be subnode of cross-refs,
	instead dangling out in space.
	* doc/info.texi: update from eli

2001-05-02    <karl@gnu.org>

	* makeinfo/xml.c (xml_push_current_element): need to select the
		`name' member.

2001-05-01    <karl@gnu.org>

	* configure.in: 4.0b

	* doc/info.texi (Help-Cross): subsection of Cross-refs.

	* lib/system.h (va_alist, etc.): moved from makeinfo.c.
	* makeinfo/makeinfo.c (va_alist, etc.): move to system.h

	* makeinfo/xml.[ch]: new files from Philippe Martin <feloy@free.fr>.
	* pretty much all files also modified for XML/DocBook output.
	* doc/texinfo.txi: minimally mention --xml and --docbook.
	* makeinfo/xml.c: convert to K&R until we can do ansi2knr.

	* util/texindex.c,
	* util/install-info.c,
	* info/info.c: it's 2001.

2001-04-15    <karl@gnu.org>

	* doc/info.texi: major update from eli.

2001-04-13    <karl@gnu.org>

        1999-10-16  Eli Zaretskii  <eliz@is.elta.co.il>
	* makeinfo/node.c (cm_node): Don't generate cross-references to
	"(DIR)".
	* makeinfo/html.c (add_link): Likewise.

        1999-10-16  Eli Zaretskii  <eliz@is.elta.co.il>
	* makeinfo/makeinfo.c (insert): Don't call html_output_head here.
	(add_char): Call html_output_head here...
	* makeinfo/cmds.c (cm_sp): ...and here...
	* makeinfo/toc.c (cm_contents, cm_shortcontents): ...and here...
	* makeinfo/node.c (cm_anchor): ...and here.
	
	* makeinfo/html.c (html_output_head): `free' html_title if
	expanded.  Make <head> and <body> stand out.

2001-04-12    <karl@gnu.org>

	1999-12-26  Eli Zaretskii  <eliz@is.elta.co.il>
	* makeinfo/defun.c (defun_internal): Use execute_string instead
	add_word_args to expand defined_name, type_name and category (in
	HTML mode).

2001-03-29    <karl@gnu.org>

	* Makefile.am: simple license.

2001-02-27    <karl@gnu.org>

	1999-12-17  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>
		* info/terminal.h, info/terminal.c (term_kh, term_ke, term_kD):
		New variables to hold Home, End, Delete key sequences.
		* info/infomap.c (initialize_emacs_like_keymaps,
		initialize_vi_like_keymaps): Set them.

	* makeinfo/makeinfo.h,
	* makeinfo/makeinfo.c: --split-size option from Yoshiki:
	1999-12-09  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>
		* makeinfo/makeinfo.h (split_size): New option.
		* makeinfo/makeinfo.c (long_options): Add split_size.
		(usage): Ditto.	Suggested by Richard Y. Kim.

	* util/texi2dvi: -o support from Akim.

2001-02-02    <karl@gnu.org>

	* dir-example: don't need zsh twice.

	From: Nishio Futoshi <fut_nis@d3.dion.ne.jp>, 02 Apr 2000.
	* doc/texinfo.txi: capitalization fixes.
	* doc/info.texi: up pointer fixes.
	* doc/texinfo.txi: installing an info file.

	* makeinfo/makeinfo.c: --output is for split html, not non-split.
	From: Karl Eichwalder <keichwa@gmx.net>

2001-01-12    <karl@gnu.org>

	1999-10-15  Eli Zaretskii  <eliz@is.elta.co.il>
		* makeinfo/cmds.c (cm_sc): Don't print the warning about
		all-uppercase argument in menus under --no-headers.

	* makeinfo/files.c: pass O_BINARY flag to open, suggested by bfox.

2001-01-11    <karl@gnu.org>

	* info/terminal.c [HAVE_TERMIOS_H && TCOON]: tcflow TCOOFF/TCCON
	to resume output if user presses CTRL-S at the beginning of
	things.
	[HAVE_TERMIO_H && TCXONC]: ditto.
	From Kevin Ryde <user42@zip.com.au>, 16jun2000;
	cf. emacs/src/sysdep.c.

2001-01-08    <karl@gnu.org>

	* makeinfo/cmds.c: afivepaper, afourwide, afourlatex.
	* doc/texinfo.txi: afivepaper

2001-01-05    <karl@gnu.org>

	* doc/info.texi: typo from: Martin Buchholz <martin@xemacs.org>.
	* doc/info.texi: typo fixes from meyering.

2001-01-02    <karl@gnu.org>

	* makeinfo/makeinfo.c (remember_brace_1): don't assume command is
	 non-null, an (erroneous) input line like \hbox to7in{ passes in a
	 null.

	* makeinfo/toc.c: fix from jan
	* makeinfo/html.c: fix from jan for top-level references.

2000-12-22    <karl@gnu.org>

	* makeinfo/makeinfo.c: --help changes.
	* doc/texinfo.txi: -o means the directory name for HTML output.

2000-12-21    <karl@gnu.org>

	* doc/texinfo.txi: switch to fdl

	* makeinfo/html.c: doc fix.
	* makeinfo/insertion.c: no space after _ I guess.
	* makeinfo/cmds.c: no space after _ I guess.

	* makeinfo/html.c (nodename_to_filename_1): fix up external
	* top-node references.

2000-12-20    <karl@gnu.org>

* HTML table patch from Jan:
    2000-12-19  Jan Nieuwenhuizen  <janneke@gnu.org>

	    * makeinfo/multi.c (multitable_item),
	    (cm_tab): close html table columns.  Also, align cell contents to
	    top, which is probably the most sensible thing to do for text.


2000-12-19    <karl@gnu.org>

	* makeinfo/makeinfo.c (insert_toplevel_subdirectory): try
		name.html if just name doesn't work.

	* doc/texinfo.txi: document html output in .html directory
		sometimes.

	* util/Makefile.am (EXTRA_DIST): add install-info-html.

	* util/texindex.c: 2000
	* util/install-info.c: 2000
	* info/info.c: 2000
	* configure.in: 4.0a

	* lib/system.h: include limits.h

	* Applied HTML splitting changes from Jan:
    2000-11-10  Jan Nieuwenhuizen  <janneke@gnu.org>

	    * makeinfo: removed code for numbered split HTML output, removed
	    SPLIT_JCN conditional.

    2000-11-09  Jan Nieuwenhuizen  <janneke@gnu.org>

	    * makeinfo/html.c: prepared nodifying filename functions for
	    linking not non-spit HTML documents, by adding ``#anchor'' to
	    external refernces.

	    * doc/texinfo.txi (Installing HTML info): updated doco for --html
	    option, added node Installing HTML info.

	    * util/install-info-html.in: new script.  The bare minimum
	    required for generating HTML index.  

	    * lib/system.h:	compilation fix.

    2000-11-08  Jan Nieuwenhuizen  <janneke@gnu.org>

	    * makeinfo/makeinfo.c (convert_from_loaded_file): [SPLIT_JCN]:
	    overloaded already way too hairy function with logic to put split
	    html output into subdirectory with basename of toplevel output
	    file.

	    * makeinfo/html.c (fix_filename): new function.

    2000-11-07  Jan Nieuwenhuizen  <janneke@gnu.org>

	    * toc.c (toc_add_entry): 
	    (contents_update_html): 
	    (shortcontents_update_html): [SPLIT_JCN]: use hrefs for nodename based
	    html files.

	    * node.c (cm_node): [SPLIT_JCN]: create html filename based on
	    nodename (instead of a numbered node<num>.html filename).

	    * makeinfo/makeinfo.c (main): [SPLIT_JCN]: enable splitting of
	    html output.

	    * makeinfo/html.c
	    (add_url_name,add_nodename_to_filename,nodename_to_filename): new
	    functions.

2000-12-15    <karl@gnu.org>

	* configure.in (AC_CHECK_HEADERS): add limits.h explicitly.

2000-11-10    <karl@gnu.org>

	* dir-example: update
	* info/nodes.c: doc fixes, etc.

	* incorporated verbatim patch from janneke:
    2000-04-14    <janneke@gnu.org>

	    * applied texinfo-3.12s.jcn4 patch

    1999-09-02    <janneke@gnu.org>

	    * makeinfo/cmds.c,
	    * makeinfo/insertion.c: @verbatiminclude file
	    * doc/texinfo.tex: @verbatiminclude file
	    * doc/texinfo.txi: @vebatiminclude file doco
	    * NEWS: added @verbatiminclude to Language section

    1999-09-01    <janneke@gnu.org>

	    * makeinfo/makeinfo.c: bf: @exdent (urg6.texi) -- Rolled into 4.0
	    * NEWS: added verb* to Language section
	    * doc/texinfo.txi: @verb, @verbatim doco
	    * doc/texinfo.tex: tricky tex-fix for @verb{<char>..<char>}
	    * doc/texinfo.tex: real tab expansion for @verbatim mode
	    * doc/texinfo.tex: proper start of environment, no indentation

    1999-08-31    <janneke@gnu.org>

	    * makeinfo/cmds.c: 
	    * makeinfo/insertion.{c,h},
	    * makeinfo/makeinfo.{c,h}: redo of @verbatim, @verb{<char>..<char>}
	    * doc/texinfo.tex: fixed @verb{<char>..<char>}

    1999-08-30  Jan Nieuwenhuizen <janneke@gnu.org>

	    * makeinfo/cmds.c,
	    * makeinfo/insertion.{c,h},
	    * makeinfo/makeinfo.{c,h}: added @verbatim (and preliminary @verb)
	    support
	    * doc/texinfo.tex: added @verbatim (and preliminary @verb) support

    1999-08-24  Jan Nieuwenhuizen <janneke@gnu.org>

	    * bf: empty node: makeinfo/node.c:cm_node () -- Rolled into 4.0


2000-10-18    <karl@gnu.org>

	* doc/info.texi: eli update

2000-09-22    <karl@gnu.org>

	* makeinfo/defun.c: warn if non-whitespace follows @defun'd name
	  (suggestion from Akim).

  Installed some patches:
  
  2000-08-04  Paul Eggert  <eggert@twinsun.com>
	  * makeinfo/multi.c (find_template_width):
	  Don't access before start of *PARAMS.

  2000-08-21  Eli Zaretskii  <eliz@is.elta.co.il>
	  * info/filesys.c (info_file_in_path): Reject FILENAME if it is
	  empty, or ".", or "..".

  2000-08-23  Eli Zaretskii  <eliz@is.elta.co.il>
	  * info/session.c (info_menu_or_ref_item): If the user have chosen
	  menu item or xref that's identical to defentry's label, use
	  defentry instead of looking for its label.  Otherwise, select the
	  entry whose position is the closest to the window's point, in
	  case there's more than a single entry with that label.

2000-09-12    <karl@gnu.org>

	* doc/texinfo.txi: it's 2000 now.
	* doc/texinfo.txi: document the only real (and rare) reason for not using implicit pointer
	creation.

2000-09-06    <karl@gnu.org>

	* configure.in: test all termcap variables for existence.  From
	andy@rz.uni-karlsruhe.de.

	* configure.in (ALL_LINGUAS): include ja.
	* lib/system.h [HAVE_IO_H]: make #include <io.h> conditional for
	BeOS.  Reported by Dan Moore, dan@moore.cx.
	* configure.in (AC_CHECK_HEADERS): add io.h.

2000-06-05    <karl@gnu.org>

	* doc/texinfo.txi: forgot to escape {}.

2000-05-30    <karl@gnu.org>

	* info/filesys.c (is_dir_name): check all info suffixes as well as
	the compression suffixes.  Fixes segmentation fault on a dir.info
	file ending after the * Menu.

2000-05-28    <karl@gnu.org>

	* doc/texinfo.txi: Forgot {arg} in @rmacro example.  From Olaf B.

2000-05-27    <karl@gnu.org>

	* doc/txi-cs.tex: update from: Stepan Kasal <kasal@suse.cz>.

	* doc/Makefile.am (install-data-local): reformat warning per
	François to hopefully make it more noticeable.

	2000-02-08  Eli Zaretskii  <eliz@is.elta.co.il>
		* info/session.c (incremental_search): Don't retain RET when
		exiting isearch.  Suggested by Hrvoje Niksic <hniksic@iskon.hr>.

2000-05-22    <karl@gnu.org>

	* doc/texinfo.txi: pageparams -> pagesizes

2000-05-18    <karl@gnu.org>

	* makeinfo/lang.c (cm_accent_tilde): need N in list.
	From: kama@hippo.fido.de (Karl Heinz Marbaise)

	* makeinfo/files.c (find_and_load): read only the number of bytes
	available in the buffer.  Also, remove one-byte-at-a-time reading
	in the WIN32 case.
	From: "J. David Bryan" <dbryan@bcpl.net>

	* info/man.c: use eli's patch after all, we re-increment j at the
	top of the loop.

2000-05-16    <karl@gnu.org>

	* info/man.c (clean_manpage): don't write before the beginning of
	newpage.
	(based on patch from Eli).

2000-02-03    <karl@gnu.org>

	* doc/texinfo.txi: remove spurious space. from kaja.

1999-10-12  Karl Berry  <karl@gnu.org>

	* doc/Makefile.am (install-tex): install all txi-?? files.

1999-10-01  W. L. Estes  <will@fumblers.org>

	* makeinfo/cmds.c: dont treat @center as separate paragraph,
	use div element to output center

1999-09-29  Eli Zaretskii  <eliz@is.elta.co.il>

	* djgpp/README: Say `dir-example', not DIR.

	* lib/system.h (DEFAULT_INFOPATH) [__DJGPP__]: Define.

1999-09-28  Karl Berry  <karl@gnu.org>

	* configure.in,
	util/texi2dvi: version 4.0.
	* doc/texinfo.txi: New isbn.

1999-09-24  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: Fixes from Oleg.

1999-09-20  Karl Berry  <karl@gnu.org>

	* makeinfo/node.c: Don't write region at an anchor.
	From: Thomas Esken <esken@nmlab.informatik.fh-dortmund.de>

	* info/terminal.c: Only set dumb terminal if tgetent returns < 0,
		not 0.
	For HP-UP 11.
	From jeff.hull@state.co.us.

	* makeinfo/footnote.c: Don't translate the `Footnotes' string
		according to LANG, it should be according to
		@documentlanguage, which isn't implemented yet.
	From: Jan Nieuwenhuizen <janneke@gnu.org>

	* doc/texinfo.txi: @end direntry from kama.

1999-09-19  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: \ninett is now \smalltt.

	* doc/texinfo.txi: arnold changes

	1999-09-03  Akim Demaille  <akim@epita.fr>
	* texi2dvi (getopt): batch has to be assigned `eval', not `echo'.
	(bibtex): Launch BibTeX also when the LOG file complains that
 	there are no BBL file.

	* doc/texinfo.txi: Document that @anchor ignores spaces.

	* makeinfo/cmds.c (cm_shyph): remove, &shy; is not supported in
		browsers. 
	From: Thomas Esken <esken@nmlab.informatik.fh-dortmund.de>

	* makeinfo/makeinfo.c: Don't crash if current_indent = 0.
	From: Jan Nieuwenhuizen <janneke@gnu.org>

	* makeinfo/makeinfo.c: Avoid blank lines between @menu entries.
	* configure.in: 3.12t

	1999-08-31  Eli Zaretskii  <eliz@is.elta.co.il>
	* info/info.c (info_short_help): Document --apropos.

1999-09-18  Karl Berry  <karl@gnu.org>

	* makeinfo/html.c (html_output_head): use text for <title>, not
		html markup.  From François.
	* makeinfo/makeinfo.c (text_expansion): new routine.
	* makeinfo/cmds.c (cm_settitle): don't expand the title here,
		we'll do it later.

	* makeinfo/makeinfo.h (text_expansion): declare.

	* info/indices.c,
	* info/infodoc.c,
	* info/session.c,
	* info/footnotes.c: translate errors.
	* info/info.h: Use `' instead of "" in errors.

1999-09-06  Karl Berry  <karl@gnu.org>

	+1999-08-24  Jan Nieuwenhuizen <janneke@gnu.org>
	* makeinfo/node.c:cm_node: don't compare current_node when null.

	1999-08-23  W. L. Estes  <will@fumblers.org>
	*  makeinfo/node.c (cm_node): write <a name=> tags even
           ifusing --no-headers

	* configure.in: ospeedlib -> trylib
	From: Andreas Schwab <schwab@suse.de>

	* makeinfo/makeinfo.c (read_command): add explicit 0 to return if
	enclosure command.  From: Andreas Jaeger <aj@arthur.rhein-neckar.de>.

1999-08-19  Karl Berry  <karl@gnu.org>

	* configure.in: add missing quotes, logic in new termcap library
	check.

1999-08-17  Karl Berry  <karl@gnu.org>

	* makeinfo/multi.c,
	* makeinfo/sectioning.c,
	* makeinfo/node.c,
	* makeinfo/macro.c: omit unused vars
	* info/session.c (info_goto_invocation_node): omit unused decl.

	* configure.in: Check for extra termlib variable necessary on
		HP-UX 9.
	From: Olaf Bachmann <obachman@mathematik.uni-kl.de>

  1999-08-16  Andreas Schwab  <schwab@suse.de>
	  * info/terminal.c (terminal_initialize_terminal): Try tcgetattr
	  and cfgetospeed in preference to TIOCGETP.
	  (original_tchars, original_ltchars): Define them only if needed.

1999-08-16  Karl Berry  <karl@gnu.org>

	* info/infodoc.c (create_internal_info_help_node): rename arg.
	(info_find_or_create_help_window): avoid deref of null eligible.

	* info/terminal.c (TIOCGETP, TIOCGETC, TIOCGLTC) [alpha && linux]:
	#undef.  Useless stubs are present.

1999-08-15  Karl Berry  <karl@gnu.org>

	* info/nodes.c: Remove reference to nonexistent RFC for Info
	files.

1999-08-11  Eli Zaretskii  <eliz@is.elta.co.il>

	* info/nodes.c (info_find_file_internal): If the file's contents
	were gc'ed since last time it was loaded, reload the file.

Wed Aug 11 06:42:47 1999  Karl Berry  <karl@gnu.org>

	* doc/Makefile.am (EXTRA_DIST): add txi-pt.tex from Lalo.

Mon Aug  9 16:28:18 1999  Karl Berry  <karl@gnu.org>

	* util/texi2dvi: Support preloaded texinfo.tex, from Stephen.

	* makeinfo/makeinfo.c (add_char): restore ugly check for first
 		character being <.

	* makeinfo/cmds.c (cm_kbd): Increment in_fixed_width_font for
 		html.

	* doc/texinfo.txi: effect not affect

	* makeinfo/makeinfo.c: Rearrange help.

	* makeinfo/toc.c: Cast %* arguments to (int) to placate gcc
 		-Wformat.

Fri Aug  6 13:03:14 1999  Karl Berry  <karl@gnu.org>

	* util/install-info.c: Hardwire the File: dir, Node: top part of
		the skeleton dir file.
	Report from: Stanislav Brabec <utx@k332.feld.cvut.cz>

	* info/Makefile.am (BUILT_SOURCES): rm -f $(BUILT_SOURCES), a
 		kludge.

    1999-07-28  Karl Eichwalder  <ke@gnu.franken.de>

	    * makeinfo/makeinfo.c: Fix help string (-o).

    1999-07-30  Eli Zaretskii  <eliz@is.elta.co.il>

	    * makeinfo/makeinfo.c (cm_uref, cm_email): Don't collapse -- and
	    `` in the URL part of the reference.

    1999-08-03  Eli Zaretskii  <eliz@is.elta.co.il>

	    * util/install-info.c (main): For entries given on command line,
	    set entry_sections and entry_sections_tail members to NULL, and
	    set text_len member to the entry length.  After processing the
	    Info file, update the entry_sections pointers of all entries that
	    came from the command line.

	* util/texindex.c (sort_offline, sort_in_core): use off_t rather
		than long.
	Found on FreedBSD 2.2.8 by "Trond Endrestol" <endrestol@hotmail.com>.

Mon Jul 19 17:16:46 1999  Karl Berry  <karl@gnu.org>

	* configure.in: 3.12n

	* makeinfo/makeinfo.c (add_char): Don't insert <p> if we're in
 		@html.

	* makeinfo/html.c (add_escaped_anchor_name),
	* makeinfo/toc.c (toc_add_entry): use URL_SAFE_CHAR.
	* makeinfo/makeinfo.h (HTML_SAFE, URL_SAFE_CHAR): new macros.

Sun Jul 18 14:47:40 1999  Karl Berry  <karl@gnu.org>

	* dir-example: Add bzip2.

	* configure.in: 3.12m.

	* doc/texinfo.txi (@afourlatex,@afourwide): add to command list.

1999-07-17  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/makeinfo.c (cm_xref): Don't collapse `` and -- while
	expanding node names.  Generate a terminating period for
	@pxref, when it has more than a single argument.

	* makeinfo/index.c (cm_printindex): Don't collapse `` and -- while
	expanding node names.

Sat Jul 17 16:33:45 1999  Karl Berry  <karl@gnu.org>

	* 3.12l.

	* doc/texinfo.txi: @alias, @definfoenclose, etc.

	* util/texindex.c (indexify): error message instead of abort(2)
 		when no page number.

Fri Jul 16 18:00:26 1999  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: Overfull boxes, help2man, etc.

	* util/Makefile.am (EXTRA_DIST): texi-outline.gawk is really
	outline.gawk, add fixref.gawk and prepinfo.awk and
		texi-docstring-magic.el.

Thu Jul 15 18:57:54 1999  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: .fmt, etc.
	* doc/texinfo.txi: More macro docs, etc.

Wed Jul 14 19:58:47 1999  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: Give good quote.

	* util/Makefile.am (EXTRA_DIST): add texi-outline.gawk.

	From: kama@hippo.fido.de (Karl Heinz Marbaise)
	* makeinfo/toc.c (contents_update_html): go back to start level.
	* doc/texinfo.txi: deftypeop

	From: "Kaveh R. Ghazi" <ghazi@caip.rutgers.edu>
	* makeinfo/toc.c (toc_add_entry): don't assume sprintf return type
 		is int.
	* makeinfo/sectioning.c (insert_and_underscore): declare more
 		unsigned char *.
	* makeinfo/macro.h (itext_info, itext_size): remove declarations,
		they're defined static.
	* makeinfo/makeinfo.c: Split up help string even more.

Tue Jul 13 17:16:18 1999  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: Document @rmacro.
	* makeinfo/macro.c (cm_rmacro): new command to do @allow-recursion
 		by default.
 	(define_macro): split off from cm_macro.

	* makeinfo/macro.h (cm_rmacro): declare.
	* makeinfo/macro.h (delete_macro): do not need to export.
	* makeinfo/cmds.c (rmacro): new command.

	* makeinfo/html.c,
	* makeinfo/toc.c,
	* makeinfo/lang.c,
	* makeinfo/makeinfo.c: Use strchr instead of member.

Mon Jul 12 08:01:19 1999  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: document this.
	* makeinfo/macro.c (apply): warn if \ in macro body is not
		followed by a parameter name or \, instead of silently
		accepting it, for compatibility with TeX. 

	* makeinfo/macro.c: Doc fix.

Sun Jul 11 12:49:50 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/macro.c (cm_macro): do @quote-arg implicitly if single
 		argument to macro.
	* doc/texinfo.txi: Document this.

	* doc/texinfo.txi (Smallcaps): Document makeinfo warning if arg is
 		all uppercase.
	* makeinfo/cmds.c (cm_sc): warn if arg is all upper (suggested by
 		Jim Meyering).

	* makeinfo/cmds.c (cm_var): warn if argument contains any of ,[]()
		which are unlikely to be allowable in real variable names.
		Suggested by rms.

	* makeinfo/makeinfo.h (member): remove weird masking macro.

	* doc/texinfo.txi: Probably ok to indent @example.

	* configure.in: 3.12k.

	* makeinfo/html.c (add_escaped_anchor_name): Cast to unsigned char
		for 8-bit chars. From Yoshiki.

	* makeinfo/makeinfo.c: complain -> warn for sake of <80 chars.

1999-07-09  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/multi.c (multitable_item): Quote the value of align=
	property.

	* makeinfo/defun.c (defun_internal): Ditto.

	* makeinfo/cmds.c (cm_center): Ditto.

	* makeinfo/toc.c (toc_add_entry): New argument ANCHOR; all callers
	changed.  In HTML mode, expand NODE_NAME, or use ANCHOR, if
	non-NULL, and save it together with the TOC name in the name
	member of the TOC entry.
	(toc_add_entry, toc_find_section_of_node): Add a warning in a
	comment that the NODE argument must be unexpanded.
	(contents_update_html): Terminate the TOC entry with </a>.

	* makeinfo/sectioning.c (sectioning_html): If the sectioning
	command is outside any node, generate explicit anchor and pass it
	to toc_add_entry.

	* makeinfo/node.c (expand_node_name): Now external instead of
	static.
	(cm_node): Output expanded node name in the navigation bar.

	* makeinfo/node.h: Declare expand_node_name.

	* makeinfo/index.c (cm_printindex): Produce valid HTML links, even
	if index->node is NULL or empty.  Fix format of index under
	--no-headers.

Fri Jul  9 18:09:28 1999  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: Pair @end html properly.  From Olaf B.

	* doc/Makefile.am (EXTRA_DIST): add txi-nl.tex from Marcel van der Boom
	<marcel@virtualprojects.org>.

	* doc/txi-en.tex: Doc fix.

Wed Jul  7 16:07:44 1999  Karl Berry  <karl@gnu.org>

	* doc/Makefile.am: Doc fix.

	* configure.in (txi_CHECK_DECLS): call this new macro (in
 		acinclude.m4).
 	* acinclude.m4: new file.

Tue Jul  6 19:12:37 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/insertion.h,
	* makeinfo/insertion.c,
	* makeinfo/cmds.c,
	* makeinfo/defun.c: new command @deftypeop.
	Suggestion from: booth@us.ibm.com.

1999-07-05  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/makeinfo.c (cm_value): Don't convert quotes and dashes
	in the argument of @value, since @set doesn't.

Mon Jul  5 16:43:23 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/insertion.c (get_item_function): return "@ " rather
 		than "@".	(command_needs_braces): new fn.
	(cm_item): handle @itemize markers that don't take braces.
	Bug reported by Stephen, prototype fix from Yoshiki.

	* doc/texinfo.txi (Contents): @contents ignored at beginning when
 		outputting to stdout.
	Installed this.
>1999-05-02  Eli Zaretskii  <eliz@is.elta.co.il>
>	* makeinfo/toc.c (cm_contents, cm_shortcontents): If writing to
>	stdout, output the contents and short contents immediately, and
>	assign NULL to contents_filename and shortcontents_filename, so
>	that toc_update won't try to rewrite stdout.


	* makeinfo/sectioning.c (sectioning_html): declare starting_pos
		and ending_pos as unsigned char * since they're based on
		output_paragraph.

	* makeinfo/insertion.c: Cast output_paragraph to char * for sake
		of strncmp prototype (on IRIX 4).
	From: "Kaveh R. Ghazi" <ghazi@caip.rutgers.edu>


	* info/man.c (get_manpage_contents): restore previous (default)
 		SIGCHLD handler so the pclose when gunzipping info files
 		doesn't fail with `No child processes' (because
 		reap_children reaped it).
 	From: Josip Rodin <jrodin@public.srce.hr>
 	njs@uclink4.berkeley.edu, 38063-forwarded@bugs.debian.org

Fri Jul  2 14:26:22 1999  Karl Berry  <karl@gnu.org>

	From gildea:
	* info/terminal.c (TIOCGETC) [M_XENIX && TIOCGETC]: #undef.
	* info/session.c (strncasecmp) [M_XENIX]: declare.  

Thu Jul  1 19:25:12 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (cm_value): erroneous capitalization in
 		error message.

	* makeinfo/insertion.c (end_insertion): @end html should turn html
 		escaping back on. From esr.

	* makeinfo/makeinfo.c (cm_pxref): No period needed to terminate
 		cross-reference.

Sun Jun 13 16:12:41 1999  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: Remove some more node links.

Sat May  1 16:01:36 1999  Karl Berry  <karl@gnu.org>

	* info/info.c: Single space for option indent to match others.

	* makeinfo/makeinfo.c,
	* util/texindex.c,
	* util/install-info.c: Must indent option list for help2man.

	* info/infodoc.c [HELP_NODE_GETS_REGENERATED]: set to true.
	(info_internal_help_text): put moving cmds first so they know how to go
	forward in the help window.
	(create_internal_info_help_node): can't always quit help with C-x 0.
	(info_find_or_create_help_window): pass !one_window_p.

1999-04-29  Yoshiki Hayashi  <g740685@komaba.ecc.u-tokyo.ac.jp>

	* makeinfo/makeinfo.c (cm_xref): Don't collapse --- to -- etc., 
	in references.

Mon Apr 26 16:41:55 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/node.c (validate): arrange to translate the reference type.
	Report from Sergio.

	* makeinfo/makeinfo.c (validate): should not be declared here.

	* makeinfo/index.c (cm_printindex): <ul compact> is not
 		translatable.  From Yoshiki.

	* doc/Makefile.am (EXTRA_DIST): include new txi-es.tex from Adrian
 		Perez Jorge <alu1415@csi.ull.es>.  And new txi-en.tex.

Sun Apr 25 16:08:27 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/cmds.c (cm_settitle): don't output html head here.

	* makeinfo/makeinfo.c: Move html routines to html.c.
	* makeinfo/Makefile.am (makeinfo_SOURCES): add html.[ch].
	* makeinfo/html.[ch]: new files.

	* makeinfo/makeinfo.c: Restore -- in --output line.  From Sergio.

1999-04-23  Yoshiki Hayashi <g740685@komaba.ecc.u-tokyo.ac.jp>

	* makeinfo/cmds.c (cm_center): Recover the previous state when 
	called with --html.

1999-04-24  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/cmds.c (cm_bye): Flush the output, in case some command
	produced it immediately before @bye.

	* makeinfo/toc.h (TOC_ENTRY_ELT): New member: containing_node.

	* makeinfo/toc.c (lots_of_stars): New variable.
	(toc_add_entry): Add a new parameter node_name; all callers
	changed.  Record the name of the node containing the section.
	(toc_find_section_of_node): New function.
	(toc_free): Free the new containing_node member.
	(contents_update_info, shortcontents_update_info): Underline the
	title with stars.  Output two empty lines after the TOC.
	(contents_update): Fix off-by-one error in writing the rest of the
	file after updating the TOC.

	* makeinfo/index.c (cm_printindex): Save and restore line_number
	and input_filename.  Don't output the "* Menu" header when
	--no-headers is in effect.  Make the fake node name for index
	entries that are outside any node be more explanatory, and emit an
	error for such index entries.  Under --no-headers, output a
	reference to the section name, as returned by a call to
	toc_find_section_of_node, instead of a node name.

1999-04-24  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/index.c (struct index_elt): Add a new member
	entry_text.
	(free_index, make_index_entries_unique): Free the entry_text
	member.
	(index_add_arg): Don't HTML-escape the index entry here.
	(index_add_arg): Initialize the entry member to NULL.  Put the
	entry text into the entry_text member.
	(sort_index): Expand the index entries as if in non-HTML mode.
	Put the expansion into the entry member of struct index_elt.
	(cm_printindex): Allocate the line[] array in Info mode only.
	In HTML mode, escape and expand the original index entry text,
	don't use the results of expansion inside sort_index.

	* makeinfo/cmds.c (cm_r): Undo the effect of @code while printing
	one of the "code"-style indices in HTML mode.

1999-04-23  Eli Zaretskii  <eliz@is.elta.co.il>

	* info/infomap.c (initialize_vi_like_keymaps): Bind DEL in echo
	area to ea_rubout, except for __MSDOS__.

	* doc/info-stnd.texi (Node Commands): Document that `I' only
	produces its effect for programs documented in the current Info
	file.  Tell them to invoke `I' from DIR if it doesn't work from
	current place.

Thu Apr 22 09:59:02 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c,
	* info/info.c: Rewrite help string a little more.

	* doc/info-stnd.texi: Change chapter name to match node name,
		* other changes.

	* makeinfo/cmds.c (cm_bye): call discard_braces.

	* makeinfo/cmds.c (cm_settitle): output more meta and link tags.

	* configure.in (ALL_LINGUAS): add eo.

	* util/install-info.c [STRIP_DOT_EXE]: #if not #ifdef

Wed Apr 21 19:40:51 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c: Doc fix.

	* makeinfo/sectioning.c (insert_and_underscore): do not output
 		html anchor here.
	* makeinfo/node.c (cm_node): do anchor at node name not sectioning
 		title.

	* makeinfo/node.c: Newlines on node lines.

Tue Apr 20 13:02:46 1999  Karl Berry  <karl@gnu.org>

	* info/man.c (get_manpage_contents): freopen stdin and stderr to
        /dev/null rather than closing them. http://bugs.debian.org/14787

Mon Apr 19 14:12:09 1999  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: Document possibility of `titlepage' stuff for
		plain text output using @ifinfo.
	Report from: Kurt Hornik <Kurt.Hornik@ci.tuwien.ac.at>.

	* makeinfo/cmds.c: Screw that.
	* doc/texinfo.txi: Fix up frontmatter a bit.

	* dir-example: Spaces not tabs.
	* dir-example (R FAQ): add.

	* makeinfo/makeinfo.c: Lowercase makeinfo in first line.

	* doc/info.texi (The node reached...): is a @subsection not a
 		@subsub.

	* doc/texinfo.txi: Document option rename.
	* makeinfo/makeinfo.c: Rename option to commands-in-node-names.

	* makeinfo/index.h (index_compare_fn): declare.
	* makeinfo/index.c (index_element_compare): call through new
 		variable index_compare_fn, and set it to strcoll if
	 	@documentlanguage was used and LANG != en.
	 	#include lang.h.

Sat Apr 17 14:46:47 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/insertion.c (current_item_function, cm_item): rewrite
 		to skip all conditionals.
 	(cm_item): use current_item_function rather than current_insertion_type
	to check what to use for @item, so @ifset etc. can be used around
		@items.
	Report from: "W. L. Estes" <wlestes@br20920.uncg.edu>.

	* makeinfo/makeinfo.c (current_insertion_type): no need to
 		declare.

	* makeinfo/makeinfo.c: Add examples to help message.

	* util/texindex.c (usage): Rearrange --help, avoid extra newline.

	* info/info.c: Sort --help in the usual place.

	* makeinfo/makeinfo.c: Reindent help message, rename
	       --expensive-validation to --commands-in-nodes.

Fri Apr 16 17:53:48 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/cmds.c (cm_ignore_arg): new routine.
	(cm_ignore_line_no_op): remove, can use cm_ignore_line.

Tue Apr 13 16:45:39 1999  Karl Berry  <karl@gnu.org>

	* doc/info-stnd.texi: Frontmatter changes.

	* doc/info.texi: Remove advanced remark in first node.

	* doc/texinfo.txi: Texinfo.tex does macros now. From Eli.

	* doc/texinfo.txi: Document @w{ } to produce an unbreakable space.

	* util/texi2dvi: Update from Akim, avoid Solaris ucb echo weirdness.

	* info/infodoc.c: Parenthesize function calls, don't depend on
 		gettext being there.  Report from: Doug Semler
 		<doug@seaspace.com>.

1999-04-12  Eli Zaretskii  <eliz@is.elta.co.il>

	* info/infomap.c (initialize_vi_like_keymaps): Initialize the echo
	are keymap *before* it is filled up with keys.

1999-04-10  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/macro.c (execute_macro): Reset the line number to where
	the macro argumenst begin, before executing its expansion.

	* makeinfo/makeinfo.c (cm_xref): Expand the name of arguments
	before writing them in HTML mode.
	(handle_menu_entry): Expand the name of the gleaned node before
	writing it in HTML mode.

	* makeinfo/sectioning.c (sectioning_html): Expand the name of the
	current node when producing the <a name=... anchor.

	* makeinfo/node.c (cm_node): Expand the name of node and its links
	before outputting them in HTML mode.

	* makeinfo/index.c (cm_printindex): Expand node names to which the
	index points.

	* makeinfo/footnote.c (cm_footnote): Call execute_string instead
	of add_word_args, since current_node needs to be expanded.  Expand
	the name of the Footnotes node before calling
	remember_node_reference.

	* makeinfo/tests/node-expand.txi: New test, for testing how node
	names are expanded in @node, @menu, cross-references, and
	indices.

	* makeinfo/makeinfo.c (add_char): If we output <p>, adjust the
	affected brace positions by 3, so cm_xxx functions get what they
	expect in START and END.
	(insert_html_tag): Likewise.

	* makeinfo/cmds.c (cm_sc): Remove the kludge that looks for the
	beginning of <small>, it is no longer needed.

	* makeinfo/macro.c (cm_definfoenclose): Don't stop at the first
	blank after the second comma: the blank may belong to the second
	delimiter.

	* makeinfo/tests/htmlpara.txi: New test, for the commands affected
	by the <p> output at paragraph beginning.

	* makeinfo/makeinfo.h (expensive_validation): New option.

	* makeinfo/makeinfo.c (long_options): Add expensive_validation.
	(usage): Likewise.

	* makeinfo/node.c (find_node): If NAME isn't found verbatim, try
	expanding it and every node name in tag table, before comparing
	them, but only if expensive_validation is non-zero.
	(find_node_reference): Likewise.
	(cm_node): Don't expand node name and its links here.
	(validate_file): If direct comparisons fail, try expanding the
	comparees before giving up, unless expensive_validation is zero.
	Switch the order of NODE and UP in error message about a lacking
	menu item.

1999-04-07  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/index.c (cm_printindex): Don't output "Menu" header.

	* makeinfo/node.c (get_node_token): Collapse whitespace in node
	names.
	(glean_node_from_menu, expand_node_name): Likewise.

	* info/infomap.c (initialize_vi_like_keymaps): Bind all the 256
	keys to ea_insert, like the Emacs-like case does.

	* doc/info-stnd.texi (Invoking Info): Document support for files
	compessed with bzip2, and the --vi-keys option.
	(Many places): Document key bindings under --vi-keys.

1999-04-06  Eli Zaretskii  <eliz@is.elta.co.il>

	* info/session.c (info_last_node, info_first_node): With a numeric
	argument, go to ARGth node counting from the beginning.  Skip
	anchor tags when looking for the target node--the last tag can be
	an anchor, for example.
	(last_search_direction, last_search_case_sensitive): New
	variables.
	(last_search_for_string): Remove variable.
	(info_search_internal): Always move point by one notch before
	beginning the search, to avoid complications in repeated search
	commands.  When looking for the next node tag, skip any anchor
	tags.
	(info_search_1): Accept a 5th argument ASK_FOR_STRING, and only
	prompt for search string if it's non-zero.  All callers changed.
	Look for the COUNTth occurence of the string.
	(info_search, info_search_backward, info_search_case_sensitively):
	Set last_search_direction and last_search_case_sensitive.
	(info_search_next, info_search_previous): New commands, repeat
	last search in the same or reverse direction without prompting the
	user for the string.

	* info/infomap.c (initialize_emacs_like_keymaps): Bind `C-x n' to
	info_search_next and `C-x N' to info_search_previous.
	(initialize_vi_like_keymaps): Bind `n' to info_search_next and `N'
	to info_search_previous.

1999-04-04  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/makeinfo.c (get_rest_of_line): Don't expand non-macros,
	so that macro-expanded output will still have them.

1999-04-03  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/node.c (cm_node): Expand the node name and its links
	completely before using them, so that they could use e.g. @value{}
	etc.

	* makeinfo/makeinfo.c (replace_with_expansion): Don't
	remember_itext if we are executing_string.

	* makeinfo/sectioning.c (sectioning_html): Remove #ifdef
	HAVE_MACROS.  Don't call me_execute_string if already
	executing_string.

	* makeinfo/toc.c (toc_add_entry): Expand macros in TOCNAME right
	here, since the macro can be later redefined.
	(contents_update_html, contents_update_info,
	shortcontents_update_html, shortcontents_update_info): Use stdio
	functions for output instead of add_word etc.
	(rewrite_top, contents_update, shortcontents_update, toc_update):
	New functions, replace the TOC placebo with the actual TOC.
	(cm_contents): Output a placebo instead of writing the TOC.
	(cm_shortcontents): Output a placebo instead of writing the short
	TOC.

	* makeinfo/makeinfo.c (convert_from_loaded_file): Call toc_update
	if appropriate.

	* makeinfo/sectioning.c (cm_top): Don't output the HTML header
	here, since the Top node might be preceeded by other commands,
	like @contents.

	* makeinfo/cmds.c (cm_settitle): Output the HTML header here.

	* makeinfo/node.c (set_current_output_filename): New function,
	saves the name of the actual file we are now writing, including in
	the case of split-HTML output.
	(cm_node): Call it to record the name of output file.

	* makeinfo/footnote.c (free_pending_notes): Re-initialize
	current_footnote_number to 1.

	* makeinfo/index.c (index_add_arg): Remove redundant xstrdup.
	(cm_printindex): Don't free index->entry: it is freed in
	free_index, if, e.g., there's more than one file to convert.

	* makeinfo/makeinfo.c (init_internals): Call toc_free.

Mon Apr  5 16:53:33 1999  Karl Berry  <karl@gnu.org>

	* doc/Makefile.am: Texmf_{texinfo,dvips}: dirs not files.  From
 		Kurt Hornik.

Wed Mar 31 13:50:09 1999  Karl Berry  <karl@gnu.org>

	* Pretest 3.12h.

	* makeinfo/node.c (last_node_p): new fn.
	(split_file): call it, instead of assuming no more entries means
		no more nodes.  (Loses with anchors.)
	Report from: "Oleg S. Tihonov" <ost@benetnash.ffke-campus.mipt.ru>.

	* makeinfo/index.c (sort_index): whether an entry is @code or not
		depends on the element, not the index, because of synindex.

	* doc/Makefile.am (install-tex): Must use $(TEXMF), do
		$(mkinstalldirs) on tex dirs.
	From: Nathan Sidwell <nathan@acm.org>.

	* doc/texinfo.txi: Document need for blank line before @image if
 		you want space.

	* Install changes from Eli:

	1999-03-09  Eli Zaretskii  <eliz@is.elta.co.il>

	* info/infodoc.c (info_internal_help_text): Remove hard-wired key
	names, use %-10s instead.
	(info_help_keys_text): New variable, holds two variants of keys
	that invoke basic commands, indexed by vi_keys_p.
	(create_internal_info_help_node): Use info_help_keys_text[].

	* info/window.c (build_message_buffer): Support more general
	format strings, like %-10.15s, %+4d etc.

	* info/infomap.c (initialize_vi_like_keymaps): Bind ESC-h, ESC-t,
	C-x LFD and C-x RET.

	1999-03-08  Eli Zaretskii  <eliz@is.elta.co.il>

	* util/install-info.c (output_dirfile): Sort the entries and
	output them in alphabetic order.  Output each entry only in those
	sections where it belongs.
	(parse_input): New function, code moved from main.  Process
	sections and entries in a single loop, and record with each entry
	the list of sections where that entry belongs.  Record each entry
	separately, not all of them together as a single block.
	(parse_dir_file): New function, code moved from main.
	(main): Move code to parse_input and parse_dir_file.  Put the new
	entries only into sections where they belong.
	(compare_entries_text): New function, called when sorting new
	entries.

	* info/infomap.c (initialize_vi_like_keymaps): New function.  Bind
	keys a-la Less, including new functions from session.c below.
	(initialize_emacs_like_keymaps): New function, with the guts of
	initialize_info_keymaps.

	* info/session.c (info_scroll_forward, info_scroll_backward): If
	default_window_size is non-negative, use it as the default number
	of lines to scroll.
	(info_scroll_forward_set_window, info_scroll_backward_set_window,
	info_down_line, info_up_line, info_scroll_half_screen_down,
	info_scroll_half_screen_up, info_search_backward): New functions,
	for Less-like look and feel.

Tue Mar 30 16:44:53 UTC 1999 Karl Heinz Marbaise <kama@hippo.fido.de>

        * doc/txi-de.tex:
            - added additional putwordin
        * doc/texinfo.txi:
            - changed defivar into deftypeivar
        * makeinfo/sectioning.c:
            - changed output of anchors based on problems with ie.
        * makeinfo/defun.c:
            - output in HTML mode changed to be on previous state.
        * makeinfo/insertion.c:
            - fixed up HTML output for deftypeivar.

1999-03-30  Akim Demaille  <demaille@inf.enst.fr>

        * texi2dvi ($tmpdir): Avoid security holes.

Fri Mar 26 17:06:55 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/cmds.c (cm_exdent): rewrite to preserve blank lines.
	Bug from: "Oleg S. Tihonov" <ost@benetnash.ffke-campus.mipt.ru>.

	* makeinfo/cmds.c (cm_exdent): arg is in `roman'.

Thu Mar 25 16:21:27 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/insertion.c,
	* makeinfo/defun.c,
	* makeinfo/insertion.h (insertion_type): add deftypeivar.
	* makeinfo/defun.h (cm_defun): declare here.
	* makeinfo/cmds.c (defun.h): include.
	* doc/texinfo.txi (deftypeivar[x]): new commands.
	* makeinfo/cmds.c (deftypeivar[x]): new commands.

	* makeinfo/cmds.c (cm_exdent): save, set and restore
 		in_fixed_width_font.

	* doc/texinfo.txi (uref): rewrite.

	* info/info.c (info_short_help): more spaces for new help2man.

	* makeinfo/node.c (cm_node): output node name in html, change
 		navbar punctuation.

	* doc/texinfo.5: Fix URL.

	* Finally installed this:
	1998-05-01  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>
	* makeinfo/makeinfo.c (convert_from_loaded_file): When the file
	contains no @setfilename then always look for \input (not
	\include) in the first line and skip that.  Don't skip the first
	line if no \input was found.

1999-03-24  Akim Demaille  <demaille@inf.enst.fr>

	* configure.in (AC_HEADER_STAT): Added.
	* util/texindex.c (main): Check infiles are not directories.

1999-03-24  Akim Demaille  <demaille@inf.enst.fr>

	* texi2dvi (index_files): Don't use `!' to run sed -e "s!foo$!!"
        since the shell will interpret `$!'.

Tue Mar 23 16:41:08 1999  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (uref): rewrite to make HTML output read more
 		nicely.  From Tim S.

	* info/info.c (info_short_help): include examples.

	* makeinfo/makeinfo.c (close_paragraph_with_lines): move earlier
 		so can be static.

	* makeinfo/sectioning.c,
	* makeinfo/node.c,
	* makeinfo/makeinfo.h,
	* makeinfo/makeinfo.c,
	* makeinfo/macro.c,
	* makeinfo/insertion.c,
	* makeinfo/cmds.c,
	* makeinfo/files.c,
	* makeinfo/footnote.c (size_of_input_text): rename to
 		input_text_length.

	* makeinfo/makeinfo.c (cm_xref): make wrong-char-following a warning.
 	(replace_with_expansion): remove bogus conditional that was duplicated
	unconditionally.
	From: Hans-Bernhard Broeker <broeker@physik.rwth-aachen.de>

Mon Mar 22 14:39:59 1999  Karl Berry  <karl@gnu.org>

	* doc/Makefile.am (install-tex): parenthesize.

	* Makefile.am (dist-hook): remove, it uses hard links so we chmod
 		all our sources.

	* makeinfo/toc.c,
	* makeinfo/defun.c,
	* makeinfo/sectioning.c: Use _, not N_.

	* info/Makefile.am (ginfo_SOURCES): include $(BUILT_SOURCES)
 		explicitly.

	* makeinfo/lang.c,
	* makeinfo/lang.h: ISO-639 updates.

	* makeinfo/cmds.c: exampleindent changes.

	* info/info.c (info_short_help): reformat somewhat, and don't say
		info info options any more.

	* doc/info-stnd.texi (Invoking): make description format somewhat
 		more standard.

	* info/infomap.c (Initialize_info_keymaps): do ea_insert bindings
		first so subsequent bindings (e.g., for ESC) override.

Sun Mar 21 17:31:00 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/multi.c (output_multitable_row): remove unnecessary
	trailing whitespace from output, output blank row for blank @item.

	* doc/texinfo.txi: Remove extra @item in language multitable.

Sat Mar 20 12:30:25 1999  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: Update language table from ISO 639:
	http://www.iro.umontreal.ca/contrib/po/iso-639.  From kama.

	* doc/texinfo.txi (exampleindent): document.

	* doc/texinfo.txi (Creating an Info File): use this for the node name.

	* doc/info.texi: Make Texinfo references consistent, etc.

1999-03-18  Yoshiki Hayashi  <g740685@komaba.ecc.u-tokyo.ac.jp>

	* makeinfo/makeinfo.c (set_default_indentation_increment): new
	routine.
	* makeinfo/insertion.c (cm_exampleindent): new routine.
	Call set_default_indentation_increment.

Mon Mar 15 17:06:15 1999  Karl Berry  <karl@gnu.org>

	* info/Makefile.am (ginfo_SOURCES): Remove doc.c and funs.h in
		hopes they then won't be distributed.  Report from Andreas.

	* makeinfo/cmds.c (cm_sp): close paragraph and disable filling to
		produce blank lines in info. 
	Report from: Michael Vanier <mvanier@bbb.caltech.edu>.

	* doc/texinfo.txi: Attempt to get Edition info on one line.

	* makeinfo/makeinfo.h (cr_or_whitespace): use whitespace and check
 		for \r.	(skip_whitespace_and_newlines, command_char): use it.
 	Report from bonzini@gnu.org.

	* makeinfo/cmds.c (cm_center): save and restore filling_enabled,
 		so @center can be used inside an @example.  Bug from kama.

1999-03-13  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/footnote.c (cm_footnote): In separate footnote style,
	generate a reference to "foo-Footnote-NN" for each footnote.
	(output_pending_notes): In separate footnote style, generate an
	anchor "foo-Footnote-NN" for each footnote, so that the link in
	the parent node would lead directly to the footnote.

	* info/footnotes.c (make_footnotes_node): Recognize the new
	"foo-Footnote-NN" style of footnote references.

1999-03-09  Andreas Schwab  <schwab@issan.cs.uni-dortmund.de>

	* configure.in (AC_OUTPUT): Remove command to create po/Makefile,
	already done by AM_GNU_GETTEXT.

Tue Mar  9 17:48:46 1999  Karl Berry  <karl@gnu.org>

	* Makefile.am (dist-hook): make distribution directory writable.

	* Installed these changes:

  1999-03-04  Akim Demaille  <demaille@inf.enst.fr>

	    * texi2dvi (bibtex): Allow several runs of bibtex, this can be
	    used if bibentries reference other bibentries.  Moreover, looking
	    for `Citation' in the LOG should be enough to avoid uneless runs.

  Sun Mar  7 15:15:00 1999 UTC Karl Heinz Marbaise <kama@hippo.fido.de>

      * makeinfo/sectioning.{c,h}:
	      - using defines instead of literals.
	      - cleaned up some stylistic matters like Karl Berry
		suggested. Handling of things like:
		@unnumbered ..
		@section ...
		now it works correct.

      * makeinfo/toc.{c,h}
	      - addTocEntry, freeToc changed into toc_add_entry
		toc_free. stylistics changed.

      * makeinfo/iso2cht.pl,iso-639: script, table from the web.
	      - perl script converting the iso-639 table from the web
		into the appropiate files (isoenum.h, isotab.c and
		iso.texi) which can be inserted directly into
		lang.c, lang.h and texinfo.txi.

Tue Mar  9 17:47:59 1999  Karl Berry  <karl@gnu.org>

	* configure.in: Bump to 3.12g.

Sun Mar  7 07:01:19 1999  Karl Berry  <karl@gnu.org>

	* info/infomap.c: Don't do isprint, just bind everything.

Fri Mar  5 14:31:42 1999  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi,
	* makeinfo/makeinfo.c: Document that --no-headers writes to stdout
 		by default.

	* doc/texinfo.txi: @setchapternewpage doesn't change
	\bindingoffset, just headers. Recommend not including it in the
		manual source at all.

	* makeinfo/node.c (write_tag_table_internal): set
 		in_fixed_width_font while constructing this so --- doesn't
 		collapse to --, etc.  Bug report from Sergio.

	* dir-example: Add a2ps stuff.

	* info/session.c: Allow any character in search string.

	* info/infodoc.c (describe_key): don't assume non-latin1
 		characters are undefined.

	* info/infomap.c (initialize_info_keymaps): make all characters
		insertable by default in echo area.  From Eli.

	* Installed these changes:

  Wed Feb 23 22:00:00 1999  Karl Heinz Marbaise <kama@hippo.fido.de>

      * makeinfo/sectioning.{c,h}:
	      - added to hold complete handling of sectioning
		a little step towards modularization ;-)

      * makeinfo/cmds.c:
	      - sectioning_alist moved to sectioning.c and
		added information about enumerated chapter,
		section ..., appendix or not. Everything
		which has any relationship with sectioning
		moved to sectioning.{c,h} I hope I have found
		all.

      * makeinfo/toc.{c,h}:
	      - added for complete handling of "table of contents"
		"short contents". Better ASCII only support
		(--no-headers) so no Text "Menu" is printed.
		May be we can do more.

      * makeinfo/makeinfo.{c,h}:
	      - added new command line switch --number to enumerate
		chapter, sections etc.

      * doc/texinfo.txi:
	      - --number option documented.

  1999-02-28  Yoshiki Hayashi  <g740685@komaba.ecc.u-tokyo.ac.jp>

	  * makeinfo/insertion.c (in_paragraph): New variable.
	  (cm_item): Add </p> only if <p> is open.
	  * makeinfo/makeinfo.c (handle_menu_entry): Ditto.

	  * makeinfo/insertion.c (begin_insertion),
	  * makeinfo/makeinfo.c (handle_menu_entry): If commentary 
	  precedes first menu item, put them outside of <ul>. 
	  Put <p> and </p> correctly.

  1999-02-27  Eli Zaretskii  <eliz@is.elta.co.il>

	  * info/info.c (info_short_help): Document --show-options and
	  --usage.

  1999-02-26  Eli Zaretskii  <eliz@is.elta.co.il>

	  * info/makedoc.c (main) [STRIP_DOT_EXE]: Strip the .exe suffix, so
	  that doc.c says "./makedoc.c", not "./makedoc.exe.c".

	  * info/info.c (goto_invocation_p): New variable.
	  (long_options): New options --show-options and its alias --usage.
	  (main): Don't update the display until we find the first node to
	  be displayed, to avoid flushing incorrect display.  If user wants
	  to see the command-line options node right away, display whatever
	  info_intuit_options_node finds.

	  * info/session.c (info_intuit_options_node): New function, uses
	  heuristics to find the node which describes program's invocation.
	  (info_goto_invocation_node): New command, asks for a program's
	  name and displays the invocation node of that program.
	  (entry_in_menu): New function, fuzzily looks for a menu entry in a
	  node's menu.
	  (program_name_from_file_name): New function, suggests a program
	  name given a name of its Info file.
	  (info_search_in_node): Accept an additional argument: a flag to
	  search case-sensitively; all callers changed.  If case-sensitive
	  search is required, don't turn on the case-fold flag in the search
	  binding.
	  (info_search_internal): Accept an additional argument: a flag to
	  search case-sensitively; all callers changed.  Share the last
	  search string between normal and case-sensitive search commands.
	  (info_search_1): New function, with the guts that previously
	  belonged to info_search.  If the search is case-sensitive,
	  mentions that in the prompt for the search string.  If the search
	  string includes upper-case characters, searches case-sensitively.
	  (info_search): Calls info_search_1 with zero case-sensitivity
	  flag.
	  (info_search_case_sensitively): New command, calls info_search_1
	  with non-zero case-sensitivity flag.
	  (incremental_search): If the search
	  string includes upper-case characters, searches case-sensitively.

	  * info/search.c (search_backward): Fix bug in case-sensitive
	  search.

	  * info/infomap.c (initialize_info_keymaps): `-' in info window map
	  produces negative arguments.  `S' invokes case-sensitive search.
	  `O' and `I' invoke goto-invocation.

	  * doc/info-stnd.texi (Invoking Info): Document --show-options.
	  (Node Commands): Document `O', goto-invocation.
	  (Searching Commands): Document `S' and the case-sensitive search
	  when the search string includes upper-case letters.  Document `/'
	  as a synonym for `s'.
	  (Miscellaneous Commands): Document `M--' and `-'.

  1999-02-25  Eli Zaretskii  <eliz@is.elta.co.il>

	  * info/info.c (main): Under --index-search, search indices *after*
	  following menus, so that we don't look for an index in DIR.


Wed Mar  3 17:20:07 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/cmds.c: Do not output <small> in info mode.
	From: Eli Zaretskii <eliz@is.elta.co.il>.

	* makeinfo/insertion.c (enum_html): Remove unused var temp.
	From: Yoshiki Hayashi <g740685@komaba.ecc.u-tokyo.ac.jp>

	* info/infodoc.c: Avoid translation of blank lines.

	* info/tilde.c,
	* info/man.c,
	* makeinfo/index.c (index_add_arg): avoid use of alloca.

	* info/echo-area.c: Don't pause for an additional 75 microseconds.
	Noted by Eli.
	
	* configure.in: Bump to 3.12f.

	* doc/texinfo.txi: findex enddots.  From Eli.

1999-03-01  Yoshiki Hayashi  <g740685@komaba.ecc.u-tokyo.ac.jp>

	* makeinfo/makeinfo.c (insert_html_tag): Add <p> when 
	paragraph is not opened.
	(sectioning_html): Call close_paragraph so that paragraph
	will be started.

1999-02-26  Akim Demaille  <demaille@inf.enst.fr>

        * texi2dvi (get_xref_files): Take $filename_noext as $1.
        (get_xref_files): Look for $1.idx only, not *.idx.
        (get_xref_files): Look for $1.cb files (\usepackage{changebar}).
        * texi2dvi: Look for rerun requests in LOG files in addition to
        xref files comparison.
        (bibtex): Remove useless `./' (already added in
        command_line_filename).
        (filename_dir): Smarter sed expression that handles file names
        with no directory part.
        (txiversion): Removed useless () (`` already guarantee a subshell).

1999-02-25  Andreas Schwab  <schwab@issan.cs.uni-dortmund.de>

	* makeinfo/multi.c (find_template_width): Fix operator precedence.

Tue Feb 23 10:35:53 1999  Karl Berry  <karl@gnu.org>

	* dir-example: ccmode not cc-mode.  From hds.

Mon Feb 22 07:34:00 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/lang.c,
	* doc/texinfo.txi: Fix kazakhkh typo.

1999-02-21  Eli Zaretskii  <eliz@is.elta.co.il>

	* djgpp/config.sed: Add pcterm.c to terminal.o dependencies.

1999-02-21  Andreas Schwab  <schwab@issan.cs.uni-dortmund.de>

	* makeinfo/lang.c (cm_accent_generic): Emit the accent character
	only once, after the argument.

Sun Feb 21 16:36:14 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (handle_menu_entry): new routine.
	(reader_loop): call it, allowing for comments in menus.

	* makeinfo/node.c: Rearrange functions to make static, etc.

	* doc/Makefile.am (EXTRA_DIST, install-tex): Add txi-cs and txi-no.

1999-02-20  Eli Zaretskii  <eliz@is.elta.co.il>

	* util/install-info.c (open_possibly_compressed_file): Output
	explicit message about empty input files.
	(insert_entry_here): Insert multiple entries in alphabetical order.

Fri Feb 19 09:13:28 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/insertion.c (enum_html): new routine.
	(begin_insertion): call it.
	Based on code from: Yoshiki Hayashi <g740685@komaba.ecc.u-tokyo.ac.jp>.

	* lib/xexit.c (EXIT_FAILURE) [!defined EXIT_SUCCESS && VMS]: weird
		long value.
	From: Lars Hecking <lhecking@nmrc.ucc.ie>

Thu Feb 18 16:42:10 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/node.h (remember_node_reference): decl.
	* makeinfo/makeinfo.c (find_unused_reference): dump unused decl.

1999-02-18  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/cmds.c (cm_dots, cm_enddots): Don't produce &#133; for
	HTML, as too many browsers don't support it; use "..." in a
	smaller font.
	(cm_top): Output the lang= attribute inside <html>.

	* makeinfo/node.c (cm_node): Output the lang= attribute inside
	<html>.

	* makeinfo/footnote.c (output_pending_notes): Generate <ol>
	instead of <dl compact>.  Make the text of each footnote start a
	new paragraph.

1999-02-17  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/insertion.c (cm_item): Remove <dd> when immediately
	followed by a <dt>.  Add a <br> before every <dt>, except if we
	are converting @itemx, or in the first item after <dl>.
	(begin_insertion): Use <dl> for tables, to make it look closer to
	the Info output.  Don't output a newline after a <pre>.

1999-02-17  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/makeinfo.c (handle_variable): Don't backup input
	pointer if we hit the end of text (usually, inside
	execute_string).
	* makeinfo/insertion.c (get_item_function): Likewise.

Wed Feb 17 15:09:06 1999  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: Better indexing of space entries.

	* makeinfo/multi.c (find_template_width): new routine to really
 		parse @multitable {...} templates.
 	(setup_multitable_parameters): call it.
	Bug report from: Sergio Pokrovskij <pok@nbsp.nsk.su>.

	* lib/system.h (substring): declare.

	* lib/Makefile.am (libtxi_a_SOURCES): add substring.c.

	* makeinfo/defun.c: Move substring to lib.

	* util/texindex.c (tempcopy): no longer used.
      	(maketempname): make static.

	* Installed these changes:

1999-02-13  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/cmds.c (cm_acronym): New function, makes @acronym
	produce a smaller font size in HTML mode.
	(cm_sc): Produce smaller font size in HTML mode.

	* makeinfo/footnote.c (cm_footnote): In HTML output, make the
	footnote number be a superscript; remove [] around the link.

	* makeinfo/cmds.c (cm_var_sc): Separated into two functions:
	cm_var and cm_sc, since @var and @sc have different effects in
	HTML output.

	* makeinfo/makeinfo.c (cm_xref, cm_inforef): Don't put "[]" around
	HTML links.

	* info/pcterm.c (DJGPP_keytab): Add translation for Alt-PgUp and
	Alt-PgDn, to support the new M-prior key.

Wed Feb 17 11:50:46 1999  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: Don't mention texi2roff so prominently.

	* makeinfo/makeinfo.c: Pass enclose_expand to remember_brace
 		rather than enclose_command.  From Eli.

	* makeinfo/macro.c (cm_alias, cm_definfoenclose): Expand macros in
		first call to get_until_in_line.  From Eli.

	* info/makedoc.c,
	* info/session.c,
	* info/man.c,
	* info/tilde.c,
	* info/info.c,
	* makeinfo/files.c,
	* makeinfo/multi.c,
	* makeinfo/node.c,
	* makeinfo/makeinfo.c: Use xexit.
	* makeinfo/makeinfo.h (NO_ERROR, FATAL, SYNTAX): remove.

	* info/terminal.c: Avoid sleep unless on sun-cmd terminal.

	* lib/xexit.c (EXIT_FAILURE) [!EXIT_FAILURE]: #define to 1 to fix
		Sony NEWS-OS 4.0C lossage.  From Akim.

	* info/infodoc.c: Translate where is doc string, underline lines
 		in help.  
	From: Trond Endrestol <trond@agamemnon.gtf.ol.no>

	* makeinfo/cmds.c (cm_dots, cm_enddots): go back to ... and ....,
		&#133; apparently doesn't work widely enough.

Tue Feb 16 07:37:54 1999  Karl Berry  <karl@gnu.org>

	* configure.in (ALL_LINGUAS): add de_AT.

	* util/texi2dvi: Redirect cd output to /dev/null when determining
 		txiversion.

Mon Feb 15 13:43:37 1999  Karl Berry  <karl@gnu.org>

	* util/install-info.c,
	* util/texindex.c: Call xexit instead of exit.

	* lib/system.h (xexit): Declare.

	* lib/Makefile.am (libtxi_a_SOURCES): Add xexit.c.

	* doc/texinfo.txi: Document that @documentencoding is used in the
 		HTML output.

	* makeinfo/cmds.c (cm_top): use document_encoding if set.
	(command_table): call cm_documentencoding instead of no-op.
	* makeinfo/lang.c (document_encoding, cm_documentencoding): define.
	* makeinfo/lang.h (document_encoding, cm_documentencoding): declare.

	* makeinfo/insertion.c: Restore </p> before <li>.

	* util/texi2dvi: If texinfo.tex version is too low for macros, use
 		makeinfo.

	* makeinfo/cmds.c (cm_center): save and restore value of
	       indented_fill, otherwise @center within an @enumerate (say)
	       also closes the indentation.
	Bug from: Sergio Pokrovskij <pok@nbsp.nsk.su>.

Sun Feb 14 15:25:02 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c: Doc fix.

	* doc/texinfo.txi: Be enthusiastic if people want to implement
		more output formats, but use makeinfo to do the job.

	* makeinfo/index.c (index_element_compare): Use strcoll if it's
 		available.
	* configure.in: Call AC_FUNC_STRCOLL.
	* makeinfo/makeinfo.c (main): Use LC_CTYPE and LC_COLLATE
 		categories.  Suggestion from Oleg.

	* lib/system.h (setlocale) [!HAVE_SETLOCALE]: #define away.
	Suggestion from Akim.

	* doc/texinfo.txi: Document @paragraphindent working in TeX now.

	* doc/texinfo.txi,
	* makeinfo/lang.c,
	* makeinfo/lang.h (language_code_type): abbrev changes from Oleg.

	* makeinfo/cmds.c,
	* makeinfo/node.c: Only translate `Next:', `Previous:', and `Up:',
 		not the whole href.  From Eli.

	* doc/texinfo.txi: Document that only unsplit html output is
 		supported in this release.

Sat Feb 13 17:55:30 1999  Karl Berry  <karl@gnu.org>

	* configure.in: Check for termlib before termcap for sake of
 		Solaris (judging from less-332 configure.in) and maybe
 		HP-UX 11.

	* doc/texinfo.txi (Footnote commands): incoherency reported by Aharon.
	Language vs country fixes from Oleg.

1999-02-13  Karl Eichwalder  <ke@gnu.franken.de>

	* makeinfo/node.c (cm_node): Tag navigation links as translatable.
	* makeinfo/cmds.c (cm_top): Ditto.

Wed Feb 10 22:00:00 1999  Karl Heinz Marbaise <kama@hippo.fido.de>

    * makeinfo/defun.h:
            - new because we need get_base_type-function
              accessible in insertion.c

    * makeinfo/defun.c:
            - complete HTML handling of the @def... things.

    * makeinfo/Makefile.am:
            - defun.h added as part of makeinfo.

    * makeinfo/makeinfo.c:
            - define looking_at moved into header-file, because
              we need it in defun.c

    * makeinfo/insertion.c:
            - some minor changes made to support the @def...
              things in HTML.
    
    * makeinfo/lang.c: (cm_accent_generic)
            - bug fixed. Using umlaut (accent ...)
              would produce &A only if an umlaut follows
              an empty line.
            - bug fixed. Because things like &tilde; &grave;
              and &circ; do not exist as standalone characters
              in HTML.
            - cm_special_char now produce correct HTML for
              @O{} and @o{}.
            - warning using _("Text") instead "Text" (gettext).

    * makeinfo/cmds.c:
            - @url fixed. Display the given Text.

    * doc/texinfo.txi:
            - corrected the references for @uref, because
              they were given as "url" instead of "uref".
              @uref has three arguments, so show them in
              command list.

Wed Feb 10 17:27:58 1999  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: Rewrite for overfull box.

Tue Feb  9 19:03:16 1999  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: Document more HTML output stuff.  Based on esr
 		changes.
	* makeinfo/macro.c,
	* makeinfo/macro.h,
	* makeinfo/makeinfo.c: Do alias and definfoenclose expansion.
  		From esr.

Mon Feb  8 14:41:07 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/cmds.c: New commands @alias and @definfoenclose.
	From: "Eric S. Raymond" <esr@snark.thyrsus.com>.

	* doc/texinfo.txi: Document @documentlanguage and
 		@documentencoding.

	* makeinfo/cmds.c: Move accent support to lang.c.

	* makeinfo/makeinfo.c (add_char): add &nbsp; rather than an 8-bit
 		char for html.

	* makeinfo/Makefile.am (makeinfo_SOURCES): add lang.[ch].

	* doc/texinfo.txi: Be even more emphatic that @url is not
		typically what you want.
	* doc/texinfo.txi: Document that macro calls must use empty
 		braces.

	* info/session.c: Do not translate node pointers.  From Karl E.

	* makeinfo/cmds.c (cm_dfn): Use <dfn>.  Suggestion from Eli.

Sun Feb  7 07:00:08 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c: Make --html imply --no-split.

	* makeinfo/cmds.c (cm_top): don't core dump if the top node has no
 		next.

	* makeinfo/makeinfo.c (replace_with_expansion): compare length
		after expansion with length of full input text before
		expansion, not just the length of the expanded text.
                Bug (contents2) reported by kama.

	* info/infodoc.c (create_internal_info_help_node): gettext calls
		to help msg strings. From Ulrich.

Fri Feb  5 17:35:13 1999  Karl Berry  <karl@gnu.org>

	* util/texi2dvi: set makeinfo= for latex case.

	* doc/texinfo.txi (@deftp summary): ref Data Types node that
		actually describes it.  From kama.

Thu Feb  4 07:39:10 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c: Take it back.  Emacs info needs that text
 		before the CTRL-_.
	* makeinfo/makeinfo.c: Don't bother to output the header (This is
 		-, produced ...) to stdout.

	* doc/texinfo.txi (Other Info Directories): Mention that dir files
 		must be named dir.

	* makeinfo/makeinfo.c (cm_uref): implement optional third
 		argument.
	* doc/texinfo.txi (uref): document it.
	Suggestion from: Charles Karney <karney@pppl.gov>

	* doc/Makefile.am (info_TEXINFOS): put texinfo.txi first so
		UPDATED reflects its modtime, rather than info-stnd's.

	* makeinfo/files.c (full_pathname) [!WIN32]: #endif in wrong place.
	From: Yoshiki Hayashi <g740685@komaba.ecc.u-tokyo.ac.jp>

	* makeinfo/cmds.c (cm_url): Remove URL: from output.  It's ugly.

Wed Feb  3 16:05:03 1999  Karl Berry  <karl@gnu.org>

	* info/infodoc.c: Doc fix, zero not oh.

	* makeinfo/makeinfo.c (add_char): don't ignore if
		only_macro_expansion, even in no_headers case.
		Otherwise menu items don't get remembered and defaulting
		doesn't work.  Macros suck!

	* util/texi2dvi (common): include orig_pwd.
	(language): reguess for each file if not explicitly set.

Tue Feb  2 16:22:32 1999  Karl Berry  <karl@gnu.org>

	* configure.in: Bump to 3.12d now.

Mon Feb  1 14:46:45 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/insertion.c (cm_item): For itemize and enumerate, do
		</p> before the <li> for html. Bug from Eli.

	* makeinfo/index.c: Installed change in index.c:
	Mon Dec 28 12:50:14 1998  Matthew Fredette  <fredette@mit.edu>
		* makeinfo.c (index_add_arg): Use xstrdup on input_filename
		when saving it in the new index entry.

	* util/texi2dvi: cd / before cd $orig_pwd in case of DOS drive
 		change.

Sun Jan 31 16:39:01 1999  Karl Berry  <karl@gnu.org>

	* util/texi2dvi: Used sed to expand only the @{if,}tex parts of
	the source since makeinfo's conditional options aren't ready yet
		(from Akim).
	Also use ${1+"$@"} for Digital Unix "$@" expansion bug (from Noah).

	* util/install-info.c: Doc fix from Eli.

	* doc/texinfo.txi: Oops, said we looked for .png twice.

Sat Jan 30 17:18:14 1999  Karl Berry  <karl@gnu.org>

	* info/session.c (forward_move_node_structure): remove tangled
	code to merely print words instead of numbers; too hard to translate.

	* info/session.c: Missing _'s for more i18n.  From Trond.

	* doc/Makefile.am (EXTRA_DIST): Include txi-no.tex from Trond.

Sun Jan 24 09:28:12 1999  Karl Berry  <karl@gnu.org>

	* Makefile.am (EXTRA_DIST): Use djgpp by itself instead of listing
		each file separately (new feature in automake 1.4).

	* makeinfo/insertion.c (begin_insertion): for quotation, always
		increment current_indent even if html output, why not.
		(Otherwise must not decrement current_indent in end_insertion.)

	* doc/texinfo.txi: More overfull box fixes.

	* makeinfo/insertion.c: Add some assertions and the beginnings of
 		handling @tex.

	* doc/texinfo.txi: Fix overfull boxes, but tables of contents at
 		the front.

	* util/texi2dvi: Can't pass --no-ifinfo --iftex to makeinfo yet,
 		it's not ready.

Sat Jan 23 10:22:16 1999  Karl Berry  <karl@gnu.org>

	* util/texi2dvi: Pass --no-ifinfo --iftex to makeinfo.

Fri Jan 22 19:09:49 1999  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: Include version.texi before @settitle so
 		@value{VERSION} gets expanded in the html title.  From kama.

	* These patches from Tim Singletary <talon@clark.net>.
	* makeinfo/makeinfo.c: Simplify and improve html menus.
	* makeinfo/insertion.c (begin_insertion): simplify html menu case
 		and set had_menu_commentary.
	* makeinfo/insertion.h (had_menu_commentary): declare new global.
	* makeinfo/node.h (glean_node_from_menu): declare.
	* makeinfo/node.c (glean_node_from_menu): new arg to specify what
 		type of reference to remember as.

	Date: Sun, 29 Nov 1998 09:21:01 -0500 (EST)
	From: Tim Singletary <tsingle@talon.clark.net>
	To: texinfo-pretest@tug.org
	Subject: explanation of previous patches

	> These diffs introduce some non-trivial changes into very
	> sensitive parts of makeinfo, and it is hard to judge them without
	> knowing what exactly do they solve.

	At a high level, these patches fix (or at least significantly improve)
	the html conversion of menus.  Specifically, they fix bugs in the
	conversion of menu commentary and detailmenu entries.

	The menu commentary fixes require some justification:  The unpatched
	makeinfo attempts, with many bugs, to place menu commentary outside
	the <menu> by adding </ul> and <ul> tags.  While I understand the
	motivation for this, that there might be browsers that don't support
	<p> within <menu>, I'm not aware of any such browser and don't see any
	compelling reason to continue the </ul> kludge.

	Certainly
			<menu>
			<li>First paragraph.
			 <p>Second paragraph.
			<li>Second item.
			</menu>
	is valid html!

	Anyway, here's what my patches do:

	1) Deleted the `<h4>Menu</h4>' at the beginning of each menu.  Using
	   `<h4>' is wrong since menus don't usually come after an `h3'
	   header.  `<b>' looks the same on most browsers, but my opinion is
	   that there's no need for any header at all!

	2) Deleted the `<li>' kludge at the begining of each menu.  It's no
	   longer needed since I'm deleting the </ul> kludge.

	3) Replace `in_menu_para', declared static in makeinfo.c:add_char()
	   with `had_menu_commentary', declared globally.  Modified
	   insertion.c:begin_insertion() to initialize had_menu_commentary to
	   1 when beginning a menu.  Now there's enough state information for
	   menu commentary to be processed within <menu> ... </menu>; the
	   commentary can be seperated from the rest of the menu by bracketing
	   it between <p>'s.

	   Note that the first patch had a bug initializing
	   had_menu_commentary; the second patch fixes this bug.

	4) Changed the semantics of the argument to
	   node.c:glean_node_from_menu().  Previously, glean_node_from_menu()
	   only called remember_node_reference() when the argument was
	   non-zero.  But add_char() didn't call `glean_node_from_menu(1)'
	   when processing detailmenu entries.  In other words, detailmenu
	   entries didn't get registered as references, which lead to the html
	   conversion of detailmenu entries not producing proper hrefs!

	   The new semantics are that glean_node_from_menu always calls
	   remember_node_reference(), but calls it with `menu_reference' when
	   the first arg to glean_node_from_menu() is 1 and with
	   `followed_reference' otherwise.  Now, detailmenu entries get
	   registered as `followed_reference' (normal menu entries still get
	   registered as `menu_reference') and the html conversion produces
	   proper hrefs.

	5) The above changes made it possible to streamline the section of
	   add_char() that deals with html menu text.

	6) In an otherwise unrelated change, rewrote a section of
	   glean_node_from_menu to no longer use `goto save_node;'.


Thu Jan 21 12:55:42 1999  Karl Berry  <karl@gnu.org>

	* doc/info-stnd.texi: OK, let's try restoring the @include
 		version.texi with the new automake.

	* makeinfo/cmds.c: Improve HTML @pounds, @bullet, etc.

	* doc/Makefile.am (install-tex): new target.
	(EXTRA_DIST): Include txi-??.tex.
	txi-de.tex: new file from kama.

	* Makefile.am (AUTOMAKE_OPTIONS): Bump to 1.4.
	(install-tex): new target.

	* util/texi2dvi: Restore "$@" for explicitness in main loop.

	* doc/Makefile.am (*.1) [TEXINFO_MAINT]: Conditionalize.

	* configure.in (AC_PREREQ): Bump to 2.13.
	(TEXINFO_MAINT): Define this AM_CONDITIONAL.

	* doc/texinfo.txi: Document that the HTML output name is derived
 		from @setfilename.

	* makeinfo/makeinfo.c (convert_from_loaded_file): Use @setfilename
		for basename of html output.

	* doc/texinfo.txi (url): Use example.org for the example.

	* makeinfo/cmds.c (cm_url): @url should not produce a link, sorry
 		to say.

Wed Jan 20 16:31:55 1999  Karl Berry  <karl@gnu.org>

	* util/texindex.c,
	* util/install-info.c,
	* makeinfo/makeinfo.c,
	* info/info.c: It's 1999.

	* doc/info.texi (Advanced info commands): Fix typos from Gildea.

	* makeinfo/makeinfo.c (end_of_sentence_p): don't check negative
		array offset.
	From: Enrico Scholz <enrico.scholz@wirtschaft.tu-chemnitz.de>

Sun Jan 17 16:42:16 1999  Karl Berry  <karl@gnu.org>

	* util/texi2dvi: Restore --batch, handle changing escape character
		more cleanly.  From Akim (as always).

Thu Jan 14 16:47:41 1999  Karl Berry  <karl@gnu.org>

	* configure.in (ALL_LINGUAS): Add no.
	From: Trond Endrestol <trond@agamemnon.gtf.ol.no>

	* util/texi2dvi: Doc fix from Akim and do not always exit 1 from trap.
	And it's 1999.

	* doc/texinfo.txi (image): Document imagename.pdf.

	* Apply this change from Eli:

  1998-11-20  Eli Zaretskii  <eliz@is.elta.co.il>

	  * makeinfo/makeinfo.h (meta_char_pos): New variable.
	  * makeinfo/makeinfo.c (init_paragraph): Initialize it.
	  (add_char): Use META to create a non-breakable space character.
	  (add_meta_char): New function.
	  (end_of_sentence_p): Don't handle characters at meta_char_pos as
	  normal sentence enders.
	  (flush_output): Only unMETA the non-breaking space character.
	  Reset meta_char_pos to zero.
	  (do_flush_right_indentation): Call adjust_braces_following.
	  (indent): Likewise.
	  (cm_value): Save and restore the value of meta_char_pos.
	  (expansion): Likewise.
	  * makeinfo/macro.c (me_execute_string_keep_state): Save and
	  restore the value of meta_char_pos.
	  * makeinfo/node.c (cm_node): Save and restore the value of
	  meta_char_pos.
	  * makeinfo/cmds.c (cm_accent): Make the dot we add due to
	  @dotaccent be a meta-character.
	  (cm_code, cm_dfn): Call add_meta_char to insert the closing
	  quote.
	  (cm_cite): Call add_char instead of add_word.

Thu Jan  7 18:04:26 1999  Karl Berry  <karl@gnu.org>

	* util/texi2dvi: Handle pdf files more cleanly.  From Akim.

Wed Jan  6 17:49:11 1999  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (cm_image): Check for .png also.

Sun Dec 20 07:54:47 1998  Karl Berry  <karl@gnu.org>

	* util/texi2dvi: Add --pdf.

	* util/texi2dvi: New option -@ to use @input and @nonstopmode, in
		case texinfo is preloaded.
	From: Khimenko Victor <khim@sch57.msk.ru>
	Date: Sun, 20 Dec 1998 02:04:12 +0300 (EET)

Sat Dec 19 17:37:37 1998  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi (Multitable Column Widths): leading zero ok for
 		@columnfractions.

	* util/texi2dvi: New version from Akim, plus --quiet is like
 		--batch, etc.

Fri Dec 18 17:22:44 1998  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: Document that the Texinfo source can't be
	arbitrarily ordered (for print) even if all pointers are supplied.

	* makeinfo/insertion.c (end_insertion): In itemize case,
		close_insertion_paragraph so @end itemize cause a line break.
        Report from: Sergei Pokrovsky <pok@nbsp.nsk.su>
        Date: Sun, 22 Nov 1998 19:45:21 +0700 (GMT)

Tue Dec 15 16:21:51 1998  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: More fixes from Oleg.

	* configure.in: Bump version to 3.12c for next pretest.

	* util/install-info.c (open_possibly_compressed_file)
		[STRIP_DOT_EXE]: logic for compression_program assignment
		was reversed.
	From: wlestes@wlestes.uncg.edu

Sat Dec 12 18:02:48 1998  Karl Berry  <karl@gnu.org>

	* Merged these changes from Andreas:

1998-12-06  Andreas Schwab  <schwab@issan.cs.uni-dortmund.de>

	* makeinfo/node.c (cm_node): When searching for @menu don't
	require a space after it.

1998-12-06  Andreas Schwab  <schwab@issan.cs.uni-dortmund.de>

	* makeinfo/cmds.c (cm_top): free top_name only after done using it.

Sat Dec 12 15:40:13 1998  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: Various typos and fixes from Oleg.

	* doc/texinfo.txi: Move @node's outside of @ifinfo for the sake of
 		HTML processing.

	* doc/texinfo.txi (titlepage): @pxref was not in parens.  From Oleg.

Sun Dec  6 16:49:09 1998  Karl Berry  <karl@gnu.org>

	* dir-example: Amd is now am-utils.

	* doc/Makefile.am: Reinstate help2man invocations for development.

	* doc/texinfo.txi: Document @set...contentsaftertitlepage (from kama).
	Fix incorrect sense for @image and Hungariam typo (from Oleg).

	* lib/system.h: #include libintl.h here instead of acconfig.h, so
		the system include files have a chance to #define NULL
		before it does.
	* acconfig.h: Remove libintl.h and #defines from here.
	From: "Philippe De Muyter" <phdm@macqel.be>
	Date: Fri, 4 Dec 1998 00:56:25 +0100 (CET)

	* info/signals.c: Start #ifdef's in column one for cc on sysv68
		(m68k-motorola-sysv).
	From: "Philippe De Muyter" <phdm@macqel.be>
	Date: Fri, 4 Dec 1998 00:56:25 +0100 (CET)

	* info/filesys.c (is_dir_name): use strcpy instead of automatic
		array initialization.
	From: "Philippe De Muyter" <phdm@macqel.be>
	Date: Fri, 4 Dec 1998 00:56:25 +0100 (CET)

	* configure.in (ALL_LINGUAS): add ru.

Fri Dec  4 08:12:11 1998  Karl Berry  <karl@gnu.org>

	* info/infodoc.c: Gettextize the help buffer string.

Sun Nov 29 17:12:35 1998  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: Use @ifnottex rather than @ifinfo for @top.
	(makeinfo top): document this.

	* doc/info-stnd.texi,
	* doc/info.texi: Use @ifnottex rather than @ifinfo for @top.

	* makeinfo/insertion.c (cm_menu): Implicitly insert @top command
        so we can construct the node tree as usual when we see @menu
 	before @node.  Probably this is when the input uses
 	@ifinfo instead of @ifnottex, as virtually all existing
 	manuals do.

	* makeinfo/insertion.c (discard_insertions): Let any conditional
	cross node boundary.  (So the @top node can be wrapped
	in @ifnottex, for example.)

	* Installed these:

1998-11-21  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/makeinfo.c (expansion): Save and restore
	last_inserted_character and last_char_was_newline.

	* makeinfo/cmds.c (cm_dircategory): Kill any indentation before
	INFO-DIR-SECTION.  install-info relies on this.

1998-11-20  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/multi.c (struct env): Add meta_char_pos member.
	(select_output_environment): Save and restore meta_char_pos.
	(out_char): Output characters by switching environment to #0 and
	calling insert.  Call flush_output when a newline is output.
	(output_multitable_row): Update the current environment's
	output_paragraph_offset as well, after removing trailing
	whitespace.  Fix typo in loop index.
	(do_multitable): Call close_single_paragraph.
	(end_multitable): Call close_insertion_paragraph.  Don't output
	an extra newline.

1998-11-20  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/makeinfo.h (meta_char_pos): New variable.
	* makeinfo/makeinfo.c (init_paragraph): Initialize it.
	(add_char): Use META to create a non-breakable space character.
	(add_meta_char): New function.
	(end_of_sentence_p): Don't handle characters at meta_char_pos as
	normal sentence enders.
	(flush_output): Only unMETA the non-breaking space character.
	Reset meta_char_pos to zero.
	(do_flush_right_indentation): Call adjust_braces_following.
	(indent): Likewise.
	(cm_value): Save and restore the value of meta_char_pos.
	(expansion): Likewise.
	* makeinfo/macro.c (me_execute_string_keep_state): Save and
	restore the value of meta_char_pos.
	* makeinfo/node.c (cm_node): Save and restore the value of
	meta_char_pos.
	* makeinfo/cmds.c (cm_accent): Make the dot we add due to
	@dotaccent be a meta-character.
	(cm_code, cm_dfn): Call add_meta_char to insert the closing
	quote.
	(cm_cite): Call add_char instead of add_word.

Sun Nov 29 16:30:06 1998  Karl Berry  <karl@gnu.org>

	* info/info.h,
	* info/footnotes.h (FOOTNOTE_LABEL),
	* info/indices.c (APROPOS_NONE): Use N_ rather than _.

	* info/infodoc.c (create_internal_info_help_node,
	function_documentation): Do not translate the empty string.
	Date: Fri, 25 Sep 1998 15:09:42 +0400
	From: "Oleg S. Tihonov" <tihonov@ffke-campus.mipt.ru>

	* doc/info-stnd.texi: Mention PRIOR as another alias for
 		PREVIOUS/PageUp.

	* doc/texinfo.txi: @emph produces _emph_ not *emph*.  Spurious
		junk before makeinfo bison example.
	From: tihonov@ffke-campus.mipt.ru.

1998-11-16  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/defun.c (defun_internal): Don't expand the arguments to
	@defun and its ilk.

	* makeinfo/makeinfo.c (expansion): Copy the name of the currently-
	executing command and restore it after expansion.

Sun Nov 15 17:40:51 1998  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c: Rearrange usage, allow -v for verbose, only
		output `Making' line when verbose.
	* makeinfo/makeinfo.h (process_html, process_info, process_tex):
 		declare.
	* makeinfo/cmds.c: Use conditional commands.
	* makeinfo/insertion.c (find_type_from_name): Handle rawhtml and
 		rawtex.
	(conditional commands): Allow individual switching on and off.

	* makeinfo/insertion.h: Declare conditionals.

1998-11-14  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/insertion.c (begin_insertion, end_insertion): Use <pre>
	to convert @display and @smalldisplay into HTML.

	* makeinfo/cmds.c (cm_asterisk): Don't insert an extra newline in
	HTML mode, since input includes a newline right after the @*.
	(cm_sp): Output "<br><p>\n" as many times as the argument says.
	(cm_url): Don't include "<a href=" in the anchor text in HTML
	output.

	* makeinfo/makeinfo.c (cm_pxref): Don't add a period after @pxref
	if in HTML mode.
	(get_rest_of_line): Accept an additional argument EXPAND, and
	expand the rest of line if it's non-zero.  All callers changed.
	(close_paragraph): When in HTML mode, honor the formatting of the
	source paragraphs by generating "<p>" for every closed paragraph;
	follow it by as many "<p>"'s as paragraph_spacing specifies.

Sat Nov 14 17:38:27 1998  Karl Berry  <karl@gnu.org>

	* makeinfo/insertion.c: Use <ul compact> instead of deprecated <menu>.
	Omit extra <li> after the menu beginning.

	* makeinfo/index.c: Use <ul compact> instead of deprecated <menu>.

Thu Nov 12 16:33:09 1998  Karl Berry  <karl@gnu.org>

	* Makefile.am (EXTRA_DIST): add djgpp/config.sed.

	* info/terminal.c: #include <sys/ioctl.h> to define TIOCGWINSZ
 		under LynxOS.  From: Marius Groeger <mag@sysgo.de>.

1998-11-06  Andreas Schwab  <schwab@issan.cs.uni-dortmund.de>

	* makeinfo/insertion.c (begin_insertion): Correctly handle
	ifnottex and ifnothtml.
	(end_insertion): Likewise.

Sun Nov  8 17:30:23 1998  Karl Berry  <karl@gnu.org>

	* makeinfo/index.c,
	* makeinfo/insertion.c: Menu is special to Info.
	* makeinfo/node.c: Top is a special name, don't translate it.
	* info/session.c (info_top_node): Top is a special name, don't
		translate it.
	From: "Oleg S. Tihonov" <tihonov@ffke-campus.mipt.ru>.

Fri Nov  6 17:18:43 1998  Karl Berry  <karl@gnu.org>

	* configure.in: Version 3.12b.

	* util/texi2dvi: Fixes from Eli and Christoph Martin.

	Mon Oct  5 13:58:53 1998  Dave Glowacki  <dglo@ssec.wisc.edu>
	* util/install-info.c: Fix off-by-one error in findlines()

	* util/texindex.c (usage): avoid trigraph until Ulrich fixes
 		po2tbl.sed.in.  From Paul Eggert.

1998-11-03  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/makeinfo.c (cm_xref): Don't bypass the test that an
	xref ends with a period or a comma if the reference has a single
	argument.

1998-10-31  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/insertion.c (end_insertion): Don't decrement
	in_fixed_width_font when leaving a menu, the previous value is
	restored by pop_insertion.

	* makeinfo/makeinfo.c (add_char): Don't increment output_column
	twice when a newline is inserted into the output.

	* doc/texinfo.txi (emph & strong): Document the use of underscores
	for @emph in the Info output.

1998-10-30  Eli Zaretskii  <eliz@is.elta.co.il>

	* djgpp/config.bat: Make sure intl/po2tblsed.in exists before we
	begin the configure boogie.
	* djgpp/config.sed: Sed script, to be run by config.bat.

	* doc/info-stnd.texi (Node Commands): Document the new G command.

	* info/session.c (info_follow_menus): Step over a possible leading
	space in a menu entry in menus[].
	(split_list_of_nodenames): Renamed from split_words.  Split the
	string on commas, not on spaces, since a menu entry can have
	embedded whitespace.  Get past the null byte after inserting it.
	(info_menu_sequence): Don't crash if there's no DIR node; try
	using Top of the current Info file, and if that doesn't work
	either, throw an error.

	* util/texi2dvi: Use $path_sep in TEXINPUTS.  Don't include any
	dots in $tmpdir, 8+3 filesystems won't like that.

	* makeinfo/makeinfo.c (reader_loop): Expand any macros in a menu
	entry when creating a <menu> item for HTML.  Fix an off-by-one
	error in counting input lines.

	* makeinfo/files.c (expand_filename): Don't treat .foo/bar as
	absolute file name.

	* makeinfo/makeinfo.c (add_char): Use strncpy instead of memcpy,
	since the buffers overlap.  If the line being refilled includes
	nothing but the indentation and the word being added, do NOT add
	an extra newline.

	* util/install-info.c (strip_info_suffix, menu_item_equal,
	open_possibly_compressed_file) [__MSDOS__]: Allow .inz and .igz as
	suffuxes for compressed files.
	(open_possibly_compressed_file): Return an indication whether we
	opened a file or a pipe.  Use FOPEN_RBIN from system.h.
	[STRIP_DOT_EXE]: Use gzip.exe with an explicit .exe extension.
	[O_BINARY]: If the file is not compressed, switch its stream to
	text mode.
	(readfile): Close the file or the pipe.
	(output_dirfile): Call pclose to actually run the compressor.

Thu Nov  5 08:33:06 1998  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: effect -> affect
	From: Eric Hanchrow <offby1@blarg.net>

Tue Nov  3 14:26:59 1998  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c (cm_image): Allocate enough space for the
 		zero byte.

	* doc/texinfo.txi: Document epsf.tex standard location.

Tue Oct 27 10:45:47 1998  Karl Berry  <karl@gnu.org>

	* Makefile.am (TEXINFO_TEX): add definition.

	* doc/info-stnd.texi: Avoid unnecessary overfull boxes from
 		examples.

	* doc/Makefile.am (install-data-local): missing ".

	* doc/Makefile.am: Don't try to run help2man in distribution.

Mon Oct 26 13:43:53 1998  Karl Berry  <karl@gnu.org>

	* configure.in (TEXMF): lose this whole block.  It is too painful
		to maintain with the different tex installations out there.

	* util/Makefile.am (EXTRA_DIST): update-info renamed to
 		fix-info-dir.

	* makeinfo/footnote.h: Doc fix.

	* makeinfo/multi.c: #include "insertion.h"
	* makeinfo/cmds.c: #include "node.h"
	* makeinfo/makeinfo.h,
	* makeinfo/makeinfo.c: Move globals, functions for insertions and
 		nodes.
	* makeinfo/defun.c: #include "insertion.h"
	* makeinfo/Makefile.am: Add insertion.[ch], node.[ch].
	* node.[ch], insertion.[ch]: New files.

	* makeinfo/makeinfo.c,
	* makeinfo/makeinfo.h: Move globals for cmds.h.
	* makeinfo/index.h: Include cmds.h.
	* makeinfo/Makefile.am (makeinfo_SOURCES): Add cmds.h, cmds.c.
	* cmds.c, cmds.h: New files.

Sat Oct 24 17:28:14 1998  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c,
	* makeinfo/makeinfo.h: Globals for files.c.
	* makeinfo/Makefile.am (makeinfo_SOURCES): add files.[ch].

Tue Oct 20 17:03:10 1998  Karl Berry  <karl@gnu.org>

	* makeinfo/Makefile.am (makeinfo_SOURCES): add macro.c and
 		macro.h.
	* makeinfo/makeinfo.c: Move macro code to macro.h and macro.c.
	* makeinfo/makeinfo.h: Move macro stuff to macro.h, expose global
		last_char_was_newline for macro.c.
	* makeinfo/index.c,
	* makeinfo/footnote.c: #include macro.h.

Wed Oct  7 16:24:07 1998  Karl Berry  <karl@gnu.org>

	* doc/info-stnd.texi: For now don't include version.texi due to
 		automake error.

	* makeinfo/index.h: #include makeinfo.h for sake of COMMAND type.
	* makeinfo/index.c: No need to include makeinfo.h, index.h does
 		now.

	* makeinfo/makeinfo.c: Move footnote code to footnote.c.
	* makeinfo/makeinfo.h: Globals for footnote.c.
	* makeinfo/Makefile.am (makeinfo_SOURCES): add footnote.[ch].

	* makeinfo/makeinfo.c: Move defun code to defun.c, necessary
 		global to makeinfo.h.
	* makeinfo/makeinfo.h (default_indentation_increment): move here
 		for defun.c.
	* makeinfo/Makefile.am (makeinfo_SOURCES): add defun.c.

	* Makefile.am: Doc fix.

	* configure.in (AC_OUTPUT): generate makeinfo/tests/Makefile.

	* makeinfo/makeinfo.c,
	* makeinfo/makeinfo.h,
	* makeinfo/Makefile.am (makeinfo_SOURCES): add index.[ch].

Fri Oct  2 17:42:26 1998  Karl Berry  <karl@gnu.org>

	* lib/system.h (STREQ): new macro.

Thu Oct  1 09:26:57 1998  Karl Berry  <karl@gnu.org>

	* doc/texinfo.txi: Delete spare copy since out of date,
	add makeinfo html to menu,
	detailmenu doesn't take braces in summary.

Wed Sep 30 14:38:21 1998  Karl Berry  <karl@gnu.org>

	* makeinfo/makeinfo.c: Remove != NULL comparisons,
	xmalloc/xrealloc casts, assignments in if statements.

Wed Sep 30 14:16:01 1998  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c: Remove NULL casts and parentheses in return
 		statements.

	* makeinfo/makeinfo.c (add_link): Don't add a link if the node is null.
 	(reader_loop): don't glean_node_from_menu if detailmenu, even if html.
	Various formatting changes.

	* doc/help2man: Always exit successfully.

	* makeinfo/Makefile.am (SUBDIRS): add.
	(makeinfo_SOURCES): no more html.h.

Fri Sep 11 18:47:15 1998  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c: Fiddle with html output.

1998-09-07  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/makeinfo.c (maybe_update_execution_strings): Only
	reallocate TEXT if the existing storage is too small, otherwise
	leave TEXT alone.
	(replace_with_expansion): Call maybe_update_execution_strings to
	reallocate input_text if we are executing_string, since storage
	for execution_string is assumed to be large enough to hold every
	possible string.
	(me_execute_string): xstrdup the argument, so callees could freely
	relocate it as needed.

1998-09-06  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/makeinfo.c (replace_with_expansion): Don't remember
	macro-expansion pointers if we are executing_string.

1998-09-05  Eli Zaretskii  <eliz@is.elta.co.il>

	* info/filesys.c (info_suffixes): Put the empty suffix last in the
	list, so that `foo.info' is found before `foo', if both exist.

1998-09-05  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/makeinfo.c (maybe_update_execution_strings): New
	function, updates an entry in execution_strings[] array after
	input_text is relocated by replace_with_expansion.
	(replace_with_expansion): Call it.

1998-09-04  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/makeinfo.c (expand_macro): If a macro is called with
	too many arguments, return NULL and print the line number where
	the call begins.
	(execute_macro): If expand_macro returns NULL, return
	immediately.

Sun Sep  6 19:11:28 1998  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c,
	* makeinfo/makeinfo.h,
	* makeinfo/multi.c: Html output.  Specifically, these changes:

    Fri Jul  4 22:58:29 1997  Dave Love  <d.love@dl.ac.uk>

	     * doc/makeinfo.texi: Document HTML output.

	     * makeinfo/makeinfo.c: Wrap strings in _() in bits changed for
	     HTML.
	     (cm_image): Generate <img> for HTML.

    Sun Jun 22 22:50:07 1997  Dave Love  <d.love@dl.ac.uk>

	    * makeinfo/makeinfo.c (NAMED_NODE_ANCHORS): New define.
	    (title, outstanding_node, node_number, node_node_references,
	     escape_html, ifinfo_as_html): New variables.
	    (tentry.number, node_ref.number, fn.number): New fields.
	    (CommandTable): Various additions and alterations for HTML.
	    (long_options): Add html and no-info-as-html.
	    (main): Extra code for HTML.
	    (usage): Add HTML stuff.
	    (expand_filename): Deal with .html.
	    (escape_string): New procedure.
	    (convert_from_loaded_file): Extra code for HTML.
	    (init_internals): Call free_node_references, initialize
	    node_number.
	    (reader_loop): Process menu items for HTML hyperlinks.  Escape
	    HTML special characters.
	    (add_char): Code for line breaks and paragraph insertions in
	    HTML.
	    (flush_output): Don't UNMETA for HTML.
	    (indent): Do nothing for HTML.
	    (current_item_function): Case for ifhtml.
	    (begin_insertion): Deal with HTML in various cases.
	    (insert_html_tag): new procedure.
	    (cm_asterisk, cm_copyright, cm_accent, cm_code, cm_kbd,
	    cm_angle_brackets, cm_var, cm_defn, cm_var, cm_emph, cm_string,
	    cm_cite, cm_top, cm_xref, cm_inforef, cm_uref, cm_direntry,
	    cm_ifinfo, cm_item, process_defun_args, defun_internal, cm_sp,
	    cm_dircategory, cm_center, cm_result, cm_expansion, cm_error,
	    cm_exdent, index_add_arg, make_index_entries_unique,
	    cm_printindex, cm_footnote, output_pending_notes,
	    me_execute_string): Code for HTML.
	    (cm_shyph): New procedure.
	    (cm_special_char): Add start, end args.  Code for HTML.
	    (cm_email, cm_url, cm_i, cm_b, cm_r): New procedures.
	    (sectioning_html): New procedure.
	    (sectioning_underscore): Use it.
	    (add_link): New procedure.
	    (remember_node): Add number field and update node_number.  Note
	    next, etc. nodes for HTML.
	    (add_escaped_anchor_name, add_anchor_name): New procedures.
	    (cm_node): New code for HTML.  Move some other code to more
	    useful place.
	    (remember_node_reference): Add number field and update
	    node_number.
	    (remember_node_node_reference, free_node_node_references,
	    number_of_node): New procedures.
	    (cm_ifhtml, cm_html): New procedures.
	    (expansion): Take care of HTML escaping.
	    (cm_settitle): New procedure.
	    (remember_note): Set number field.

	    Declare various procedures in advance.

	* doc/texinfo.txi: Makeinfo --html documentation from Dave Love.
	Typo fixes from: Paul DuBois <dubois@primate.wisc.edu>.

Thu Sep  3 11:11:01 1998  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/Makefile.am (makeinfo_SOURCES): add html.[ch].

1998-08-28  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/makeinfo.c (cm_uref, cm_email): Use get_xref_token to
	gather arguments.
	(get_xref_token): Keep track of input line number when expanding
	xref arguments.

Tue Aug 25 14:36:44 1998  Karl Berry  <karl@cs.umb.edu>

	* util/texi2dvi: Exit the script if TeX exits with bad status.

1998-08-16 Eli Zaretskii <eliz@is.elta.co.il>

	* info/indices.c (info_index_apropos): In the *Apropos*
	menu, print the label first, then the Info file name and
	the node name.  Make the Info file name part of the menu
	entry, so that all entries are distinct.
	(apropos_in_all_indices): Scan each Info file only once, thus
	avoiding multiple identical entries in the *Apropos* menu.
	Free xstrdup'ed buffer, to avoid leaking memory.

Thu Aug 13 12:54:58 1998  Karl Berry  <karl@cs.umb.edu>

	* configure.in: Set version to 3.12a.

	* Makefile.am (AUTOMAKE_OPTIONS): bump required version to 1.3,
 		add readme-alpha option.

	* util/texindex.c (program_name),
	* util/install-info.c (progname),
	* info/info.c (program_name),
	* makeinfo/makeinfo.c (progname): hardwire per coding standards.
	* doc/help2man: Remove ginfo special case.

Tue Aug 11 17:41:15 1998  Karl Berry  <karl@cs.umb.edu>

	* util/gen-dir-node: New version from drk@sgi.com.

Mon Aug 10 13:55:37 1998  Karl Berry  <karl@cs.umb.edu>

	* dir-example: Add entries from Linux.

	* info/info-utils.c (get_window_of_node): New fn.
	* info/info-utils.h (get_window_of_node): New fn.
	* (strchr,...) [!HAVE_STRCHR]: remove these #defines.
	* info/infodoc.c (info_find_or_create_help_window): Call
		get_window_of_node instead of get_internal_info_window.
	This is so pressing ? repeatedly will always get to the same Help
		window instead of popping up new ones.
	From: "Brian J. Fox" <bfox@prospero.datawave.net>

	* info/signals.c: Ignore SIGWINCH if we're in the midst of it.
	We might get a whole lot of them.  Noticed on Afterstep.
	From: "Brian J. Fox" <bfox@prospero.datawave.net>

1998-07-25  Bruno Haible  <bruno@linuix.math.u-bordeaux.fr>

        * install-info.c (findlines): Allocate room for one more line,
        to avoid crash if dir file has exactly 512 lines.

Tue Aug  4 07:14:35 1998  Karl Berry  <karl@cs.umb.edu>

	* info/info.c: Improve help message.

	* dir-example: Add mtools.

Fri Jul 31 13:29:52 1998  Karl Berry  <karl@cs.umb.edu>

	* doc/help2man: Various hacks for texinfo.

	* doc/texinfo.txi: Make dir entries more consistent.

	* doc/Makefile.am: Generate man pages with help2man.

	* util/texi2dvi,
	* util/install-info.c,
	* makeinfo/makeinfo.c,
	* util/texindex.c: Improve help message.

	* doc/info.5: Initial.
	* doc/texinfo.5: Section 5.

Thu Jul 30 17:31:42 1998  Karl Berry  <karl@cs.umb.edu>

	* doc/info-stnd.texi,
	* doc/texinfo.txi: Use Automake-standard VERSION and UPDATED.

Wed Jul 29 17:34:41 1998  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.txi: Describe macro limitations a bit more.

	* dir-example: Correct makeinfo link.

Tue Jul 28 16:44:06 1998  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (remember_brace_1): xstrdup command, since
 		we free it later.

Mon Jul 27 16:27:30 1998  Karl Berry  <karl@cs.umb.edu>

	* info/session.c (node_printed_rep): New fn.
	Change calls.

	* info/session.c (info_set_node_of_window): Simplify by taking new
		argument to say whether to call
		set_remembered_pagetop_and_point.  Change calls.
	* info/indices.c: Change call.

	* info/info.c: Rewrite initial menu-sequence following stuff as a
		function in session.c, and call it.

	* info/infomap.c: Define `G' as info_menu_sequence.
	* info/session.h (info_menu_sequence, info_follow_menus): declare
 		new fns.
	* info/session.c (info_follow_menus, split_words,
		* info_menu_sequence): New functions for new command.

Thu Jul 23 16:44:42 1998  Karl Berry  <karl@cs.umb.edu>

	* info/session.c (info_scroll_other_window_backward): new command.
	* info/infomap.c (initialize_info_keymaps): bind M-DEL and M-prior to
	scroll-other-window-backward.
	Report from: Vladimir Alexiev <vladimir@cs.ualberta.ca>
	Date: 	Tue, 2 Dec 1997 14:54:30 -0700

	* info/info-utils.c (printed_representation): If ISO_Latin_p, show
		characters as-is.  Don't assume iscntrl(x) returns false
		for meta characters.
        Report from: Francois Pinard <pinard@iro.umontreal.ca>
	Date: 15 Jan 1998 17:48:51 -0500

	* info/pcterm.c (pc_initialize_terminal): now no need to set it
 		here.
	* info/info-utils.c (ISO_Latin_p): set to 1 by default.

	* doc/info-stnd.texi: Document SPC, add goto-node anchor.

Wed Jul 22 18:58:38 1998  Karl Berry  <karl@cs.umb.edu>

	* info/window.c (message_buffer_to_node),
	* info/session.c (kill_node),
	* info/nodes.c (info_get_node_of_file_buffer,
 		info_node_of_file_buffer_tags),
	* info/man.c (manpage_node_of_file_buffer),
	* info/footnotes.c (make_footnotes_node): set display_pos member
 		in new node.

Tue Jul 21 14:04:52 1998  Karl Berry  <karl@cs.umb.edu>

        (all of this is to make SPC/DEL not move outside the current
	        document, i.e., not up through dir)
	* info/info-utils.h (info_label_was_found): Move from here.
	* (info_prev_label_of_node): Don't use it any more.
	* info/session.c (INFO_LABEL_WAS_FOUND): Move to here, add test
 		for filename not dir.
 	(forward_move_node_structure): Change calls, notice if no more nodes.
	(backward_move_node_structure): Check for moving outside current
	document to dir.
	* info/filesys.c (compression_suffixes): Add bz2 for bunzip2.
	(is_dir_name): New fn.
	* info/filesys.h: Declare it.
	* info/nodes.c (info_get_node, info_find_file_internal): Use it.

	* makeinfo/makeinfo.c: Set in_fixed_width_font to avoid munging
 		node names.

Sat Jul 18 17:14:10 1998  Karl Berry  <karl@cs.umb.edu>

	* info/man.c (reap_children): Call wait (NULL), since we don't
		actually use the return status for anything.  NEXTSTEP 3.3
		doesn't like an int * even though that is the POSIX
		specification.
	Date: Fri, 22 Aug 1997 13:55:42 +0200
	From: "Felix H. Gatzemeier" <fxg@imib.rwth-aachen.de>
	Via: Thomas Esser <te@informatik.uni-hannover.de>

	* info/session.c (kill_node): Restore point when we go back.

Thu Jul 16 18:54:04 1998  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (BRACE_ELEMENT): Add `command' to the save
 		stack.
 	(MAYBE_BRACE_ARGS): New possibility, somewhat like TeX's
	  next-token-as-argument.
	(command_table): Use cm_accent and MAYBE_BRACE_ARGS for all accents.
	(read_command): Implement MAYBE_BRACE_ARGS.
	(init_brace_stack): save current command.
	(pop_and_call_brace): restore current command.
	(cm_accent): move almost all accent characters to after the argument.
	Suggested by Fran,cois.

	* info/info.c (version_string): Remove defn.
	Change call for --version option.
	* info/session.c (display_startup_message_and_start): Just use
 		VERSION.
	* info/info.h (version_string): Remove decl.

Tue Jul 14 16:46:58 1998  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.h: Doc fix.

	* makeinfo/makeinfo.c (validate_file): Don't complain about
 		unreferenced anchors.

	* doc/texinfo.txi: Document @anchor.

Sun Jul 12 14:14:50 1998  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (remember_node): Only set `current_node' if
 		this is not an anchor.

	* info/nodes.c (get_tags_of_indirect_tags_table): Don't set
	nodelen to -1 when fixing up the subfile entries, it might be 0
	from an anchor.

	* info/nodes.c (find_node_of_anchor): Offset display_pos for
	anchor tags by the amount that node references are off by (- 1).

Sat Jul 11 17:37:18 1998  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (cm_anchor): Add output_column for anchors
 		embedded in a line.

Fri Jul 10 16:28:21 1998  Karl Berry  <karl@cs.umb.edu>

	* info/session.c (info_menu_or_ref_item): Don't search for the
		xref text if it's an anchor.
	* info/nodes.h (N_FromAnchor): New NODE flag.
	* info/nodes.c (find_node_of_anchor): New fn.
	(info_node_of_file_buffer_tags): Handle anchor case.

Wed Jul  8 17:48:59 1998  Karl Berry  <karl@cs.umb.edu>

	* info/window.c (window_set_node_of_window): Set window->point to
		node->display_pos.
	Remove unneeded casts.

Tue Jul  7 08:06:14 1998  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (add_word_args) [!VA_SPRINTF]: Use buffer,
		not the undeclared temp_string.
	From:     Tobias Naehring <naehring@eeetw3.et.tu-dresden.de>
	To:       egcs-bugs@cygnus.com
	Date:     Mon, 6 Jul 98 13:51:55 +0200

Mon Jul  6 17:43:25 1998  Karl Berry  <karl@cs.umb.edu>

	* info/nodes.h (NODE): Add display_pos member.

Sun Jul  5 08:17:43 1998  Karl Berry  <karl@cs.umb.edu>

	* info/nodes.h (INFO_REF_LABEL): Define.

	* util/texi2dvi: Rationalize use of `index' vs. more general
 		`xref'.

Thu Jul  2 18:53:43 1998  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c: Don't translate -Footnotes, it's a magic
 		cookie.  From Eli.

Wed Jul  1 08:42:41 1998  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.txi (url): Missing word `command'.

Tue Jun 30 10:35:48 1998  Karl Berry  <karl@cs.umb.edu>

	* info/info.c: Missing \n in try --help msg.

	* makeinfo/makeinfo.c (cm_anchor): New fn for new cmd.
	(TAG_FLAG_ANCHOR): New flag for tag entries.
	(write_tag_table_internal): Handle anchor case.
	(TAG_FLAG_{{PREV,NEXT,UP}_ERROR,NO_WARN,IS_TOP}): Add TAG_FLAG_ prefix
	for clarity, change uses.

	* doc/texinfo.txi: Remove warning about footnotes with @item, that
 		works now.

Mon Jun 29 10:17:50 1998  Karl Berry  <karl@cs.umb.edu>

	* configure.in (AM_CONFIG_HEADER): Use second argument to be 8.3
		compliant.
	* config.h.in: Rename to config.in.

	* info/Makefile.am (EXTRA_DIST),
	* info/terminal.c [__MSDOS__]: Change #include to pcterm.c and
		rename file.

Sun Jun 28 14:29:27 1998  Karl Berry  <karl@cs.umb.edu>

	* info/Makefile.am (EXTRA_DIST): Add pc_term.c.

	* makeinfo/makeinfo.c (HAVE_MACROS): Remove this conditional, we
 		always want macros now.

	* info/indices.c: Copyright.

1998-06-26  Eli Zaretskii  <eliz@is.elta.co.il>

	* makeinfo/makeinfo.c: (only_macro_expansion): New variable,
	suppresses all expansions except macros.
	(replace_with_expansion): New function, replaces a portion of
	input text with its expansion.  Avoids moving the text around if
	we are positive it will expand into itself.  If the length of the
	expanded text is the same as the length of the original text, just
	replaces the original text without moving the rest.  Resyncs the
	remembered text pointers with the realloc'ed input_text, when it
	is realloc'ed.
	(reader_loop): When only_macro_expansion is non-zero, only handle
	macros, but leave the rest of input intact.
	(read_command): Now returns an int, zero means no known command or
	macro is found after the prefix character; all callers changed.
	Support operation under non-zero only_macro_expansion.
	(cm_node): Expand only the macros in the @node line.  Allocate and
	generate the macro-expanded @node line in one swell whoop.
	(glean_node_from_menu): Expand macros in menu entries.
	(get_xref_token): A new argument EXPAND, when non-zero, means
	expand macros in the entire brace-delimited argument before
	looking for the next comma; all callers changed.
	(expansion): Save and restore additional state variables important
	for output generation machinery.  Disable indentation and filling
	during the recursive expansion, so that the output buffer offset
	is not invalidated by filling.
	(me_execute_string_keep_state): New function, calls
	me_execute_string, but saves and restores state variables
	important for output generation, so that -E doesn't change the
	generated Info output.
	(index_add_arg, cm_footnote): Call me_execute_string_keep_state.
	(expand_macro): New function, returns the macro expansion as a
	malloc'ed string.
	(execute_macro): Call expand_macro.
	(me_execute_string): Avoid memory leak by freeing input_filename.
	(get_until_in_braces, replace_with_expansion, add_char,
	cm_footnote, cm_macro, cm_unmacro, get_brace_args,
	extract_colon_unit): Use the faster memcpy/memmove instead of
	strncpy.

Sat Jun 27 14:18:54 1998  Karl Berry  <karl@cs.umb.edu>

	* doc/info.texi: Use @subsubsection instead of
		@unnumberedsubsubsection, since it's in a numbered chapter.

	* Started installation of following DOS patches from Eli.
>1998-05-16  Eli Zaretskii  <eliz@is.elta.co.il>
>
>	* info/session.c (info_goto_node): Don't show the nodes of the
>	current Info file twice in *Completions*.
>	* info/echo-area.c (ea_possible_completions): Actually pass the
>	number of completions to printf_to_message_buffer.
>
>	* info/man.c (manpage_node_of_file_buffer): xstrdup the nodename
>	member of manpage nodes, since the tags are freed and recomputed
>	when a new man page is added to *manpages* file_buffer.
>	(get_manpage_node): Recompute info_windows[]->nodes[] for all
>	windows showing the man pages after nodes[]->contents are
>	invalidated by reallocation of file_buffer->contents.
>
>1998-05-15  Eli Zaretskii  <eliz@is.elta.co.il>
>
>	* lib/system.h (DEFAULT_INFO_PRINT_COMMAND) [__MSDOS__]: Define to
>	">PRN".
>	* info/session.c (print_node): Support ">printer" in
>	INFO_PRINT_COMMAND, to mean write to the named file/device insead
>	of piping to it as a program.
>	(kill_node): Compare window in addition to the nodename, when
>	looking for the node to kill.
>
>1998-05-09  Eli Zaretskii  <eliz@is.elta.co.il>
>
>	* lib/system.h (SET_SCREEN_SIZE_HELPER) [__MSDOS__]: Define a new
>	macro.
>	* info/m-x.c (set_screen_height): Use SET_SCREEN_SIZE_HELPER, if
>	defined.  If the screen size did'n change, redisplay the previous
>	screen contents.
>
>	* info/infomap.c (initialize_info_keymaps) [__MSDOS__]: Bind DEL
>	to ea_delete in the echo-area keymap.
>	* info/session.c (incremental_search): If the key is
>	isearch_terminate_search_key, but buffered input is pending, don't
>	gobble the ESC key.
>
>	* info/info.c (main): Switch the order thet terminal_prep_terminal
>	and terminal_clear_screen are called, to make it consistent with
>	what initialize_info_session does when called with non-zero second
>	argument.  Call terminal_unprep_terminal last, after moving the
>	cursor to the bottom of the screen.  If user_filename is of the
>	form "d:foo", add "d:." to the INFOPATH, not "d:".
>
>	* info/signals.c (initialize_info_signal_handler): Save old
>	SIGUSR1 handler.
>	(info_signal_handler): Handle SIGUSR1.
>
>	* info/indices.c (info_apropos): Print the results to stdout.
>
>1998-05-02  Eli Zaretskii  <eliz@is.elta.co.il>
>
>	* makeinfo/makeinfo.c (ALSO_NULL_DEVICE): New macro, for alternate
>	null device name.
>
>	* info/man.c (get_manpage_contents): Redirect stderr of the man
>	page formatter to the null device.
>	(executable_file_in_path): Use IS_SLASH.
>
>	* info/session.c (info_gather_typeahead) [__DJGPP__]: Call
>	pc_term_chars_avail to get the number of pending characters.
>
>	* info/filesys.c (convert_eols): New function, converts DOS-style
>	EOLs to a single Newline.
>	(filesys_read_info_file, filesys_read_compressed): Call it.
>	(filesys_read_compressed) [STRIP_DOT_EXE]: Use explicit .exe
>	suffix.
>	(filesys_read_compressed): Check return status of `pclose'.
>
>1998-05-01  Eli Zaretskii  <eliz@is.elta.co.il>
>
>	* info/filesys.c (filesys_read_info_file): Add additional
>	parameter: is_compressed.  All callers changed.
>
>	* makeinfo/makeinfo.c (convert_from_loaded_file): Compare file
>	names with FILENAME_CMP.  Use NULL_DEVICE.
>	(cm_node): Compare file names with FILENAME_CMP.
>	* info/tilde.c (tilde_find_suffix, tilde_expand_word): Use
>	IS_SLASH.
>
>	* info/pc_term.c: New file, handles the PC terminal on MS-DOS and
>	MS-Windows.
>	* info/terminal.c [__MSDOS__]: Include pc_term.c.
>	* info/Makefile.in (ginfo_SOURCES): Add pc_term.c
>	Add pc_term.c to dependencies of terminal.o.
>
>	* info/session.c (info_get_input_char): Reassign tty after EOF
>	from a non-stdin input stream.
>
>1998-04-30  Eli Zaretskii  <eliz@is.elta.co.il>
>
>	* info/session.c (info_set_input_from_file): Use binary input.
>	(info_gc_file_buffers): Compare file names with FILENAME_CMP.
>	* info/search.c (skip_whitespace_and_newlines): Use
>	whitespace_or_newline macro instead of reinventing the wheel.
>	* info/nodes.c (info_find_file_internal): Use IS_ABSOLUTE and
>	FILENAME_CMP.
>	(info_load_file_internal): Call filename_non_directory to find out
>	where the basename begins.
>	(get_tags_of_indirect_tags_table): Call filename_non_directory.
>	containing_dir of "d:foo" is "d:.", not "d:".
>	(forget_info_file): Compare file names with FILENAME_CMP.
>	* info/nodemenu.c (get_visited_nodes): Use FILENAME_CMP to find
>	duplicate lines.
>
>	* lib/system.h (PIPE_USE_FORK): New macro.
>	* info/man.c (get_manpage_contents): Use it to determine whether
>	to call pipe/fork/exec or popen/pclose to run the man page
>	formatter.
>	(executable_file_in_path): Search for the file with several known
>	extensions such as .exe, where appropriate.
>
>	* lib/system.h (NULL_DEVICE): A new macro.
>	* info/makedoc.c (main): Use it.
>	(maybe_dump_tags): Switch output strem to binary mode when
>	appropriate.
>	(process_one_file): Update file_size after reading the file.
>
>	* info/infodoc.c: Add TAB, RET, and `i' to the list of important
>	commands in info_internal_help_text.
>
>	* info/info.c (main): Support the --speech-friendly option.  Use
>	PATH_SEP to separate directories.
>	(info_short_help) [__MSDOS__]: Mention the --speech-friendly
>	option.
>
>	* info/info-utils.c (filename_non_directory): Use HAVE_DRIVE and
>	IS_SLASH.
>	* info/indices.c (do_info_index_search, index_entry_exists): Use
>	FILENAME_CMP to compare file names.
>	* info/filesys.c: Add ".inf" to the list of known extensions.
>	Look for .z before .Z, for the sake of case-insensitive
>	filesystems.  Add DOS-specific extensions to work around 8+3
>	namespace restrictions.
>	(info_absolute_file): New function.
>	(info_find_fullpath): Call it for candidates which are absolute
>	file names.  Use IS_SLASH and IS_ABSOLUTE.
>	(info_file_in_path): Use IS_SLASH.
>	(extract_colon_unit, info_add_path): Use PATH_SEP instead of ":".
>	(lookup_info_filename): Compare file names with FILENAME_CMP.
>	(filesys_read_info_file): Read Info files in binary mode.
>	(filesys_decompressor_for_file): Read Info files in binary mode.
>	Compare file names with FILENAME_CMP.  On MS-DOS, allow files
>	whose names end with a `z' be decompressed with gunzip.
>	* info/dribble.c (open_dribble_file): Open dribble file in
>	FOPEN_WBIN mode.
>	* info/dir.c (maybe_build_dir_node): Use IS_SLASH.
>	* util/texindex.c (maketempname): Put the numeric suffix after the
>	dot, to salvage 3 more characters on 8+3 filesystems.
>
>1998-04-29  Eli Zaretskii  <eliz@is.elta.co.il>
>
>	* util/texindex.c (main): Use IS_SLASH to find the basename of
>	argv[0].  Lose the .exe suffix, if any.
>	(decode_command): Look at $TEMP and $TMP in addition to $TMPDIR.
>	Use DEFAULT_TMPDIR.
>	* util/texi2dvi: Use either `:' or `;' as directory separator in
>	TEXINPUTS, computed at run time.  Save previous versions of index
>	files in a separate backup directory.
>	* util/install-info.c (main): Support backslashes in file names by
>	using IS_SLASH.  Avoid recomputing length of infile_basename
>	unnecessarily.  Use FILENAME_CMP for comparing file names
>	case-insensitively, where appropriate.  Allow foo.inf as well as
>	foo.info to be an Info file name.
>	* lib/system.h (PATH_SEP, STRIP_DOT_EXE, FILENAME_CMPN,
>	DEFAULT_TMPDIR): New macros.
>
>1998-04-25  Eli Zaretskii  <eliz@is.elta.co.il>
>
>	* lib/system.h (O_BINARY, SET_BINARY, FOPEN_RBIN, FOPEN_WBIN,
>	IS_SLASH, HAVE_DRIVE, IS_ABSOLUTE, FILENAME_CMP, PATH_SEP,
>	HAVE_LONG_FILENAMES): New macros.
>	* makeinfo/makeinfo.c (find_and_load): Use O_BINARY to decide when
>	read returning a value different from what st_size says is not an
>	error.  Realloc the buffer after we've read the file.
>	(skip_directory_part): New function, skips leading directory in a
>	way that works on DOSISH systems.
>	(filename_non_directory, pathname_part): Call it.
>	(filename_part): Call filename_non_directory.
>	(expand_filename, full_pathname): Use IS_ABSOLUTE and IS_SLASH.
>	(convert_from_file): Check .txi extension first.
>	(split_file): Support splitting output files on 8+3 filesystems.
>	(main, extract_colon_unit): Use PATH_SEP instead of ':'.
>	(get_file_info_in_path): Use IS_ABSOLUTE and IS_SLASH.


	* doc/texinfo.txi: Changes from Eli for MS-DOS stuff.
	* doc/info-stnd.texi: Fixes from Eli: he documented all the
 		missing keys and command-line options, corrected
 		inaccuracies (probably left-overs from previous versions),
 		and added some clarifications where I thought the manual
 		was not clear enough.
	* Makefile.am (EXTRA_DIST): Add djgpp files.

	* makeinfo/makeinfo.c: New no-op commands @setcontentsaftertitlepage
	and @setshortcontentsaftertitlepage.
	* doc/texinfo.txi: Document the new @set{,short}contentsaftertitlepage
	commands and the possibility of putting @contents and
        @shortcontents after @end titlepage.

	* util/texi2dvi: Check that the toc file has not changed (as well
 		as .aux and .??).

Thu Jun 25 16:58:46 1998  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.txi: Document new commands @env, @command, @option.

	* makeinfo/makeinfo.c (option, command, env): New markup commands, same
 		as @code in info.

Wed Jun 24 15:39:38 1998  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c: New no-op command @acronym.

	* doc/texinfo.txi: Document new command @acronym.

	* util/install-info.c (strip_info_suffix, menu_item_equal): New fns.
 	(main): Call them instead of doing the filename test inline; all the
	.info variations are too confusing to write out twice.

Tue Jun 23 18:01:40 1998  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.txi: Fix some overfull boxes.

Mon Jun 22 19:22:17 1998  Karl Berry  <karl@north>

	* configure.in: Remove AC_LINK_FILES call, that was an old gettext
 		thing, no longer necessary, and causes problems with Autoconf.

Sun Jun 14 07:00:15 1998  Karl Berry  <karl@cs.umb.edu>

	* util/texi2dvi: Indent options so help2man will work.  From Akim.

Sat Jun 13 10:45:25 1998  Karl Berry  <karl@cs.umb.edu>

	* configure.in (ALL_LINGUAS): Add nl.

	* util/texi2dvi: Avoid tabs.

Wed Jun 10 17:38:21 1998  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (gen_defindex): Use xmalloc instead of alloca.
	This was our only use of alloca, so also remove all the #if junk
	at the beginning to define it.

	* makeinfo/makeinfo.c: Fix grammar in multiply-defined-node error
		message.

Tue Jun  9 17:53:54 1998  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.txi: Document new commands @smallformat,
 		@smalldisplay.

	* makeinfo/makeinfo.c: New commands @smalldisplay and @smallformat.
	Suggestion from: Eli Zaretskii <eliz@is.elta.co.il>.

	* makeinfo/makeinfo.h (insertion_type, insertion_type_names):
	Declare smalldisplay and smallformat.

Mon Jun  8 07:57:52 1998  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.txi: Document possibility of combining @titlefont
 		and @title.  From Eli.

	* util/texi2dvi: Set verbose to : instead of false by default.

	* util/texi2dvi: Missing \\ for sed with -t text.  From Akim.

Sun Jun  7 13:02:13 1998  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.txi: Document @pagesizes and texidvi -t.

	* makeinfo/makeinfo.c: Define no-op @pagesizes and @afourpaper.
	(major_version, minor_version): Remove these globals, just use the
	Texinfo package version.
	(print_version_info): Ditto.

Fri Jun  5 17:54:16 1998  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.txi: Change texi2dvi documentation a bit.

	* util/texi2dvi: Handle --option=argument style of specifying
 		arguments.

Sat May 30 14:01:37 1998  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.txi: More.

	* util/install-info.c (open_possibly_compressed_file): Finish
 		implementation.

	* doc/texinfo.txi: Document install-info compression support.

Fri May 29 08:01:43 1998  Karl Berry  <karl@cs.umb.edu>

	* util/install-info.c (open_possibly_compressed_file): Initial
 		implementation.

	* util/install-info.c (output_dirfile): Attempt to write dir.gz if
 		that's what we read.
 	(readfile): Pass back the actual opened filename, too.

	* info/indices.c: Check in Eli's patch.

Thu May 28 17:09:45 1998  Karl Berry  <karl@cs.umb.edu>

	* util/install-info.c (readfile): Set up to handle compressed
	input (and output) files. Change callers.
	Rearrange function order to avoid forward declarations.

	* configure.in: Remove check for libz, we'll fork gzip instead.

Tue May 26 18:01:13 1998  Karl Berry  <karl@cs.umb.edu>

	* util/install-info.c (print_help): Missing \n\ in help string.

	* makeinfo/makeinfo.c (POST_SENTENCE): Rename from post_sentence.
  	Change calls.
	(flush_output): Strip 8th bit if post_sentence char as well as space.
	(cm_code, etc.): Change add_char calls for post_sentence chars to set
	8th bit.

1998-05-23  Eli Zaretskii  <eliz@is.elta.co.il>

	* info/indices.c (info_next_index_match): Call
	info_set_node_of_window to display the node, so that footnotes are
	displayed as well.

Thu May 21 11:05:50 1998  Karl Berry  <karl@cs.umb.edu>

	* util/install-info.c (output_dirfile): New function, extracted
 		from the end of main.

	* makeinfo/makeinfo.c (begin_insertion): Ignore @group in all the
	example-like environments, not just @example.  Otherwise the first
	line in the environment is not indented correctly. Reported by rms.

Wed May 20 17:44:38 1998  Karl Berry  <karl@cs.umb.edu>

	* util/install-info.c: Doc fixes.

	* util/install-info.c: Handle XEmacs-style dir entries:
	* FILENAME::PROGRAM  DESCRIPTION.
	Date: Wed, 13 May 1998 13:58:28 +0900
	From: KIRIYAMA Kazuhiko <kiri@kiri.toba-cmt.ac.jp>

	Also, do not set something_deleted on continuation lines; they are only
	deleted if the entry was deleted.

Tue May 19 17:22:50 1998  Karl Berry  <karl@cs.umb.edu>

	* util/install-info.c: Do not read the dir file if we are only
	deleting -- it might not exist, and we don't actually need it.
	From: David Kaelbling <drk@sgi.com>
	Date: Tue, 12 May 1998 11:05:26 -0400

	* util/gen-dir-node:
	From: David Kaelbling <drk@sgi.com>
	Date: Tue, 12 May 1998 16:05:16 -0400 -
	- The "dir" moobler header is slightly different from the default
		dir file.
	- If all files in ${infofiles} appear in the skeleton the last one
 		is processed twice.
 	- INFO-DIR-SECTION data is ignored.
  	- Don't generate entries for directories.

Sat May 16 17:16:56 1998  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (cm_novalidate): New fn for new command
 		@novalidate, like --no-validate.

Thu May 14 18:02:31 1998  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.txi: Document the @novalidate command.

Wed May 13 17:47:20 1998  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.txi: Document limitation on @set/@value names in
 		index commands.

Fri May  1 14:12:15 1998  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.txi (Command List): @deftypevar out of order.

	* configure.in (ALL_LINGUAS): Add cs.

Tue Apr 28 09:33:41 1998  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (strcasecmp): This is in lib now.

1998-04-26 Richard Stallman <rms@psilocin.gnu.org>

	* util/install-info.c (print_help): Doc clarifications.

Sun Apr 19 15:55:10 1998  Karl Berry  <karl@cs.umb.edu>

	* lib/system.h (strcasecmp, strncasecmp) [!HAVE_STR[N]CASECMP]:
 		Declare these.

	* info/search.h (str[n]casecmp): Remove decl from here.

	* configure.in (AC_REPLACE_FUNCS): Check for strcasecmp and
 	strncasecmp here.
	(AC_CHECK_FUNCS): Instead of just strcasecmp here.

	* configure.in (texconfig): Use TEXMFMAIN in preference to TEXMF
 		for post-0.4 teTeX.

Wed Apr 15 17:20:31 1998  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.txi (Reporting Bugs): New section.
	Suggestion from: Andrew Shapira <shapiraa@cs.rpi.edu>
	Date: Mon, 4 Aug 1997 19:06:06 -0400 (EDT)

	* info/infomap.c: Define / to be info_search.
	Suggestion from: Egil Kvaleberg <egil@kvaleberg.no>
	Date: Fri, 1 Aug 1997 08:16:45 +0200 (MET DST)

	* doc/texinfo.txi (uref): Document reason for not using <URL: format.
	Also use ftp.gnu.org instead of ftp.gnu.ai.mit.edu throughout.

Tue Apr 14 10:43:39 1998  Karl Berry  <karl@cs.umb.edu>

	1998-04-05 Karl Eichwalder <ke@suse.de>
	* makeinfo/makeinfo.c (begin_insertion): No need to
 	gettext; it's a keyword.  From carl-friedriech.spilcke-liss@ensae.fr.
 	(cm_printindex): ditto.

	* util/texi2dvi: Always remove the $tmp_dir's.
	From: Dean Gaudet <dgaudet@arctic.org>
	Date: Tue, 14 Apr 1998 00:55:36 -0700 (PDT)

Mon Apr 13 18:02:57 1998  Karl Berry  <karl@cs.umb.edu>

	* configure.in: Include
	AM_SYS_POSIX_TERMIOS
	AM_HEADER_TIOCGWINSZ_NEEDS_SYS_IOCTL
	to avoid window resizing being ignored under glibc2 systems,
	e.g., Red Hat Linux 5.0.  Actually any system where the ioctls are not
	defined in <termios.h>.
	See also http://www-gnats.gnu.org:8080/cgi-bin/wwwgnats.pl/full/206.
	* acconfig.h (GWINSZ_IN_SYS_IOCTL): New #undef for autoheader.
	* info/termdep.h [GWINSZ_IN_SYSIOCTL]: #include <sys/ioctl> if
 		this is defined.
	From: Mark Jefferys <mjeffery@cse.ogi.edu>
	Date: Thu, 9 Apr 1998 12:38:27 -0700 (PDT)

Fri Apr  3 01:18:22 1998  Philippe De Muyter  <phdm@macqel.be>

	* info/info.c (main): Use 0, not NULL, as ? : alternative.

Tue Mar  3 13:29:17 1998  Karl Berry  <karl@cs.umb.edu>

	* configure.in: Version 3.12.

	* po/de.po: New version.

	* po/POTFILES.in: Do not include doc.c; that gets built at
	runtime, thus causing texinfo.pot to try to get rebuilt.  Besides,
	it doesn't have any translatable strings.

Sun Mar  1 10:38:47 1998  Karl Berry  <karl@cs.umb.edu>

	* util/install-info.c: No need for i18n on version message.  From
 		ke@suse.de.

Fri Feb 27 16:06:23 1998  Karl Berry  <karl@cs.umb.edu>

	* configure.in: Run texconfig conf instead of confall.

	* doc/Makefile.am (INSTALL_INFO): New variable.
	(install-info-am): Use install-info from our distribution.

	* info/info.c (info_minor_version): Increment.
	* (info_patch_level),
	* info/info.h (info_patch_level): Remove.

	* info/info.c (program_name): Move decl.

	* util/install-info.c (ensure_dirfile_exists): Use commas and \t
	 instead of an explicit tab, which make dist expands.

	* doc/texinfo.txi: @prep.ai.mit.edu -> @gnu.org.

	* info/info.c: Make help messages consistent with others.

	* util/install-info.c (print_help): Format consistently.

	(readfile): Support gzipped files via libz.
	From: Elliot Lee <sopwith@redhat.com>
	Date: Mon, 1 Sep 1997 23:37:14 -0400 (EDT)

Thu Feb 26 16:13:14 1998  Karl Berry  <karl@cs.umb.edu>

	* info/echo-area.c: Whoops, _ might not start with parens.

	* configure.in: Check for libz.
	Do not output emacs/Makefile.

	* Makefile.am (AUTOMAKE_OPTIONS): Set to 1.2f.

	* util/texi2dvi: Always remove temporary directories. (From Akim.)
	Formatting changes.

Wed Feb 25 15:26:26 1998  Karl Berry  <karl@cs.umb.edu>

	* util/texi2dvi: New options --batch, --clean.
	From: Akim Demaille <demaille@inf.enst.fr>
	Date: 15 Aug 1997 18:05:33 +0200
	* doc/texinfo.txi (Format with texi2dvi): Mention --help.

	Applied this:
1997-08-09  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* makeinfo/makeinfo.c (me_executing_string): New variable.
	(me_execute_string): Use it instead of executing_string.
	(popfile): Check for me_executing_string as well as
	executing_string.
	(get_until_in_line): Likewise.
	(insert_and_underscore): Do not write any expansion output if
	executing a string.
	(cm_node, cm_include, index_add_arg, cm_footnote, execute_macro,
	cm_macro, cm_unmacro): Likewise.
	(cm_footnote): Include the footnote marker in the expansion
	output.
	(append_to_expansion_output): Do nothing if the input_text wasn't
	a remembered text.
	(defun_internal): Make the index entry even if expanding macros.
	(expansion): Don't reset macro_expansion_output_stream around call
	to execute_string.
	(apply): Fix typo.

Tue Feb 24 17:33:44 1998  Karl Berry  <karl@cs.umb.edu>

	1997-11-10 Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
	* makeinfo/makeinfo.c (get_until_in_line): Don't use xstrdup on
		the unterminated input_text.

	* makeinfo/makeinfo.c: Don't assume all \'s in macro bodies are
		arguments.
	From: Mathias.Herberts@irisa.fr (Mathias Herberts)
	Date: Tue, 6 Jan 1998 18:54:26 +0100

	* configure.in: Check for sigblock in libc before libbsd.
	* From: hjl@lucon.org (H.J. Lu)
	* Date: Fri, 23 Jan 1998 21:50:25 -0800 (PST)

Mon Feb 23 16:26:31 1998  Karl Berry  <karl@cs.umb.edu>

	* info/window.c (character_width): If ISO_Latin_p is set, make
		printable_limit 255, not 160.  ISO Latin 1 uses
		essentially all of the 256 characters.
	Reported by: Marius Groeger <mag@sysgo.de>
	Date: Wed, 17 Dec 1997 16:05:27 +0100

	* info/info.c: Improve help message.

Sun Feb 22 17:38:32 1998  Karl Berry  <karl@cs.umb.edu>

	* Makefile.am (SUBDIRS): Remove emacs; we'll just distribute the
		Elisp files with Emacs.

	* doc/Makefile.am (info_TEXINFOS, texinfo): Rename manual to
		texinfo.txi to avoid DOS filename clash with texinfo.tex.

	* info/tilde.c: Copy slightly updated alloca stuff from makeinfo.

	* util/texindex.c (main): Declare as returning int to placate
 		warnings.

	* info/Makefile.am: Uncomment BUILT_SOURCES stuff and add missing _.
	From: "Joel N. Weber II" <devnull@gnu.org>
	Date: Fri, 30 Jan 1998 17:21:38 -1000

	* util/texindex.c,
	* util/install-info.c,
	* makeinfo/makeinfo.c,
	* info/info.c: Change help address to @gnu.org.

	1998-01-22 Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
	* makeinfo/makeinfo.c (usage): Fix order of arguments to help
		format string.

	* makeinfo/makeinfo.c (cm_top): Error message wording.

	* doc/texinfo.texi (Functions in Typed Languages): Remove
		duplicate description of @deftypemethod.
	From: KHMarbaise@p69.ks.fido.de (Karl Heinz Marbaise)
	Date: Wed, 07 Jan 1998 11:11:50 +0100

	* info/session.c (info_get_input_char) [EINTR]: Keep reading if we
		get EINTR.
	From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
	Date: 22 Dec 1997 10:32:53 +0100

Sat Feb 21 17:41:26 1998  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (find_and_load): Malloc enough room for the
		null as well as the newline.
	From: "John W. Eaton" <jwe@bevo.che.wisc.edu>
	Date: Tue, 30 Sep 1997 21:12:01 -0500

	* util/texindex.c (--version),
	* makeinfo/makeinfo.c (cm_today),
	* makeinfo/makeinfo.c (print_version_info): Version strings etc. do not
		need translation.
	From: Karl Eichwalder <ke@suse.de>
	Date: 13 Sep 1997 16:20:02 +0200

	* info/echo-area.c: Rewrite pluralization to be translatable.
	From: Karl Eichwalder <ke@suse.de>
	Date: 13 Sep 1997 16:20:02 +0200

	* util/texindex.c,
	* info/info.c,
	* makeinfo/makeinfo.c,
	* util/install-info.c: --version: Give year as argument to printf,
		to reduce the number of translations needed.
	From: Ulrich Drepper <drepper@ipd.info.uni-karlsruhe.de>
	Date: 02 Sep 1997 18:01:26 +0200

	* util/texindex.c: Remove the fnctl.h and sys/file.h conditional #includes, they are
	already in lib/system.h.
	From: "Philippe De Muyter" <phdm@macqel.be>
	Date: Thu, 21 Aug 1997 20:16:49 +0200 (MET DST)

	* info/terminal.c (terminal_begin_using_terminal,
 	  terminal_end_using_terminal): #ifdef SIGWINCH settings for
	 	  m68k-motorola-sysv.
	From: "Philippe De Muyter" <phdm@macqel.be>
	Date: Thu, 21 Aug 1997 20:16:49 +0200 (MET DST)

	* info/filesys.c (info_suffixes): Add /index as a possibility for
		subdirectories.
	From: Matthew Wilcox <willy@odie.barnet.ac.uk>
	Date: Wed, 6 Aug 1997 15:55:16 +0100 (BST)

	* configure.in: Redirect texconfig input from /dev/null to avoid
		stoppage.
	From: Thomas Esser <te@informatik.uni-hannover.de>
	Date: Mon, 4 Aug 1997 18:15:49 +0200

	* makeinfo/makeinfo.c (find_and_load): Null-terminate the input text.
	From: Kenneth Stailey <kstailey@disclosure.com>.

	* info/Makefile.am (INCLUDES): Add -I.. -I$(srcdir).

Fri Aug 22 16:24:59 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.texi: Adjust ISBN, edition number for print run.

Mon Aug  4 16:12:42 1997  Karl Berry  <karl@cs.umb.edu>

	* info/info.c (main) [INFODIR]: Add this to infopath, if set.
	* info/Makefile.am (DEFS): New define, include -DINFODIR.
	From: Larry Schwimmer <rosebud@cyclone.Stanford.EDU>.

	* util/install-info.c (ensure_dirfile_exists): Use tabs instead of
 		spaces on the File: dir line.
 	Bug from: Dave Love <d.love@dl.ac.uk>.

Sat Aug  2 12:43:57 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (cm_value, cm_email, cm_uref): Have to cast
 		from unsigned char * to char * or IRIX cc complains.
	From: "Kaveh R. Ghazi" <ghazi@caip.rutgers.edu>.

Fri Aug  1 14:05:10 1997  Karl Berry  <karl@cs.umb.edu>

	* Makefile.am (EXTRA_DIST): Remove README-alpha.
	From: "ir. Mark M._Kettenis" <kettenis@phys.uva.nl>.

1997-07-31 Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>

	* configure.in: Use AC_CHECK_HEADERS, not AC_CHECK_HEADER.

Thu Jul 31 11:57:46 1997  Karl Berry  <karl@cs.umb.edu>

	*  Version 3.11.

	* info/man.c (reap_children): Declare status as int, not unsigned,
		since that's what POSIX says the arg to wait should be.

	* makeinfo/makeinfo.c (cm_uref, cm_email): Rewrite to do macro
 		expansion in the arguments.

	* makeinfo/makeinfo.c (main): setlocale LC_MESSAGES and LC_TIME,
		instead of LC_ALL.
	From: Akim Demaille <demaille@inf.enst.fr>.

	* makeinfo/makeinfo.c (cm_today): Let the %d %s %d be translated,
		so other languages can change the order of day/month/year.
	From: Akim Demaille <demaille@inf.enst.fr>.

	* info/infomap.c: Doc fix.

	* lib/system.h [!O_RDONLY]: Prefer <fcntl.h> to <sys/fcntl.h>.

	* configure.in (AC_CHECK_HEADERS): Check for fcntl.h.

	* doc/Makefile.am (install-data-local): Suggest tex/generic/dvips
		for epsf.tex.
	From: Tim Mooney <mooney@dogbert.cc.ndsu.NoDak.edu>.

	* configure.in (TEXMF): Move check to block with other program
 		checks.

Wed Jul 30 11:20:37 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (defun_internal): Allow extra text after
		most @def... commands, for tzname[2] in libc.texinfo.

	* info/info.c: Include indices.h.
	* configure.in (AC_CHECK_HEADERS): Test for sys/wait.h, info/man.c
 		uses it.
	From: Erick Branderhorst <Erick.Branderhorst@asml.nl>.

Tue Jul 29 15:55:19 1997  Karl Berry  <karl@cs.umb.edu>

	* configure.in: Version 3.9j.

	* info/terminal.c (output_character_function): Return int (the
 		arg), not void.

	* info/infomap.c: Don't define term_kP as 'v', since that's undefined.
	From: Tom Hageman <tom@basil.icce.rug.nl>.

	* makeinfo/makeinfo.c: Parameterize some messages to avoid
 		duplicate translations.

	* info/terminal.c: Only try to declare ospeed, PC, tputs, etc. if
		we don't have <ncurses.h/termcap.h> or <termcap.h>.

	* makeinfo/makeinfo.c (cm_email): New function, like cm_uref.

Sun Jul 27 17:09:20 1997  Karl Berry  <karl@cs.umb.edu>

	* configure.in: Only check for <ncurses/termcap.h> if we're using
		-lncurses.
	From: Bo Johansson <bo.johansson@mbox2.swipnet.se>.

	* info/dir.c (new_dir_file_p): Avoid automatic struct
		initialization, SunOS 4 etc. cc can't handle it.
	From: "Kaveh R. Ghazi" <ghazi@caip.rutgers.edu>.

Sat Jul 26 15:08:13 1997  Karl Berry  <karl@cs.umb.edu>

	* Version 3.9i.

	* configure.in: Check for termcap.h and ncurses/termcap.h.
	From: bo.johansson@mbox2.swipnet.se.

Fri Jul 25 14:09:05 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.texi: Document new second optional arg to email.

	* info/infodoc.c: Document CTRL-x 0 as the way to get out of help.

	* info/dir.c (maybe_build_dir_node): Really check for the same dir
		file twice, not just by name.
	(new_dir_file_p): New function.

	* util/install-info.c: Tell them about --help in doc strings.

Thu Jul 24 14:25:44 1997  Karl Berry  <karl@cs.umb.edu>

	* util/texindex.c (memory_error): Move to avoid incorrect implicit
 		decl.

	* makeinfo/makeinfo.c,
	* makeinfo/multi.c,
	* util/install-info.c,
	* util/texindex.c,
	* info/tilde.c,
	* info/man.c,
	* info/gc.c,
	* info/session.c (info_replace_key_to_typeahead): Remove unused
         function,
	* info/nodemenu.c,
	* info/man.c,
	* info/m-x.c,
	* info/footnotes.c
	* info/info.c
	* info/indices.c,
	* info/filesys.c: Parenthesize to avoid -Wall warnings
	remove unused variables,
	make return types explicit,
	printf type corrections.

	* lib/system.h: <ctype.h>: Include this.
	* util/texindex.c,
	* makeinfo/makeinfo.c,
	* info/echo-area.c,
	* info/display.c: ctype.h: Included in system.h now.

	* info/echo-area.c: Parenthesize to avoid -Wall warnings.
        (ctype.h): #include for isprint.
	(echo_area_stack_depth): Remove unused function.
	* info/display.c: Parenthesize to avoid -Wall warnings.
        (ctype.h): #include for isprint.
	* info/dir.c: Parenthesize to avoid -Wall warnings.
	(build_dir_node_internal): Remove declaration of nonexistent function.
	From: Erick Branderhorst <Erick.Branderhorst@asml.nl>.

	* configure.in (TEXMF): Call texconfig to discover the default value,
	for the sake of the warning in doc/Makefile.
	From: Tim Mooney <mooney@dogbert.cc.ndsu.NoDak.edu>.

	* doc/Makefile.am (TEXMF): New variable.
        (install-data-local): Use it in warning.
	From: Tim Mooney <mooney@dogbert.cc.ndsu.NoDak.edu>.

	* info/session.c (initialize_info_session): Only call
	terminal_prep_terminal if clear_screen is true.  Otherwise, failed
        --index-searches prep the terminal but do not unprep it.
	From: William Edward Webber <wew@yallara.cs.rmit.EDU.AU>.

	* info/nodemenu.c: Doc fix.

Mon Jul 21 17:11:09 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.texi: Comment out @smallbook and @set smallbook so
 		people at other sites can print it the way they want.
	From: Thomas Walter <walter@pctc.chemie.uni-erlangen.de>

Sun Jul 20 07:52:25 1997  Karl Berry  <karl@cs.umb.edu>

	* configure.in: 3.9h.

	* doc/Makefile.am (install-info-am, distclean-aminfo): New targets
		to avoid assuming info files are in srcdir.

	* lib/system.h (xstrdup): Returns char *, not void *.

	* doc/Makefile.am (.texi.info),
	* doc/Makefile.am (texinfo): Don't run in $(srcdir).

	* util/install-info.c (main): Remove unnecessary decl of strrchr.

	* info/tilde.c: Include info.h (for config.h) before alloca stuff.

	* makeinfo/makeinfo.c (validate_file): Rename `valid' to `valid_p'
		to avoid conflict with SunOS 4 header files.
	From: "Kaveh R. Ghazi" <ghazi@caip.rutgers.edu>.

	* info/session.c (initialize_info_session): Call
          terminal_prep_terminal here (before calling terminal_clear_screen).
	(info_session): Instead of here.
	From: William Edward Webber <wew@yallara.cs.rmit.EDU.AU>.

	* Makefile.am (EXTRA_DIST): Add README-alpha.

Sat Jul 19 13:50:27 1997  Karl Berry  <karl@cs.umb.edu>

	* info/terminal.c: Use `keypad transmit' sequence if it's defined:
	(term_keypad_on, term_keypad_off): New statics.
	(terminal_begin_using_terminal): If term_keypad_on, send it.
	(terminal_end_using_terminal): If term_keypad_off, send it.
	(terminal_initialize_terminal): Look up ks and ke termcap strings.
	From: William Edward Webber <wew@yallara.cs.rmit.EDU.AU>.

	* info/infomap.c (initialize_info_keymaps): Initialize hardwired
 		cases for arrow keys a la readline.  Found by John Eaton,
 		jwe@bevo.che.wisc.edu.

	* makeinfo/makeinfo.c (output_pending_notes): Remove footnote
        macro expansion code I #if 0'd out some time ago.  And doc fixes.

	* Applied this patch:

Sat Jul 19 16:29:01 1997  Karl Eichwalder  <ke@suse.de>

	* info/info.c (main): setlocale, bindtextdomain, and textdomain.

Fri Jul 18 10:02:18 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/Makefile.am (install-data-local),
	* emacs/Makefile.am (install-data-local): Give subdir in warning.

	* configure.in: Version 3.9f.

	* doc/texinfo.texi: Correct \^ to @^.
	From Andreas S.

	* Merged these changes:

1997-07-17  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* info/display.c (display_cursor_at_point): Flush ouput.

1997-07-17  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* info/session.c (remember_window_and_node): Don't crash when the
	current window has no current node.

1997-07-17  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* util/texindex.c (usage): Translate the doc strings.
	* makeinfo/makeinfo.c (cm_today): Translate the month names.
	* info/variables.c (describe_variable): Translate the doc strings.
	* info/nodes.h: Don't translate the strings defining the info format.

1997-07-17  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* makeinfo/makeinfo.c (get_item_function): Remove superfluous call
	to canon_white after get_rest_of_line.
	(cm_end): Likewise.
	(handle_variable): Likewise.
	(cm_item): Likewise.
	(cm_unmacro): Likewise.

1997-07-17  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* info/nodemenu.c (list_visited_nodes): Don't clear the internal
	flag, this and other functions depend on it.  Don't insist on
	displaying the menu below the current window.

1997-07-17  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* makeinfo/makeinfo.c (cm_uref): Fix memory leaks.
	(cm_inforef): Likewise.  Handle empty cross reference name.

1997-07-17  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* info/echo-area.c (ea_possible_completions): Check that the
	current window can actually be split.

Thu Jul 17 17:19:34 1997  Karl Berry  <karl@cs.umb.edu>


	* emacs/Makefile.am (*clean-lisp): Define, as Automake didn't.
	From: Kenneth Stailey <kstailey@disclosure.com>.

	* doc/Makefile.am: Do not distribute info.1.
	* makeinfo/macros: Do not distribute this directory, it's merged
		into the main documentation.
	* doc/makeinfo.texi: Don't distribute this either, it's in the
		main manual.

	* util/install-info.c: Use \n\ for multiline string constant.
  		From: Tim Mooney <mooney@dogbert.cc.ndsu.NoDak.edu>.

Wed Jul 16 15:29:50 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.texi: @set must be after @setfilename, I guess.
	Noted by Erick Branderhorst.

	* Applied this change:

Tue Nov 12 22:20:22 1996  John Eaton  <jwe@bevo.che.wisc.edu>

	* makeinfo.c (INDEX_ALIST): Use two indices, read_index and
	write_index, instead of just one.
	(find_index_offset): If a match is found, return index to the
	current INDEX_ALIST struct, not the index pointing to the list of
	index entries.
	(translate_index): Return read_index from the matching
	INDEX_ALIST.
	(undefindex): Delete the list of index elements pointed to by
	read_index from the INDEX_ALIST that matches name.
	(defindex): Initialize read_index and write_index.
	(index_add_arg): Add entries to the list pointed to by write_index
	from the INDEX_ALIST matching name.
	(index_append): Delete unused function.
	(cm_synindex): Don't merge indcies, just make the write_index for
	redirectee the same as the write_index for redirector.

Tue Jul 15 09:32:04 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.texi: Bump edition number for 2.24.

	* util/Makefile.am (localedir): Define.

	* info/window.h: Rename __window__ to window_struct.

	* info/window.h,
	* info/variables.h,
	* info/search.h,
	* info/man.h,
	* info/info-utils.h,
	* info/gc.h,
	* info/footnotes.h,
	* info/filesys.h,
	* info/echo-area.h,
	* info/display.h: Avoid leading _ in #define for #include protection.

	* makeinfo/makeinfo.c: Version 1.68.
	* info/info.c: Version 2.17.

	* Most all files: Untabify.

	* doc/Makefile.am (texinfo): Add explicit target.

	* emacs/Makefile.am (noinst_LISP): Remove the obsolete
		detexinfo.el (makeinfo --no-headers is better) and
	        texnfo-tex.el (now handled by TeX modes in general).

Mon Jul 14 15:21:03 1997  Karl Berry  <karl@cs.umb.edu>

	* util/texi2dvi: Update RCS file from 3.9 distribution.

	* util/Makefile.am (EXTRA_DIST): Add update-info, from
 		rhawes@dmapub.dma.org

Sun Jul 13 17:05:03 1997  Karl Berry  <karl@cs.umb.edu>

	* info/signals.c: Use RETSIGTYPE instead of hardwiring void.
	From: "Jeffery L. JT Vogt" <lfm@atw.earthreach.com>.

	* info/session.c (info_history_node): Rewrite as
  	      info_kill_node (current_node).
        (kill_node, read_nodename_to_kill): New functions from info_kill_node.
	(info_kill_node): Now this just calls them.

Fri Jul 11 11:56:58 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.texi: Fix `Conditionals' xref.

Thu Jul 10 17:58:12 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/info.texi: Don't say SPC clears ? screen.

Sun Jul  6 16:26:41 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/info-stnd.texi: Document --index-search.

	* info/tilde.c,
	* info/session.c: Remove redundant getenv decl.

	* Installed following change:
Tue Nov 12 14:44:00 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* info/info.c (main): Handle new option, --index-search STRING.
	(index_search_p, index_search_string): New static variables, used
	to handle --index-search option.

	* info/session.c (initialize_info_session): New arg,
	clear_screen.  Change all callers.

	* info/indices.h (do_info_index_search, index_intry_exists):
	Provide declarations here.

	* info/indices.c (do_info_index_search): New function, extracted
	from info_index_search.
	(info_index_search): Simply call do_info_index_search() with
	search_string set to NULL.
	(index_entry_exists): New function.

Sat Jul  5 17:17:14 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.texi: Document @kbdinputstyle.

	* makeinfo/makeinfo.c (kbdinputstyle): New command.
	(cm_no_op_line_arg): New function.

	* info/termdep.h (HAVE_TERMIOS_H) [NeXT]: #undef.
	From: Gregor Hoffleit <flight@mathi.uni-heidelberg.de> et al.

Fri Jul  4 14:18:08 1997  Karl Berry  <karl@cs.umb.edu>

	* info/Makefile.am (EXTRA_DIST),
	* util/Makefile.am (EXTRA_DIST),
	* makeinfo/Makefile.am (EXTRA_DIST),
	* lib/Makefile.am (EXTRA_DIST): Include README.

	* doc/texinfo.texi (makeinfo options): Document --paragraph-indent
 		values more completely.
	* makeinfo/makeinfo.c (set_paragraph_indent): Allow translated
 		asis or none, improve doc.
 	From ke.

	* doc/Makefile.am (dist-info): New empty target so that we do not
 		distribute info files.
 	From Erick Branderhorst.

	* doc/texinfo.texi (Invoking install-info): Document that the dir
		file is created now if need be.
	* Makefile.am (EXTRA_DIST): No longer need dir.
	* util/install-info.c (ensure_dirfile_exists): New routine.
	(main): Call it before trying to open dirfile for reading.

	* doc/texinfo.texi: Document install-info --delete a little better.
	* util/install-info.c: Set something_deleted when we delete a
 		normal line.
	Bug from: Denis Kosygin <dkosygin@math.Princeton.EDU>.

	* util/install-info.c: If no info dir entry, give warning and exit 0.

Wed Jul  2 06:35:17 1997  Karl Berry  <karl@cs.umb.edu>

	* configure.in (ALL_LINGUAS): Add fr.

	* makeinfo/makeinfo.h (insertion_type, insertion_type_names): Add
		ifnot... entries. Alphabetize.

Tue Jul  1 17:21:54 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (sort_index): Set defining_line and
		input_filename so errors in index entries are reported at
		the correct location.  From rms.

	* makeinfo/makeinfo.c (cm_ifnothtml, etc.): Routines for new
 		commands.

Sun Jun 29 09:44:01 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.texi: Document new @ifnot... commands, etc.
	* doc/texinfo.texi: Document @image, etc.

Thu Jun 26 17:57:37 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (cm_image): New routine for new command @image.
	(cm_end): Move to better place, doesn't need its own page.
	Doc fixes.

Mon Jun 23 16:54:03 1997  Karl Berry  <karl@cs.umb.edu>

	* Makefile.am (SUBDIRS): Do intl first.

	* doc/Makefile.am (EXTRA_DIST): Include epsf.tex.
	(install-data-local): Suggest possible installation directory.
	* epsf.tex: New file.

Wed Jun 18 17:51:52 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.texi: Document texinfo.cnf.

Sun Jun 15 14:37:58 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.texi (Command List): Various commands missing or
		erroneous.
	From: Karl_Heinz_Marbaise@p69.ks.fido.de.

	* makeinfo/makeinfo.c: Oops, failed to break out of loop.

	* util/texindex.c: Use <getopt.h> not "getopt.h".

	* All source files: Merge gettext changes from Karl E.;
	his ChangeLog entries below.

Sat Jun 14 17:04:28 1997  Karl Berry  <karl@cs.umb.edu>

	* Makefile.am,
	* makeinfo/Makefile.am: Doc fix.
	* util/Makefile.am (EXTRA_DIST): Add texi2dvi.  From Karl E.

Fri Jun 13 17:39:34 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c [WIN32]: Handle read bogosity and c:\
		absolute paths.
	From: Eric Hanchrow <erich@MICROSOFT.com>.

	* configure.in (AC_CHECK_HEADERS): Check for pwd.h.
	* info/tilde.c (pwd.h): Move #include to system.h.

	* makeinfo/makeinfo.c (main): New option -P to prepend to search path.
	From: Kenneth Stailey <kstailey@cvs.openbsd.org>.

	* doc/texinfo.texi (Invoking makeinfo),
	* doc/makeinfo.texi: Mention -P.

Thu Jun 12 16:25:40 1997  Karl Berry  <karl@cs.umb.edu>

	* info/signals.h (SIGCHLD): #define as SIGCLD if undefined, for sysV68.
	From: "Philippe De Muyter" <phdm%labauto1@ulb.ac.be>.

	* util/install-info.c (O_RDONLY): Remove this stuff, it's in system.h.
 	(main): Handle existing entry in dir file having .info extension.
	From: "Bradley C. Kuszmaul" <bradley@GRANITE.SYSTEMSX.CS.YALE.EDU>.

	* makeinfo/makeinfo.c (get_char_len): Don't count 8-bit characters
		as two chars in the output.
	From: Sung-Hyun Nam <namsh@amuna.rms.lgic.co.kr>.

Wed Jun 11 16:36:51 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.texi (Other Info Directories): Document new trailing
 		: in INFOPATH feature.

	* info/info.c (main): Have trailing : in INFOPATH expand to the
 		default path.

Fri Jun  6 13:22:02 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.texi (uref): New node for new command.

Thu Jun  5 18:13:48 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (cm_uref): New function to accept optional
		second argument.  Call it in command table.

Sat Jun 14 10:54:16 1997  Karl Eichwalder  <ke@suse.de>

	* mkinstalldirs: Update from automake-1.1p.

	* configure.in: Touch po/ChangeLog (gettext needs it).

Thu Jun 12 08:37:52 1997  Karl Eichwalder  <ke@ke.Central.DE>

	* util/texindex.c: Include system.h, remove config.h.

	* po/POTFILES.in: Fill it.

	* makeinfo/multi.c: Include system.h.

	* info/Makefile.am:
	* makeinfo/Makefile.am:
	* util/Makefile.am:
 	(localedir): Set.
	(INCLUDES): Add intl/ and LOCALEDIR.
	(LDADD): Add @INTLLIBS@.

	* makeinfo/makeinfo.c (main):
	* util/texindex.c (main):
	* util/install-info.c (main):
 	setlocale, bindtextdomain, and textdomain.

	* lib/system.h: Include locale.h and libintl.h.

	* acconfig.h: Include libintl.h.
	(_, N_): Define.
	Add ENABLE_NLS, HAVE_CATGETS, HAVE_GETTEXT, HAVE_LC_MESSAGES,
	HAVE_STPCPY for libintl.
	Add @TOP@ and @BOTTOM@.

	* configure.in (AM_GNU_GETTEXT): Add.
	(AC_OUTPUT): Process Makefiles in intl/ and po/.
	(ALL_LINGUAS): Available languages.

	* Makefile.am (AUTOMAKE_OPTIONS): Now use 1.1p.

Wed Jun 11 17:05:37 1997  Karl Eichwalder  <ke@ke.Central.DE>

	* Makefile.am (SUBDIRS): Add intl/ and po/ for NLS.

	* run `gettextize -c' to get the i18n skeleton.

Wed Jun  4 17:51:08 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (uref): New command, another alias for @code
 		for now.

Wed Jun  4 02:02:33 1997  Miles Bader  <miles@gnu.ai.mit.edu>

        * doc/texinfo.texi (email): { and } need @ escapes.

Sun Jun  1 16:34:12 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.texi (itemx): @itemx should always follow @item.

	* makeinfo/makeinfo.c (cm_item): Insert blank line if two
		consecutive @item's.
	From: Karl Eichwalder <ke@ke.central.de>.
	Also various doc fixes.

Tue May 27 17:20:44 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.texi (various): Document @deftypemethod.
	(email): @ should have been @@ in the example.
	From: Mate Wierdl <mw@wierdlmpc.msci.memphis.edu>

Mon May 26 16:56:26 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/multi.c (setup_multitable_parameters): Avoid use of %n
		for sake of m68k-hp-bsd.
	From: Derek L Davies <ddavies@world.std.com>.

	* info/terminal.c (terminal_begin_using_terminal,
        terminal_end_using_terminal): Call fflush and sleep to handle
	cmdtool/shelltool with scrollbars.  Also ignore
 	SIGWINCH so we do not prematurely exit.  Move call.
	(terminal_prep_terminal): Disable LNEXT (CTRL-V).
	From: strube@physik3.gwdg.de (Hans Werner Strube).

	* configure.in (AC_TYPE_SIGNAL): Check this.

Sun May 25 16:49:58 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (discard_insertions): Take arg saying
 		whether ifinfo/ifset/etc. are ok.
        (convert_from_loaded_file): At `finished', call discard_insertions.
	(handle_variable_internal): Complain if we reach eof before the
		@end for a false condition.
	From: HERBERT@boevm4.vnet.ibm.com.

	* info/Makefile.am (ginfo_SOURCES): Add doc.h.
	* lib/Makefile.am (libtxi_a_SOURCES): Add system.h.

Sat May 24 18:08:27 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c: Check that we have macro_expansion_filename
 		before using strcmp.

Thu May 22 17:59:46 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/makeinfo.texi: Minimally document --force.

	* makeinfo/makeinfo.c (--force): New option.
	(-E): Allow stdout via `-'.
	(convert_from_loaded_file): Unlink output files if errors and !force.

Tue May 20 17:48:42 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c: Change all strdup calls to xstrdup.
	(xmalloc, xrealloc, memory_error): Remove these functions, they're
		in lib.
	(set_paragraph_indent, cm_paragraph_indent): Move to misc page.
	(cm_footnote): Expand macros in the arg for the macro expansion output.

Fri May 16 17:26:59 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (cm_macro): Allocate an empty body if the
 		macro was empty.
 	(cm_unmacro): Allocate one more byte for the null.
	From: Robert Hoehne <robert.hoehne@Mathematik.TU-Chemnitz.DE>.

Sun May 11 17:51:21 1997  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* makeinfo/makeinfo.c (cm_printindex): Fix calculation of the
	length of an index line.

Sun May 11 14:47:42 1997  Tom Tromey  <tromey@cygnus.com>

	* makeinfo/makeinfo.c (main): Don't unconditionally run usage when
	-e specified.

Sun May 11 17:47:42 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (init_indices): Free the source for an @synindex.
	(undefindex): Do not go further if the target was already freed.
	(free_index): Do not free the node names, as init_tags already did.
	(cm_synindex, index_add_arg): Improve error message.
	(program_index, function_index, etc.): Remove these unused #defines.

Tue May  6 17:53:37 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (init_internals): Do not free current_node,
        it already is, at least when multiple input files are specified.
	From: Karl Eichwalder <ke@ke.central.de>.

Mon May  5 16:14:39 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.texi: Mention both alignment and non-alignment of
 		continuation description lines in menus (Arnold).

Sun Apr 27 16:12:44 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (apply): Handle body being `\string'.
	Also, avoid dereferencing a null pointer when a macro has no named
	parameters.
	From: Eli Zaretskii <eliz@is.elta.co.il>.

	* makeinfo/makeinfo.c: Wording changes/fixes in warnings.

	* info/session.c (info_get_input_char): Do not mix stdio with raw I/O.
	From: Egil Kvaleberg <egilk@sn.no>.

	From Tom Hageman <tom@basil.icce.rug.nl>.  These changes make
        arrow keys work:
	* info/infomap.c: Add arrow key bindings.
        (keymap_bind_keyseq): New support function.
	(initialize_info_keymaps): Use it.
	(term_ku,term_kd,term_kl,term_kr): Remove explicit declarations;
	use #include "terminal.h" instead.
	* info/session.c (initialize_info_session): Unbuffer stdin.
	(info_get_another_input_char): Fix bug in `ready' logic.
	* info/terminal.h,
	* info/terminal.c (term_kP, term_kN): New variables to hold
 		PageUp, PageDown key sequences.
	  (terminal_initialize_terminal): Set them.

	* util/texindex.c (main),
	* util/install-info.c (main),
	* makeinfo/makeinfo.c (print_version_info),
	* info/info.c (main): Use PACKAGE and VERSION from Automake for
 		printing version number.

Sat Apr 26 19:19:46 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (get_until_in_line): Do not expand if
		executing_string.
	Also, free temporary strings.
	Also, untabify entire file.

	* doc/texinfo.texi: Many corrections from Arnold.

Thu Apr 24 16:31:09 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/multi.c (draw_horizontal_separator): Account for indent
 		here also.  From Ulrich.

Wed Apr 23 15:15:34 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (cm_today): Use time_t instead of long;
 		everyone else does.
 	(LOCALTIME_CAST): Remove kludge, we'll always use time_t now.

	* info/Makefile.am (ginfo_SOURCES): Remove general.h, that got
 		merged into system.h.

Mon Apr 21 17:13:25 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/multi.c (output_multitable_row): Account for
 	column_indent, both the global one and for each column.
	(setup_multitable_parameters): Account for column_indent in the table
	width in the columnfrac case, but don't bother with the template
 		case for now.

Sun Apr 20 16:32:00 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (output_stream): Remove redundant
        definition; it's in makeinfo.h,
	and a vaxstation-ultrix4.3 fails to link because of the two defns.
	From: Anders Olofsson <anders@kid025.ericsson.se>.

	* makeinfo/makeinfo.c (expansion): Inhibit appending to the macro
 		expansion stream.
 	(get_until_in_line): Possibly expand the text.
	Change caller in get_node_token to do the expansion,
	all other calls to remain the same.

	* makeinfo/makeinfo.c (cm_node): No need to call strlen to check
 		for the empty string.

	* doc/texinfo.texi: Restore missing @c for initial comment.

Fri Apr 18 17:41:36 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.texi: Mention that .info is unnecessary in the info
		file name argument of an xref.

	* doc/texinfo.texi: Mention texi2dvi -t instead of embedding
 		@smallbook or @afourpaper in the document source.

Sun Apr 13 15:19:08 1997  Karl Berry  <karl@cs.umb.edu>

	* lib/system.h (_GNU_SOURCE): #define.

Mon Apr  7 16:30:11 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/info.texi,
	* doc/info-stnd.texi,
	* doc/texinfo.texi: Do not make (dir) the previous ptr from the top node,
	and tell people not to do that in the manual.
	From: rmedina@kanojo.ivic.ve (Rodrigo Medina),
	confirmed by rms.

Fri Apr  4 16:30:33 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c: Move error page to top to avoid
	prototypes, and do add prototypes for add_word_args and execute_string,
	so we can use <stdarg.h>.

	* info/makedoc.c,
	* info/nodemenu.c: Use %ld instead of %d for file offsets.
	* makeinfo/makeinfo.c (delete_macro): Decrement macro_list_len.
	(get_macro_args): Decrement line number if see \n.
	* utils/texindex.c (indexify): Use fputs instead of fprintf
	for constant string.
	From: Eli Zaretskii <eliz@is.elta.co.il>.

Thu Apr  3 17:40:52 1997  Karl Berry  <karl@cs.umb.edu>

	* configure.in (AC_CHECK_HEADERS): No need to check for vararg.h
	here, AC_FUNC_VPRINTF does it.
	(AC_CHECK_FUNCS): Likewise for vsprintf and vfprintf.
	* makeinfo/makeinfo.c (add_word_args, execute_string): Rewrite
	like the error functions.

Wed Apr  2 17:46:28 1997  Karl Berry  <karl@cs.umb.edu>

	* configure.in: Add AC_FUNC_VPRINTF.
	* makeinfo/makeinfo.c (error, line_error, warning): Rewrite a la
        error.c from the *utils to use <stdarg.h> if available.

Tue Apr  1 11:48:40 1997  Karl Berry  <karl@cs.umb.edu>

	* doc/texinfo.texi: Tabs are a bad idea.

	* doc/userdoc.texi,
	* doc/info.texi: Untabify.

Sun Mar 30 17:36:47 1997  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (end_of_sentence_p): New function.
	(add_char): Call it, instead of simply sentence_ender.
	(post_sentence): New macro.
	Also, remove some #include's now in system.h.
	* lib/system.h [VMS]: #include <perror.h>, from makeinfo.

Thu Mar 27 17:41:03 1997  Karl Berry  <karl@cs.umb.edu>

	* info/search.c (skip_node_characters): Do not arbitrarily
	strip trailing period from end of node name; this is valid.

Mon Mar 24 16:44:42 1997  Karl Berry  <karl@cs.umb.edu>

	* configure.in (AC_OUTPUT): Don't need to create stamp-h here,
	tromey says AM_CONFIG_HEADER will do it.

	* info/Makefile.am, util/Makefile.am, makeinfo/Makefile.am (INCLUDES):
        Don't need -I.. (for config.h) or -I$(srcdir), says tromey.
        Automake includes those already.

Fri Mar 14 15:05:17 1997  Karl Berry  <karl@cs.umb.edu>

	* info/Makefile.am: Build as ginfo, install as info,
	to avoid conflict with the standard info target.

	* lib/system.h: New file.
	* makeinfo/makeinfo.c (strerror): Remove declaration,
	include system.h, remove other redundant #if stuff.
	* info/general.h: Include system.h instead of doing common stuff.
	* util/install-info.c (my_strerror): Remove this, use strerror,
	include system.h.

	* info/terminal.c (terminal_prep_terminal): Only use OCRNL and
		ONLCR if they are defined.  Reported by many people.

	* Installed:

	Sun Dec  1 19:23:54 1996  Karl Eichwalder  <ke@ke.Central.DE>

		* configure.in (TERMLIBS): Add ncurses.

Thu Mar 13 13:59:45 1997  Karl Berry  <karl@cs.umb.edu>

	* lib/Makefile.am (libtxi_a_SOURCES): Add xstrdup.c.
	* info/*.c: Use xstrdup instead of strdup everywhere.

	* info/tilde.c: Do not include clib.h, move stdlib.h include to
	* info/general.h: here.

	* configure.in (AC_CONFIG_HEADER): Use this,
	to avoid hugely long compile line with all the -D's.
	* info/general.h: Include <config.h>.

	* emacs/Makefile.am (install, install-data): Do @echo
	to tell the user to compile/install the elisp manually.

	* configure.in (AC_REPLACE_FUNCS): Move strerror check to here.
	(AC_CHECK_FUNCS): From here.

	* lib/strerror.c: New file, from enscript (et al.) distribution.

Tue Mar 11 16:36:25 1997  Karl Berry  <karl@cs.umb.edu>

	* info/Makefile.am (info_SOURCES): Add doc.c, dribble.c, infodoc.c.
	(LDADD): Add @TERMLIBS@.

	* info/info.h: HANDLE_MAN_PAGES, NAMED_FUNCTIONS: Define these.

	* info/filesys.h: Spurious ! when DEFAULT_INFOPATH is not defined.

	* configure.in (AC_OUTPUT): Do lib first and doc last.

	* info/echo-area.c,
	* info/echo-area.h,
	* info/info.h: Rename echo_area to echo-area.

Mon Mar 10 17:59:05 1997  Karl Berry  <karl@cs.umb.edu>

	* */Makefile.am: Write Makefile.am files for Automake.
	* doc: New subdirectory, move all manuals and texinfo.tex there.
	* AUTHORS, THANKS, config.guess, config.sub, mkinstalldirs: New files,
	required by Automake.
	* lib/xmalloc.c: Move from info/.

Fri Oct  4 07:49:49 1996  Karl Berry  <karl@cs.umb.edu>

	* Version 3.9.

	* Makefile.in (install): Say to install texinfo.tex manually.

	* util/texi2dvi,
	* util/texindex.c,
	* makeinfo/makeinfo.c,
	* info/info.c: Include only the current year in the copyright message.

	* util/texi2dvi: Exit successfully.
	From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>.

Thu Oct  3 12:58:32 1996  Karl Berry  <karl@cs.umb.edu>

	* Rename install.sh to the preferred install-sh.

	* Makefile.in (VERSION),
	* util/texi2dvi,
	* util/texindex.c,
	* util/install-info.c,
	* makeinfo/makeinfo.c (minor_version, print_version_info),
     	* info/info.c: Update version number.

	* util/texi2dvi: Only show diff if verbose.

	* util/install-info.c (main): Check for a missing dir file as well
 	as a missing info files.
	(main): At start of a node, completely initialize the newly-malloced
	node structure.

	* texinfo.texi: Fix incorrect uses of @key,
	insert missing newline in Installing Dir Entries' @menu item,
	document install-info invocation.

	* Makefile.in (DISTFILES): Do not put .gdbinit's in distribution.
	(dist): Use || instead of && (and invert sense) so make doesn't think
	the command failed.
	(dist): Exclude more junk.

	* makeinfo/makeinfo.c (cm_xref): Back out patch from Tom T., since
        we generate a good-enough error message that is suppressible
        without it.

	* util/gen-dir-node: The recommended name for the top-level info
 	file is dir, not dir.info.

	* util/install-info.c (main): At `Mark the end of the Top node',
        make sure the node name is non-NULL before comparing it. From
        lvirden@cas.org.

	* configure.in (AC_REPLACE_FUNCS): Use this for memcpy, memmove,
	and strdup.
        (AC_CHECK_FUNCS): Instead of this.
	Because both bcopy and memmove are missing on the 3b2, as reported by
	Gaylen Miller <gaylen@proaxis.com>, hence we must provide our own.
	* libtxi/Makefile.in (LIBOBJS): New variable.
	(OBJS): Include it.
	* libtxi/memcpy.c, libtxi/memmove.c, libtxi/strdup.c: New files,
	taken from fileutils 3.13.
	* makeinfo/makeinfo.c,
	* info/clib.c (strdup): Move to libtxi.

Wed Oct  2 18:23:30 1996  Karl Berry  <karl@cs.umb.edu>

	* info/info-utils.h (memcpy) [!HAVE_MEMCPY],
	* info/termdep.h (memcpy) [!HAVE_MEMCPY],
	* makeinfo/makeinfo.c (memmove) [!HAVE_MEMMOVE]: Remove this
        #ifdef, as we now include it in libtxi if missing.

Tue Oct  1 17:41:52 1996  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/Makefile.in (install),
	* info/Makefile.in (install),
	* Makefile.in (install): Use new option name --info-dir instead of
 	--infodir.

	* makeinfo/multi.c (out_char): New fn.  Replace all calls to
	putc/fprintf with calls to this.

	* util/install-info.c: Rename --infodir to info-dir.

Mon Sep 30 10:07:21 1996  Karl Berry  <karl@cs.umb.edu>

	* Version 3.8.

	* texinfo.tex: Untabify.

	* texinfo.tex (\ptexl, \ptexL): Do not save, we have our own
	commands now.
	(\onepageout): Reformat for readability, and call \indexdummies
	to avoid expansion of Texinfo commands (e.g., accents) in \write's.
	(\,, \dotaccent, \ringaccent, \tieaccent, \ubaraccent, udotaccent,
	\questiondown, \exclamdown, \dotless): New macros.
	(\l): Let plain TeX definition remain, instead of switching
	to ``lisp'' font.
	(\multitable): Ensure space between the columns,
	insert struts to make interline spacing constant,
	use real strut instead of a box containing `Xy'.
	(\indexdummies): Do not define \rm, \char, but
	do define \@, \{, \}, \dotless, and \,.  And \t should generate
	\t, not \r.
	(\indexnofonts): Define \, and \dotless as \indexdummyfont,
	and let \@ be @.
	(\doind): Reformat for readability, and use temp control sequence
	names that actually make sense.
	(\doublecolumnout, \pagesofar, \enddoublecolumns): Restore
	Knuth's original code to avoid spurious overfull vbox messages.
	(No boxes are actually overfull).
	(\shortcontents): Do not allow hyphenations.
	(\dochapentry, \tocentry): Make glue above and below flexible, to allow
	better page breaks.
	(\tex): Reset \, to its plain TeX meaning,
	and do not reset \l.

	* COPYING: Update for new FSF address (from gcc dist).

	* libtxi/Makefile.in: Various simplifications.

Sun Sep 29 12:58:44 1996  Karl Berry  <karl@cs.umb.edu>

	* util/texi2dvi: Use $progname instead of $0 for --version.

	* util/install-info.c (xmalloc, xrealloc): Declare malloc and
	realloc as returning void *,
	to avoid ptr/int problems on Digital Unix.

	* info/tilde.c (tilde_expand_word): Declare getenv as returning char *,
	to avoid warning on Digital Unix.

	* makeinfo/multi.c (multitable_active): Declare extern here to
 	avoid ld warning on rs6000.

	* util/texindex.c (usage): Avoid ??' trigraph.

	* util/install-info.c: Include <sys/fcntl.h> or <fnctl.h>,
	according to HAVE_SYS_FCNTL_H,
	and only include <sys/file.h> if HAVE_SYS_FILE_H.
	(readlines): Oops, had NULL's and 0's reversed for ptr/int members.

	* info/terminal.c (terminal_goto_xy): Remove spurious extra ;.

	* util/install-info.c: Untabify.	(input_sections): Initialize.
	(find_lines): Initialize the terminating element of the array.
	(print_help): Document --infodir.
	(main): Compare the basename of infile sans .info to the dir entry,
	not infile itself.
	* util/Makefile.in (clean): Remove the install-info binary.

	* info/Makefile.in (distclean): Remove *.info* files.

	* Makefile.in (install),
	* info/Makefile.in (install),
	* makeinfo/Makefile.in (install): Use --infodir instead of --info-file.

	* info/info.c,
	* makeinfo/makeinfo.c: Avoid newlines in string constants for the
 		sake of SunOS cc.

	* makeinfo/multi.c: Do not assume ANSI C.

	* info/info.texi: Oops, need @end vtable for a @vtable.

Sat Sep 28 16:31:28 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (texinfo): Do not depend on sub-all, as then
        makeinfo is always run.  Instead, depend on texinfo.texi.

	* makeinfo/Makefile.in (info, dvi): New targets.
	makeinfo.info, makeinfo.dvi: Do not depend on macro.texi for now.

	* info/Makefile.in (install): Must call install-info twice.

	* info/info-stnd.texi,
	* info/info.texi,
	* makeinfo/makeinfo.texi: Include direntry.

	* emacs/Makefile.in: Use && after cd, etc.

	* texinfo.texi: Kludges so makeinfo -E will not create spurious
        differences.  Add new direntries.

	* util/install-info.c,
	* util/texindex.c,
	* makeinfo/makeinfo.c,
	* info/info.c: Standardize --version output.

	* makeinfo/makeinfo.c (defun_internal): Don't insert index command
 	if expanding macros.
	(cm_footnotestyle): Don't change the footnote style if it was set
	on the command line.

	* util/texi2dvi: Recompute original index files each time through loop.
	Make indentation uniform.
	Use same basename for the temp input files.
	Standardize --version output.

	* info/Makefile.in (install),
	* makeinfo/Makefile.in (install): Insert $(POST_INSTALL).

Fri Sep 27 13:27:30 1996  Karl Berry  <karl@cs.umb.edu>

	* texinfo.texi (Format with texi2dvi): Rewrite now that the script
 	runs in a loop.

	* info/Makefile.in (MAKEINFO): Simplify to ../makeinfo/makeinfo.

Fri Sep 27 00:26:03 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* info/terminal.c [HAVE_TERMIOS_H] (terminal_prep_terminal,
	terminal_unprep_terminal): Add code for termios.
	[HAVE_TERMIOS_H] (original_termios, ttybuff): New variables.
	* info/termdep.h: [HAVE_TERMIOS_H]: Add include of <termios.h>.
	* configure.in: Add check for <termios.h>.

Thu Sep 26 10:46:34 1996  Karl Berry  <karl@cs.umb.edu>

	* emacs/texnfo-upd.el,
	* emacs/texinfo.el,
	* emacs/texinfmt.el: Update from bob for new Texinfo commands, etc.

	* emacs/info.el, emacs/informat.el, emacs/makeinfo.el,
	emacs/texnfo-tex.el: Update from Emacs 19.34 dist.

	* emacs/elisp-comp: Use TMPDIR if set.

	* util/Makefile.in (libdir): Remove.

	* makeinfo/Makefile.in (install),
	* Makefile.in (install),
	* info/Makefile.in (install): Run install-info.
	(libdir): Remove.

	* texinfo.texi: Various fixes as I make this go through TeX.

	* util/install-info.c: Quote newlines in help message.

	* util/texi2dvi (texi2dvi): Run TeX until the aux/index files
        stabilize, instead of just twice.  From: David Shaw
        <daves@gsms01.alcatel.com.au>.

Tue Sep 24 14:43:03 1996  Karl Berry  <karl@cs.umb.edu>

	* dir: Blank dir file for installation on new systems.

Mon Sep 23 12:18:43 1996  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (args_from_string): Do not back up at a };
 		that leads to an infinite loop.

Sat Sep 21 17:48:04 1996  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (cm_xref): Do not seg fault if outside of
 	any node.  From: Tom Tromey <tromey@creche.cygnus.com>.
	(cm_ctrl): Make obsolete.

Tue Sep 17 13:30:08 1996  Karl Berry  <karl@cs.umb.edu>

	* texinfo.tex (\inforef): Move to more appropriate place.
	(\pounds): Remove spurious extra $.
	(\email): Typeset argument in angle brackets.
	(\macro): Use \doignore for robustness, instead of just letting TeX
	parse the argument.
	(\unmacro): Define.

Sat Sep 14 16:17:35 1996  Karl Berry  <karl@cs.umb.edu>

	* texinfo.texi: Document multitables, new ISBN number.

Wed Sep 11 18:01:24 1996  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/multi.c (struct env): Remove unused output_position
        field; this needs to be global.
        (setup_multitable_parameters): Implement template-defined multitables.
	(output_multitable_row): Remove trailing whitespace.

	* makeinfo/makeinfo.c (_READ_BUFFER_GROWTH, struct _defines):
	Remove leading underscore for POSIX/ANSI pedants.
	(init_conversion): Initialize output_position here.
	(init_paragraph): Instead of here, where it loses with the
	multitable calls, eventually resulting in negative counts to the
	write call when the output file is split.

	* texinfo.texi: First cut at macro documentation.
	Change accent doc to use tables.
	Remove whitespace experiments, they are now the default.

Mon Sep  9 14:16:24 1996  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c: Use putc instead of fprintf where possible.
        (cm_accent): Put _ from @ubaraccent after argument.

	* util/texindex.c (strerror) [!strerror]: Conditionalize
 		declaration.

Sat Sep  7 14:13:24 1996  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (commandTable): Obsolete @setchapterstyle.

Thu Sep  5 15:45:11 1996  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (convert_from_loaded_file): Oops, fix
 		wording of initial output comment.

	* makeinfo/makeinfo.c (cm_angle_brackets): Rename from cm_key.
        (commandTable): @email should produce angle brackets.
	@key: Change name.

Tue Sep  3 14:52:17 1996  Karl Berry  <karl@cs.umb.edu>

	* texinfo.tex (\hsize): Decrease.
        (\hoffset): Increase.
	(\setleading): Decrease dramatically.
	This change affects 8.5x11 format only.

	* texinfo.texi: Document accent commands.

Mon Sep  2 11:10:49 1996  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (commandTable): Deprecate @ichapter and
	@titlespec.
	Move all the deprecated @i<section> commands to the end of the list.

	* texinfo.texi: Document @pounds{} and @centerchap{}.

	* texinfo.tex (\centerchfplain): Rewrite to use \chfplain, and to
 	actually center.
	(\unnchfplain): Just call \chfplain.
	(\chfplain): Rewrite to be generally callable.
	(\centerparametersmaybe): Hook, a no-op except with @centerchap.

Sun Sep  1 15:01:49 1996  Karl Berry  <karl@cs.umb.edu>

	* texinfo.texi: Document @<whitespace>, rearrange spacing section.

	* makeinfo.c (commandTable): Make @. @? @! insert themselves,
 	not be sentence-non-enders.  They are sentence *enders*.  Also,
 	make @\t and @\n insert a normal space character, not themselves.
  	Also, define @hyphenation.
	(insert_space): New function.
	(cm_ignore_sentence_ender): Remove this.
	(flush_output): Check only for META-SPC, not META-<sentence-ender>.

Fri Aug 30 18:55:30 1996  Karl Berry  <karl@cs.umb.edu>

	* texinfo.texi: Document @- and @hyphenation{}.
	Miscellanous fixes.

	* makeinfo/makeinfo.c (commandTable): Define @- as cm_no_op, since
 	makeinfo doesn't do hyphenation.

Thu Aug 29 13:05:38 1996  Karl Berry  <karl@cs.umb.edu>

	* texinfo.tex (\key): Do not uppercase the argument; key names
	can be mixed case, e.g., `Control'.

	* makeinfo/makeinfo.c: @infotop, @infounnumbered,
	@infounnumberedsec, @infounnumberedsubsec,
	@infounnumberedsubsubsec, @infoappendix, @infoappendixsec,
	@infoappendixsubsec, @infoappendixsubsubsec, @infochapter,
	@infosection, @infosubsection, @infosubsubsection:
	  Remove these long-since obsolete commands.
	@iappendix, @iappendixsection, @iappendixsec, @iappendixsubsec,
	@iappendixsubsubsec, @ichapter, @isection, @isubsection,
	@isubsubsection, @iunnumbered, @iunnumberedsec, @iunnumberedsubsec,
	@iunnumberedsubsubsec:
 	  Deprecate these.
	@infoinclude:
	  Obsolete this.
	@,: Have to take an argument, since have to do @,{c} not c@,; can't
	feasibly implement the latter in TeX.

	* makeinfo/makeinfo.c: Rename @d to @udotaccent, since this is
 		relatively infrequently used.

Tue Aug 27 14:58:56 1996  Karl Berry  <karl@cs.umb.edu>

	* info/info.c (print_short_help),
	* util/install-info.c (print_help),
	* util/texi2dvi,
	* makeinfo/makeinfo.c (usage) Include bug reporting address.

Mon Aug 26 15:27:17 1996  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (commandTable): Remove @input, @medbreak,
 		@smallbreak, @overfullrule, @br.

Sun Aug 25 17:25:48 1996  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (commandTable): Unify commands that perform
        the same operation, such as cm_file, cm_samp, cm_email,
        etc., which all do cm_code.

	* texinfo.texi: Document @ifhtml ... @end ifhtml.  Change
	`PlainTeX' to `plain TeX'.

Fri Aug 23 16:03:16 1996  Karl Berry  <karl@cs.umb.edu>

	* texinfo.tex (\pounds): New Texinfo command @pounds{}.
	(\parskip): New smaller value.
	(\chapheadingskip, \secheadingskip, \subsecheadingskip): New smaller
	values, both for 8.5x11 and @smallbook formats. From Bob.

	* makeinfo/makeinfo.c (cm_special_char): @pounds{} prints a #.
	(commandTable): Add new command @pounds.

Tue Aug 20 13:47:20 1996  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (CommandTable): Restore "!", accidentally
        removed previously.

	* texinfo.tex (\key): Typeset a lozenge around the argument (from
	gildea@intouchsys.com).
	* makeinfo/makeinfo.c (cm_key): Surround arg with <...> to match
        new lozenge style in TeX.

Wed Aug 14 16:59:23 1996  Karl Berry  <karl@cs.umb.edu>

	* texinfo.texi: Propagate change from rms.

Tue Aug 13 11:33:27 1996  Karl Berry  <karl@cs.umb.edu>

	* texinfo.texi: Propagate change from rms.

	* texinfo.texi: Document other @headings options.

Sun Aug 11 13:19:42 1996  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (cm_accent, cm_special_char, cm_dotless):
	New functions.
	(CommandTable): Add new commands for all of plain.tex's
	accents and non-English characters.

Fri Aug  9 14:12:07 1996  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (convert_from_loaded_file): Say we're making
 	``text'' file if no_headers.  Also, use `input_filename' instead
 	of just `name' for clarity.
	(suffixes): Check for no suffix last, i.e., prefer `foo.texi' as an
	input file to `foo'.  (The latter is probably a binary.)

Mon Aug  5 13:52:39 1996  Karl Berry  <karl@cs.umb.edu>

	* texinfo.tex (\heading, \subheading, \subsubheading): Can no
 	longer call the nonexistent \*secheadingi series. Instead, call
 	\plain*secheading.
	(\plainsubsecheading, \plainsubsubsecheading): New macros, by analogy
	with \plainsecheading.
	(\unnumberedsubseczzz, \unnumberedsubsubseczzz): Call them.

Sun Aug  4 16:46:10 1996  Karl Berry  <karl@cs.umb.edu>

	* makeinfo/makeinfo.c (flush_output): Mask out eighth bit, that we
 	turned on in non-sentence enders.

Sat Aug  3 14:03:10 1996  Karl Berry  <karl@cs.umb.edu>

	* texinfo.tex (\HEADINGSdouble, \HEADINGSsingle,
 	HEADINGSdoubleafter, \HEADINGSsingleafter, \CHAPPAGoff,
 	\CHAPPAGon, \CHAPPAGodd): Set \contentsalignmacro, analogous to
 	\pagealignmacro.
	(\startcontents): Call \contentsalignmacro instead of \pagealignmacro.

Mon Jul 29 14:44:33 1996  Karl Berry  <karl@cs.umb.edu>

	* texinfo.tex (\indexfonts): Make leading be 12pt. Otherwise, it's
 	too crammed.
	(\smalllispx): Remove \setleading{10pt}. That was too small.
	(\doprintindex): Do not call \tex ... \Etex.  Index files are Texinfo
	source, not TeX source, except for using \ instead of @ as the
 	escape character (for now).

Sun Jul 28 13:37:05 1996  Karl Berry  <karl@cs.umb.edu>

	* texinfo.tex (paragraphindent): Move to more reasonable place in
        the source file.
        (chapfonts, secfonts, subsecfonts, indexfonts): Call \setleading.
	(\chfplain, \secheading, \plainsecheading, \subsecheading,
	 \subsubheading): Rewrite to properly \hangindent the title.
     	(\sectionheading): New generic macro to print section titles.

	* texinfo.texi: Update the `Obtaining TeX' node.

Fri Jul 26 14:11:48 1996  Karl Berry  <karl@cs.umb.edu>

	* util/texi2dvi: Do macro expansion with makeinfo before running TeX.
	Various expansion safety measures added for test; avoid use of -o.

	* makeinfo/makeinfo.c (usage): More usage message tweaks.

Fri Jul 26 11:55:37 1996  Karl Berry  <karl@laurie>

	* util/texi2dvi: Format usage message to conform to the other *utils.

Thu Jul 25 17:05:47 1996  Karl Berry  <karl@cs.umb.edu>

	* emacs/Makefile.in: Do not compile the Elisp by default.  We
	don't install it, so it confuses people to compile it.

Sun Jul 21 07:20:09 1996  Karl Berry  <karl@cs.umb.edu>

	* util/Makefile.in (install-info): Dependency should be
 	  install-info.o, not install-info. Also, update copyright years.

	* makeinfo/makeinfo.c (cm_printindex): Don't call execute_string
        to print index entries, we've already done the expansion now.

	* makeinfo/makeinfo.h: Add copyright.  Finish merge of rms changes.
	* makeinfo/makeinfo.c: Finish merge, add my expansion changes again.
	* makeinfo/multi.c: Add copyright message.

Fri Jul 19 10:35:22 1996  Karl Berry  <karl@cs.umb.edu>

	* info/info.c: Update copyright date.

	* info/info.texi,
	* util/install-info.c,
	* emacs/Makefile.in,
	* emacs/texnfo-tex.el,
	* emacs/Makefile.in: Change FSF address.

	* Merged changes from bfox -- below, plus multitable changes, plus
	lots more.

	    Sun Apr 14 08:49:50 1996  Brian J. Fox  <bfox@nirvana.samsara.com>

		    * makeinfo/makeinfo.c (remember_node_reference): Numerous commands
		    call remember_node_reference.  If a node has not yet been defined,
		    use the empty string as the current node for those cases.

	    Mon Feb 12 17:35:38 1996  Brian J. Fox  <bfox@nirvana.samsara.com>

		    * makeinfo/makeinfo.c (push_node_filename): Clean up calls to
		    xmalloc and xrealloc.  Only have to call xrealloc.

	    Fri Jan 26 08:00:38 1996  Brian J. Fox  <bfox@nirvana.samsara.com>

		    * info/session.c (info_input_buffer_space_available): Fix typo
		    which forced the limitation of the sizeof (int) instead of sizeof
		    (buffer).

		    * Makefile.in (PACKVER): now at 3.8.  Add TERMIOS support to
		    Info.  Minor bugs fixed in Makeinfo.

Sat Jul 13 11:58:57 1996  Karl Berry  <karl@cs.umb.edu>

	* texinfo.texi (ftable vtable): Mention example.

Sun Jun 30 14:59:51 1996  Karl Berry  <karl@goldman.gnu.ai.mit.edu>

        * makeinfo/makeinfo.c (cm_email): New function for new @email command.
	* texinfo.texi (email): New node documenting it.

Wed Apr 17 18:07:34 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* makeinfo/makeinfo.c (cm_kbd): Do nothing if in @example or @code.
	(struct brace_element): New field in_fixed_with_font.
	(remember_brace_1): Save in_fixed_with_font.
	(pop_and_call_brace): Restore in_fixed_with_font.
	(cm_code): Don't decrement in_fixed_with_font at end of construct.
	(struct istack_elt): New field in_fixed_with_font.
	(push_insertion, pop_insertion): Save and restore in_fixed_with_font.
	(end_insertion): Don't decrement in_fixed_with_font here.
	(not_fixed_width): New function.
	(cm_sc, cm_var, cm_italic, cm_roman, cm_titlefont):
	Use not_fixed_width.

Sat Apr 13 23:22:05 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* util/install-info.c (main): Fatal error if no input file spec'd.
	Look for START-INFO-DIR-ENTRY, not BEGIN-INFO-DIR-ENTRY.

Thu Apr 11 18:21:50 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* makeinfo/makeinfo.c (cm_enddots): New function.
	(self_delimiting): Accept -, ^ and ".
	(CommandTable): Add commands -, ^, ", enddots, centerchap.

Sun Mar 24 12:18:32 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* makeinfo/makeinfo.c (enum insertion_type): Add `direntry'.
	(insertion_type_names): Add "direntry".
	(cm_dircategory): New function.
	(cm_direntry): New function.
	(CommandTable): Add "dircategory" and "direntry".
	(insert_string): New function.
	(end_insertion): Handle direntry.
	(begin_insertion): Handle direntry.

Sun Mar 24 11:10:05 1996  Karl Berry  <karl@spiff.gnu.ai.mit.edu>

        * makeinfo/makeinfo.c (cm_url): New function for new @url command.

Fri Feb 23 21:14:40 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* info/Makefile.in (install, uninstall): Use manprefix.

Fri Feb 23 19:50:18 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* util/Makefile.in (install-info, install-info.o): New targets.
	(all): Depend on install-info.
	(install, uninstall): Operate on install-info.

	* install-info.c: New file.

Wed Jan  3 10:01:45 1996  Brian J. Fox  <bfox@nirvana.datawave.net>

        * makeinfo/makeinfo.c (make_index_entries_unique): Be a little bit
	stricter about what makes two index entries identical.

Fri Dec 29 13:00:24 1995  Brian J. Fox  <bfox@wizard.datawave.net>

	* makeinfo/makeinfo.c (Whole File): Add @detailmenu for allowing
	detailed menu listings to appear while still defaulting nodes.

Wed Dec 27 13:54:30 1995  Brian Fox  <bfox@albert.gnu.ai.mit.edu>

	* makeinfo/makeinfo.c (cm_code): Always notice that we are in
	fixed_width_font, even if other formatting changes are not to take
	place.

Sat Dec 23 11:48:43 1995  Brian J. Fox  <bfox@wizard.datawave.net>

	* info/man.c: (clean_manpage) Remove ^L's from page.

	* makeinfo/makeinfo.c (get_brace_args): Change some memcpy's to
	memmoves.

	* info/info.c (main): Prefer caseless matches over partial
	matches.

	* Makefile.in (All Subdir Targets): Change suggested by Debian
	people which allows errors in recursive makes to kill the
	top-level make.

	* makeinfo/Makefile.in (makeinfo.dvi): New target.

	* info/info.c (main): Print version of containing texinfo package.

	* makeinfo/makeinfo.c (flush_output): Don't strip high-bit from
	sentence_enders.
	Print the version number of the containing texinfo package.

	* info/man.c (locate_manpage_xref): Count the 0th entry.

	* makeinfo/makeinfo.c (cm_menu): If a menu is seen before a node
	has been defined, warn, and create the node `Top'.

Wed Jun 21 03:19:39 1995  Brian Fox  <bfox@albert.gnu.ai.mit.edu>

	* makeinfo/makeinfo.c (cm_infoinclude): Clean up after printing
	error if the file couldn't be included.
	(discard_braces): Print errors only for those unmatched open
	braces that belong to a texinfo command.

	* */Makefile.in: Use @CFLAGS@ and @LDFLAGS@.

	* makeinfo/makeinfo.c: End `node_search_string' and friends with a
	terminating null character.

Wed Jun 21 01:23:49 1995  Jim Meyering (meyering@comco.com)

	* makeinfo/makeinfo.c: Close comment after #endif.

Tue Jun 20 04:58:26 1995  Brian Fox  <bfox@albert.gnu.ai.mit.edu>

	* emacs/Makefile.in (install): Fix typo: "fle" -> "file".

	* Makefile.in (VERSION): Bump to 3.6

	* info/clib.c: Include general.h for `info_toupper' and friends.

	* info/clib.h: strncmp and strncascmp return an int.  What kind of
	drugs was I on?

Mon Jun 19 23:34:47 1995  Brian Fox  <bfox@albert.gnu.ai.mit.edu>

	* makeinfo/makeinfo.c (make_index_entries_unique): Copy the last
	index entry.

Mon Jun 19 21:55:49 1995  Noah Friedman  <friedman@prep.ai.mit.edu>

        * util/texi2dvi (--version): New option.
        Cosmetic changes.

Mon Jun 19 16:06:40 1995  Brian Fox  <bfox@albert.gnu.ai.mit.edu>

	* makeinfo/makeinfo.c (cm_macro): Fix typo.  `x != y' is not the
	same as `x |= y'.

	* info/Makefile.in (exec_prefix): Use @exec_prefix@ not $(prefix).
	* makeinfo/Makefile.in (exec_prefix): Use @exec_prefix@ not $(prefix).
	* util/Makefile.in (exec_prefix): Use @exec_prefix@ not $(prefix).
	* libtxi/Makefile.in (exec_prefix): Use @exec_prefix@ not $(prefix).

	* emacs/Makefile.in (uninstall): New target.
	(install): Use the definition of $(lispdir), don't dynamically
	find it.  Use INSTALL_DATA not cp.
	(exec_prefix): use @exec_prefix@ not $(prefix).

	* makeinfo/makeinfo.c (apply): If there isn't an actual argument
	for a named argument, default it to "".

	* Makefile.in (VERSION): Now at 3.5.
	(texinfo): Make ./makeinfo/makeinfo depend on sub-all for parallel
	makes.

	* emacs/Makefile.in (ELISP_OBJS): Explictly declare .el and .elc
	in the SUFFIXES list.

	* makeinfo/makeinfo.c (cm_today): Special case for losing alpha.
	* (minor_version): Increase to 63.

	* info/info.c (version_string): Now at 2.14.
	* info/tilde.c: Declare getenv to return (char *).
	* info/window.c (build_message_buffer): Jump through hoops to keep
	DEC Alpha's happy.

	* info/xmalloc.c: Declare malloc and realloc as (void *) returning
	functions.

Sun Jun 18 12:47:21 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* emacs/detexinfo.el (detexinfo-line-cmds-without-arg):
	Handle ifhtml.

Fri Jun 16 13:48:14 1995  Brian Fox  <bfox@albert.gnu.ai.mit.edu>

	* util/texindex.c: Update TEXINDEX_VERSION_STRING for texinfo 3.4

	* (All *.c *.h *.in): Change FSF old address to new.
	* texinfo.texi (Obtaining TeX): Change FSF old address to new
	address.  Change Old phone numbers to new phone numbers.

	* Makefile.in (VERSION): Change to 3.4.

Thu Jun 15 22:49:07 1995  Robert J. Chassell  <bob@hill.gnu.ai.mit.edu>

        * texinfo.texi, emacs/=development/cover.texi: update
          Texinfo distribution package version number

Thu Jun 15 09:23:02 1995  Brian J. Fox  <bfox@wizard.datawave.net>

	* info/info.c: (minor_version): Set to 13.

	* info/clib.c,h: New files gather together replacement functions
	for those POSIX-style C library functions that are not present on
	the target system.

	* info/Makefile.in (SRCS): Add clib.c and clib.h.  makedoc now
	needs clib.o to build on systems missing various string.h stuff.

	* info/variables.c (whole file): Call strdup, not savestring.
	* info/tilde.c (whole file): Call strdup, not savestring.
	* info/search.c (whole file): Call strdup, not savestring.
	* info/nodes.c (whole file): Call strdup, not savestring.
	* info/nodemenu.c (whole file): Call strdup, not savestring.
	* info/man.c (whole file): Call strdup, not savestring.
	* info/makedoc.c (whole file): Call strdup, not savestring.
	* info/m-x.c (whole file): Call strdup, not savestring.
	* info/info.c (whole file): Call strdup, not savestring.
	* info/indices.c (whole file): Call strdup, not savestring.
	* info/echo_area.c (whole file): Call strdup, not savestring.
	* info/session.c (whole file): Call strdup, not savestring.
	* info/filesys.c (whole file): Call strdup, not savestring.

	* makeinfo/makeinfo.c (minor_version): Change to 1.62.
	* makeinfo/makeinfo.c (get_execution_string): Initialize `i' to 0
	in case there are no execution_strings.

Wed Jun 14 17:48:06 1995  Brian J. Fox  <bfox@wizard.datawave.net>

	* texinfo.texi: include "texinfo.tex", not "texinfo".
	* info/session.c (forget_window_and_nodes): Place a sequence point
	in between "info_windows[i] = info_windows[++i];" as per various
	compiler experts.

	* makeinfo/makeinfo.c (strdup): Create this function if the system
	doesn't have it.
	(discard_insertions): Use the insertion's filename, not the
	current input file.
	(push_insertion): Remember the current input file with each
	insertion.
	(pop_insertion): Free storage used by remembered input file.

	* makeinfo/makeinfo.c (whole file): Use `strdup' instead of
	`savestring'.
	* configure.in: Check for `strdup'.

Wed Jun 14 15:58:51 1995  Brian Fox  <bfox@albert.gnu.ai.mit.edu>

        * libtxi/Makefile.in (prefix): Use @prefix@, not /usr/local/

Wed Jun 14 10:50:57 1995  Brian J. Fox  <bfox@wizard.datawave.net>

	* Makefile.in (DISTFILES): Don't include *.elc files in the list
	  of files to distribute.
	  (installdirs): Include `emacs' in the list of sub-dirs with
	  Makefile.in's.

	* emacs/elisp-comp: Shell script which batch compiles the *.el files.
	* emacs/Makefile.in: New file contains targets to build the elc files.
	* configure.in: Add `emacs/Makefile' to the list of created makefiles.
	* makeinfo/makeinfo.c (whole file): Give every function a return
	  type.  All cm_xxx functions are now void.  Add declarations for
	  functions to top of file.

Mon Jun 12 12:00:57 1995  Brian J. Fox  <bfox@wizard.datawave.net>

	* info/man.c (reference_section_starters): Add versions of "SEE
	ALSO" and "RELATED INFORMATION" with tabs instead of spaces as
	well.

	* util/texindex.c: Back out changes for OFF_T.  Explicity coerce
	the result of lseek to a long, and use longs everywhere.

	* texinfo.texi: Change "@end shorttitlepage" to "@end titlepage".
	* makeinfo/makeinfo.c: Make @shorttitlepage ignore the rest of the
	line.

	* util/texindex.c (strrchr): Create if not present.
	Test for HAVE_STRCHR and HAVE_STRING_H.
	(main): Make PROGRAM_NAME be just the last path componenet of argv[0].
	(decode_command): Rewrite.
	(usage): Rewrite.  Now texindex handles --version.

	* makeinfo/makeinfo.c (make_index_entries_unique): Rewrite from
	scratch.

	* Don't distribute created info files with texinfo.  After all,
	the user will have the tools necessary to create them, yes?

	* Makefile.in (distclean): Remove *.log

	* info/man.c (read_from_fd): Change timeout value for select to 15
	seconds.  Some systems (e.g., albert.ai.mit.edu) actually need
	more than 10 seconds to format a man page.

	* info/tilde.c: Fix typo in declaration for
	`tilde_expansion_failure_hook'.

Wed Jun  7 13:36:53 1995  Brian Fox  <bfox@albert.gnu.ai.mit.edu>

	* info/tilde.h: Change type of tilde_expansion_failure_hook to
	a pointer to a function returning a (char *).
	* info/tilde.c: Change type of tilde_expansion_failure_hook to a
	pointer to function returning a (char *).

	* makeinfo/makeinfo.c (get_execution_string): Don't use `i' in the
	latter assignment, use `execution_strings_index' instead.

	* info/man.c (read_from_fd): Change logic to avoid using FIONREAD.

	* info/xmalloc.c (xrealloc): Use (void *), not (caddr_t *).
	* info/xmalloc.c (xmalloc): Use (void *), not (caddr_t *).

	* Makefile.in (DISTFILES): Don't find RCS no "=" directories.

	* util/Makefile.in (prefix): Use @prefix@ as the value.
	* info/Makefile.in (prefix): Use @prefix@ as the value.
	* makeinfo/Makefile.in (prefix): Use @prefix@ as the value.

Wed Jun  7 12:29:28 1995  Robert J. Chassell  <bob@hill.gnu.ai.mit.edu>

        * texinfo.texi: Correct minor typos.

        * emacs/texinfmt.el:  Don't require @shorttitlepage to be inside
          of @iftex ... @end iftex

Mon May  8 18:33:52 1995  Brian J. Fox  <bfox@wizard.datawave.net>

	* info/nodes.c: #include "man.h" if HANDLE_MAN_PAGES.
	(info_get_node_of_file_buffer): If the file buffer is one
	associated with manpages, call the manpage node finding
	function instead.
	(info_find_file_internal): If the file buffer is one associated
	with manpages, avoid doing any file I/O.
	(info_reload_file_buffer_contents): Ditto.
	(info_find_file_internal): Call create_manpage_file_buffer instead
	of info_load_file_internal.

	* info/info.c: #include "man.h" if HANDLE_MAN_PAGES.
	(main): If the initial node cannot be found, perhaps find it as a
	manpage.
	* info/info-utils.c: #include "man.h" if HANDLE_MAN_PAGES.
	(info_xrefs_of_node): If handling man pages, and this is a manpage
	node, use xrefs_of_manpage.

	* info/session.c (info_set_input_from_file): Only fclose (stream)
	if it is non-null and not stdin.
	#include "man.h" if HANDLE_MAN_PAGES.
	(info_menu_or_ref_item): If handling man pages, and this is a
	manpage node, get the xrefs from manpage_xrefs_in_binding.
	(info_man): Compile in for M-x man if handling man pages.
	(info_move_to_xref): If handling man pages, and the current node
	is a manpage node, use locate_manpage_xref to get xrefs.

Thu May  4 08:55:23 1995  Brian J. Fox  <bfox@wizard.datawave.net>

	* info/info.c (main): If the output device is not a terminal, and
	no output filename has been specified, make user_output_filename
	be "-", so that the info is written to stdout, and turn on the
	dumping of subnodes.

Thu Apr 13 18:05:06 1995  Daniel Hagerty  <hag@churchy.gnu.ai.mit.edu>

	* texinfo.texi: Fixed @end titlepage/@end shorttitlepage

Sat Apr  8 12:51:49 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* makeinfo/makeinfo.c [! HAVE_STRERROR] (strerror): New function,
 	snarfed from ../info/filesys.c.
	(cm_infoinclude): Use strerror instead of sys_errlist.

Tue Apr  4 18:44:00 1995  Brian J. Fox  <bfox@wizard.datawave.net>

	* util/texindex.c (sort_offline): Change TOTAL to be an off_t.
	* util/texindex.c (sort_in_core): Change TOTAL to be an off_t.
	* util/texindex.c (MAX_IN_CORE_SORT): Cast to off_t.

Sun Apr  2 16:20:13 1995  Brian J. Fox  <bfox@wizard.datawave.net>

	* info/Makefile.in: Define DEFAULT_INFOPATH in case we are
	compiling in the current directory.
	* info/Makefile.in (info.o): Add filesys.h because of DEFAULT_INFOPATH.
	* info/(search.c,h, nodes.c info-utils.c) Use strcasecmp and
	strncasecmp instead of stricmp and strnicmp.  Define strcasecmp
	and strncasecmp in search.c if !HAVE_STRCASECMP.
	* info/search.c: If HAVE_STRING_H include it.
	* info/nodes.c: If HAVE_STRING_H include it.
	* info/info-utils.c: If HAVE_STRING_H include it.
	* info/info.h: If HAVE_STRING_H include it.
	* configure.in (AC_HAVE_FUNCS): Check for strcasecmp.
	* makeinfo/makeinfo.c (strcasecmp): Define if !HAVE_STRCASECMP.
	* makeinfo/makeinfo.c (entire file): Use `strcasecmp' instead of
	`stricmp'.
	* makeinfo/makeinfo.c (cm_ifeq): New command takes three args.
	Compares first two, executes remainder if the first two are
	string-wise eq.
	* makeinfo/makeinfo.c (ifhtml): Add to command list.  Shouldn't be
	used, but it is by people who don't want to hack macros.

Sat Apr  1 09:20:14 1995  Brian J. Fox  <bfox@wizard.datawave.net>

	* makeinfo/makeinfo.c (begin_insertion): Fix reversed arguments to
	line_error.

	* info/info-stnd.texi: Use "end" footnote style instead of "separate".

	* info/Makefile.in: Change "rm -f" to $(RM).

	* info/general.h: Define zero_mem in terms of memset if we have
	it, else in terms of bzero if we have that, else as inline code.

	* info/NEWS: Updated to reflect changes in 2.11.

Fri Mar 31 22:38:31 1995  Brian J. Fox  <bfox@wizard.datawave.net>

	* Makefile (DISTFILES): Don't include *.a, *orig, nor *.e
	files.
	(DISTFILES):

Sat Mar  4 12:16:29 1995  Brian J. Fox  <bfox@wizard.datawave.net>

	* Makefile.in: Use @prefix@ instead of hardwired `/usr/local'.
	  Clean up makefile rules which make in subdirs.
	  (ALL_SUBDIRS): Add makeinfo/macros to list of subdirectories.

	* configure.in (AC_CHECK_FUNCS): Add `bcopy' to list of things to
	check for.

Fri Mar  3 13:54:10 1995  Robert J. Chassell  <bob@hill.gnu.ai.mit.edu>

        * texinfo.texi: Minor changes for incremental new edition 2.20.

Fri Mar  3 19:01:36 1995  Brian J. Fox  <bfox@wizard.datawave.net>

	* filesys.c (filesys_read_info_file): Local variable ST_SIZE is a
	long which has the value of finfo->st_size casted to it.
	* nodes.c (whole file): Similar changes.

	These changes and the following for makedoc.c were required for
	proper operation on HPm68k NetBSD.

Mon Feb 27 15:16:27 1995  Brian J. Fox  <bfox@wizard.datawave.net>

	* makedoc.c (process_one_file): Local variable FILE_SIZE is a long
	which has the value of finfo.st_size casted to it.


Fri Mar  3 18:58:38 1995  Brian J. Fox  <bfox@wizard.datawave.net>

	* makeinfo.c (find_and_load): Cast fileinfo.st_size to a long for
	internal use.  This makes things work on NetBSD.


Fri Mar  3 13:54:10 1995  Robert J. Chassell  <bob@hill.gnu.ai.mit.edu>

        * texinfo.texi: Minor changes for incremental new edition 2.20.

Fri Mar  3 09:41:39 1995  Brian J. Fox  <bfox@wizard.datawave.net>

	* configure.in (TERMLIBS): Use AC_CHECK_LIB instead of
	AC_HAVE_LIBRARY.

Mon Jan  9 16:55:31 1995  Brian Fox  <bfox@churchy.gnu.ai.mit.edu>

	* Makefile.in (DISTFILES): Add the directory EMACS-BACKUPS to the
	list of things to avoid distributing.

Tue Nov 29 17:48:37 1994  David J. MacKenzie  <djm@duality.gnu.ai.mit.edu>

	* configure.in: Check for off_t.
	* util/texindex.c (main): Use it.

Fri Nov 11 14:46:28 1994  David J. MacKenzie  <djm@duality.gnu.ai.mit.edu>

	* configure.in: Update for Autoconf v2.

Thu Oct 13 02:17:38 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* emacs/detexinfo.el (detexinfo): Handle @!, @?, @^, @".

Mon Aug  1 03:26:13 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* texindex.c: Move the memset define down past string.h include.

Tue Jun 28 14:21:43 1994  David J. MacKenzie  (djm@churchy.gnu.ai.mit.edu)

	* makeinfo/makeinfo.c: Add --help option.
	(usage): Take args for stream and error code.
	Change callers.
	(print_version_info): Write to stdout, not stderr.

Wed May 18 18:55:24 1994  Brian J. Fox  (bfox@ai.mit.edu)

	* info/session.c (forget_window_and_nodes): Negate test for
	internal_info_node_p.  We only want to free the text if it is
	not an internal node.

Thu Mar 10 03:07:18 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* texindex.c (memset): Fix invalid parm name (was 0).

Thu Feb 10 12:56:52 1994  Noah Friedman  (friedman@prep.ai.mit.edu)

        * makeinfo/makeinfo.c (current_item_function): Don't loop if elt
        is NULL.

Wed Feb  9 12:21:09 1994  Brian J. Fox  (bfox@ai.mit.edu)

	* makeinfo/makeinfo.c (minor_version): Release now at 1.60.

	* makeinfo/makeinfo.c (expand_filename): Additional fixes.  Now
	when called with NULL filename, makes an output filename from the
	input filename.
	(convert_from_loaded_file): If REQUIRE_SETFILENAME is #defined (no
	longer the default case) then error if no @setfilename was found
	in the file.  If REQUIRE_SETFILENAME is not #defined, the input
	file starts either at the first line, or at the second line if the
	first line contains the text "\input", and the output filename is
	the input file name without directory and with ".info" replacing
	any extension found.
	(convert_from_loaded_file): Fixed bug in search for first
	occurence of "@setfilename".

Tue Feb  8 14:16:58 1994  Noah Friedman  (friedman@prep.ai.mit.edu)

        * configure.in: Check for sys/file.h.
        info/dir.c, info/filesys.c, info/makedoc.c, info/nodes.c,
        info/session.c, info/termdep.h, makeinfo/makeinfo.c
        [HAVE_SYS_FILE_H]: Include <sys/file.h>.

        * makeinfo/makeinfo.c (convert_from_loaded_file): Print
        real_output_filename instead of output_filename, so user knows
        exactly where output file is going.

        Fri Jun 11 14:34:30 1993  Ian Lance Taylor  (ian@cygnus.com)
       	* configure.in: Check for sigprocmask and sigsetmask.
	* info/signals.h (HAVE_SIGSETMASK): Don't define.
	(HAVE_SIGPROCMASK): Use instead of _POSIX_VERSION.
	(BLOCK_SIGNAL, UNBLOCK_SIGNAL): If neither HAVE_SIGPROCMASK nor
	HAVE_SIGSETMASK is defined, define these to do nothing.
	* info/signals.c (sigprocmask): Don't compile if HAVE_SIGSETMASK
	is not defined.

	* info/terminal.c (terminal_prep_terminal): Don't clobber VINTR
	and VQUIT in conditionals.

Mon Feb  7 18:10:22 1994  Brian J. Fox  (bfox@ai.mit.edu)

	* makeinfo/makeinfo.c (full_pathname): Correct to really return
	the full pathname of the input argument.  Now makeinfo
	/foo/bar.texi, where /foo/bar.texi contains "@setfilename
	bar.info", correctly leaves the output file in "./bar.info".
	Note that "@setfilename ../bar.info" still works; this is already
	an absolute pathname.

Sat Feb  5 13:04:05 1994  Brian J. Fox  (bfox@ai.mit.edu)

	* makeinfo/makeinfo.c: Version 1.59 released.

	* makeinfo/makeinfo.c (whole file):  Large number of changes allow
	the "-E filename" option to be used to write a macro expanded
	output file.  On a file which contains no @include's and no
	@macro's, the output file is identical to the input file.

	* makeinfo/makeinfo.c (declarations): Remove cm_tex ().  It is
	never used since it is implemented with `command_name_condition'.

	* makeinfo/makeinfo.c (add_char): Shift braces following the
	current break point if we have deleted any characters.
	(adjust_braces_following): New function adjusts all of the markers
	in the brace stack which follow HERE by AMOUNT.  This fixes a bug
	where (for example) @var{} immediately following a line break
	which is the end of a sentence modified the output incorrectly.

Wed Feb  2 14:14:03 1994  Brian J. Fox  (bfox@ai.mit.edu)

	* makeinfo: Version 1.58.

	* makeinfo/makeinfo.c (cm_node): Add extra hair to allow
	backtracking through execution strings.  Add extra hair to allow
	the first node seen after a @top node is seen to adjust the
	sectioning level of the @top node and associated menus.
	Fix a few typos.
	Add facility for macros to invoke the original definition.  This
	works by not allowing a single macro to recurse.  Mutual recursion
	is also disallowed with this plan.

	* makeinfo/macros: New directory contains shippable macros.
	* makeinfo/macros/simpledoc.texi: Macros which simplify the most
	common uses of TeXinfo.  See the example file.
	Macros are now a reasonable way to get people started using
	TeXinfo.

Mon Jan 31 12:54:36 1994  Brian J. Fox  (bfox@ai.mit.edu)

	* makeinfo/makeinfo.c (minor_version): Increase to 57.

	* makeinfo/makeinfo.c (cm_node): Call execute_string on the node,
	next, prev, and up pointers.
	(reader_loop): Change logic for `@bye'.  No longer required at the
	ends of executed strings.
	(execute_string): Do not append `@bye' to the string to execute.

	* makeinfo/makeinfo.c (whole file): Use COMMAND_PREFIX instead of
	hardcoding `@' character in strings and searches.

	* makeinfo/makeinfo.c (read_command): If HAVE_MACROS is defined,
	then recognize and execute macros here.
	(CommandTable): Add "macro" and "unmacro" to table if HAVE_MACROS
	is defined.

	* makeinfo/makeinfo.c (cm_macro, cm_unmacro, execute_macro)
	  makeinfo/makeinfo.c (get_macro_args, find_macro, add_macro)
	  makeinfo/makeinfo.c (delete_macro, array_len, apply):
	  New functions implement macro facility if HAVE_MACROS is
	  defined.

	* makeinfo/macro.texi (new file): Examples of using the new macro
	facility.

Mon Jan 31 10:24:52 1994  Noah Friedman  (friedman@prep.ai.mit.edu)

        * makeinfo/makeinfo.c (executing_string): Restore global
        declaration.

Mon Jan 24 23:48:26 1994  Noah Friedman  (friedman@prep.ai.mit.edu)

        * texinfo.texi: Various typo fixes from Bob Chassell
        <bob@gnu.ai.mit.edu>.

Thu Jan  6 13:34:21 1994  Noah Friedman  (friedman@prep.ai.mit.edu)

        * texinfo.texi: Turned on smallbook format and @set smallbook.

Wed Dec 15 20:08:43 1993  Noah Friedman  (friedman@prep.ai.mit.edu)

        * info/filesys.h (DEFAULT_INFOPATH): Added /usr/local/info,
        /opt/gnu/info, /usr/share/info, and /usr/local/share/info.

Tue Dec 14 19:10:20 1993  Noah Friedman  (friedman@prep.ai.mit.edu)

        * libtxi/Makefile.in (ALLOCA): Define from configure.

Fri Dec 10 04:33:12 1993  Noah Friedman  (friedman@prep.ai.mit.edu)

        * util/texi2dvi: Put under RCS control.

Sun Dec 26 11:55:46 1993  Brian J. Fox  (bfox@ai.mit.edu)

	* info/session.c (info_numeric_digit_arg_loop): Fix doc string.

	* info/infodoc.c (create_internal_info_help_node): Print out list
	of functions which have to keystroke equivalent if we support
	NAMED_FUNCTIONS.

	* info/filesys.c (compress_suffixes): Add ".gz" for "gunzip" to
	alist.

	* info/footnotes.c (make_footnotes_node): If refs[i] doesn't have
	a nodename, then it couldn't be a reference to a footnote.

	* info/nodemenu.c (get_visited_nodes): Handle the case where
	filter_func has left no possible buffers to select.

Sat Dec 25 10:35:56 1993  Brian J. Fox  (bfox@ai.mit.edu)

	* info/infodoc.c (create_internal_info_help_node): Conditionalize
	generation of the help node based on the #define
	HELP_NODE_GETS_REGENERATED.  When this is not set (the default)
	the help node is generated exactly once, and is not gc'able.
	Otherwise, a new node is always created for the help window, and
	the old node gets garbage collected by the gc system.
	(info_find_or_create_help_window): Conditionalize window node
	selected based on the #define HELP_NODE_GETS_REGENERATED.

	* info/dir.c (add_menu_to_file_buffer): Place exactly one blank
	line between directory entries.

	* info/info.c (version_string): Update minor version to "11".

	* info/info.h: Update comment to "2.11".

	* info/dir.c (maybe_build_dir_node): Only add the contents of a
	new file if it is not identical to the file of the DIR buffer.

	* info/nodes.c (info_get_node): Call `maybe_build_dir_node' on
	"dir" as well as "localdir" to mimic emacs-19.22 "dir" merging
	behaviour.

Fri Dec  3 13:41:44 1993  Brian J. Fox  (bfox@ai.mit.edu)

	* info/info-utils.c (canonicalize_whitespace): Suppress whitespace
	found at the start of STRING.

Sat Nov 20 14:00:50 1993  Brian J. Fox  (bfox@hippie)

	* info/indices.c (DECLARE_INFO_COMMAND): Fix typo in assignment to
	`old_offset' (= instead of ==).

Tue Nov  2 12:22:40 1993  Brian J. Fox  (bfox@ai.mit.edu)

	* makeinfo/makeinfo.c (make_index_entries_unique): New function
	makes a sorted array have all unique entries by appending numbers
	to the ends of strings.
	(sort_index): Call `make_index_entries_unique'.

Mon Sep 20 12:04:05 1993  Brian J. Fox  (bfox@ai.mit.edu)

	* makeinfo/makeinfo.c (get_execution_string): New Function returns
	a pointer to an  EXECUTION_STRING structure.
	(execute_string): No longer uses a static string; call
	`get_execution_string' instead in order to get a free buffer for
	consing.

Sun May 23 07:00:20 1993  Noah Friedman  (friedman@prep.ai.mit.edu)

        * Texinfo 3.1 released.

Sat May 22 18:21:27 1993  Noah Friedman  (friedman@prep.ai.mit.edu)

        * info/info.c (info_patch_level): Increment constant to 1.

        * info/Makefile.in (DEFAULT_INFOPATH): Default definition deleted.
        Makefile.in: Put it here instead.
        * Makefile.in (MDEFINES): Add DEFAULT_INFOPATH.

        * configure.in: check for vfprintf and vsprintf.

        * makeinfo/makeinfo.c: Version 1.55.

        * makeinfo/makeinfo.c (add_word_args, execute_string) [HAVE_VARARGS_H]:
        Don't use this definition unless HAVE_VSPRINTF is also defined.
        (error, line_error, warning) [HAVE_VARARGS_H]: Don't use this
        definition unless HAVE_VFPRINTF is also defined.
        Remove indentation of all cpp directives, except for #pragma.

Fri May 21 14:34:24 1993  Noah Friedman  (friedman@prep.ai.mit.edu)

        * texinfo.texi: Rename to texi.texi.
        Change @setfilenname and START-INFO-DIR-ENTRY to `texi.info'.

        * Makefile.in (MDEFINES): Pass LDFLAGS to sub-makes.
        (realclean): Delete `configure'.
        Changed all references to texinfo.info to texi.info

        * configure.in: Add AC_PROG_RANLIB, and AC_CONST.
        Check for `rindex' function.
        Check for varargs.h.
        Clean up symbol names for header files so a single AC_HAVE_HEADERS
        can be used.
        (AC_INIT): Use texi.texi instead of makeinfo/makeinfo.c

        * info/info-utils.h: Copy definitions of bcopy, index, and rindex
        (with appropriate #ifdef wrappers) from termdep.h.  These are
        included by a mutually exclusive set of files.

        * info/termdep.h [HAVE_SYS_PTEM]: Use HAVE_SYS_PTEM_H instead.

        * info/terminal.c, info/termdep.h [HAVE_TERMIO]: Use HAVE_TERMIO_H
        instead.

        * info/makedoc.c, info/filesys.c [!O_RDONLY]: Include fcntl.h or
        sys/fnctl.h, depending on whether HAVE_SYS_FCNTL_H is set.

        * info/termdep.h: Remove all indentation in #-exprs.
        Remove old assumptions about bcopy, index, and rindex.
        [HAVE_BCOPY]: Define bcopy.
        [HAVE_RINDEX]: Define index and rindex.

        * info/nodes.c (info_get_node): Don't call stricmp if nodename is
        NULL. Remove indentation in #-exprs.

        * info/echo_area.c (echo_area_stack_depth): Declare static.

        * info/Makefile.in (DEFAULT_INFOPATH): Make separate Makefile
        variable so it can be overridden more easily by the user.  Add `.'
        to beginning of path.
        (clean): Delete core.* (386bsd core files).
        (MAKEDOC): Variable removed.  Refer to `makedoc' explicitly.
        (funs.h): Add `:' commands after if, to avoid spurious nonzero
        exit statuses.

        * info/userdoc.texi: Improved comments explaining its purpose.

        * makeinfo/makeinfo.c [HAVE_VARARGS_H]: Include varargs.h.
        (error, line_error, warning, add_word_args,
          execute_string)[HAVE_VARARGS_H]: New versions that
        use varargs.  From bfox.

        * makeinfo/Makefile.in (clean): Delete core.* (386bsd core files).

        * util/Makefile.in (clean): Remove core.* (386bsd core files).

        * libtxi/Makefile.in: Remove all references to $(common).
        (RANLIB): New variable, set from autoconf.
        (libtxi.a): Use $(RANLIB) instead of `ranlib' in target rules.
        (clean): Delete core.* (386bsd core files).

Tue May 18 12:08:24 1993  Robert J. Chassell (bob at grackle.stockbridge.ma.us)

        * emacs/texinfmt.el (texinfo-format-refill): Do not fill a section
        title line with the asterisks, hyphens, etc. that underline
        it in any circumstance.

Sun May 16 13:53:43 1993  Noah Friedman  (friedman@prep.ai.mit.edu)

        * util/mkinstalldirs: handle relative pathnames.

Fri May 14 20:18:49 1993  Noah Friedman  (friedman@prep.ai.mit.edu)

        * util/mkinstalldirs: initialize IFS if unset.

Tue May 11 06:33:14 1993  Noah Friedman  (friedman@prep.ai.mit.edu)

        * makeinfo/makeinfo.c (cm_item): don't dereference item_func if NULL.

Mon May 10 14:50:31 1993  Noah Friedman  (friedman@prep.ai.mit.edu)

        * Texinfo 3.0 released.

        * Makefile.in (ALLOCA): Provide for substitution.

Mon May 10 10:12:53 1993  Noah Friedman  (friedman@prep.ai.mit.edu)

        * emacs/texinfmt.el (texinfmt-version): Updated year.

Fri Apr 16 04:48:03 1993  Noah Friedman  (friedman@prep.ai.mit.edu)

        * makeinfo/makeinfo.c: Version 1.54 from bfox.

        * util/fixfonts: Replace instances of `[..]' with `test'.
        Use more portable `test' arguments: `z$foo = z' instead of `! $foo'.
        Robustify quoting in eval assignments.
        (textfmdir, texpkdir, texgfdir): Don't override definition from
        environment, if any.
        Trap EXIT, SIGHUP, SIGINT, SIGQUIT, SIGTERM to delete temp files
        instead of trying to remove them explicitly before calling exit.
        When changing cwd, do so in subshell, in case various tex*dir
        variables are relative.
        Don't use `head', `dirname', or `basename'.  These don't behave
        consistently and/or don't even exist on some systems.  They can
        all be emulated with `sed' anyway.
        (tempfile2_line1): New variable.  Use it instead of running
        process to extract first line out of tempfile2 multiple times.
        Eliminate some gratuitous uses of $tempfile2, such as in for loops.

Fri Mar 26 23:25:13 1993  Noah Friedman  (friedman@prep.ai.mit.edu)

        * texinfo.texi: @setfilename texinfo.info.

        * makeinfo/makeinfo.c (reader_loop, end_insertion): Fix typos in
        comments.
        (handle_variable_internal): Handle the case that there further
        menu text after a false ifset/ifclear.

        * util/texi2dvi: Version 0.4
        Replace all instances of `[ ... ]' with `test'.
        Updated bug-reporting address.

Thu Mar 25 12:31:30 1993  Noah Friedman  (friedman@prep.ai.mit.edu)

        * info/Makefile.in (install): Install info.1 man page.
        (uninstall): Remove installed info.1 man page.

        * info/infoman.texi: Standalone manual renamed to info-stnd.texi.
        Makefile.in: Targets updated appropriately.

        * info/Makefile.in (LDEFS): New variable.  Use it for info-local
        macros, since DEFS will be inherited from parent make and any
        local definitions will get clobbered.

        * info/RELEASE: Renamed to info/NEWS.

        * README: New file.

        * Makefile.in (topclean): New target.

        * Getting-started: Renamed to INTRODUCTION.  Former name is too
          long (over 14 chars).

        * New-features: Renamed to NEWS.

        * Makefile.in (MDEFINES): Set it.

        * Makefile.in (dist): Use --gzip option to tar to make sure
          resulting file is compressed with gzip.  Change tar file
          extension from `.Z' to `.z'.

        * Makefile.in (DISTFILES): Filter out any file or directory names
          starting with `='.

        * fixfonts: Moved to util/fixfonts.

        * RELEASE: Deleted.

        * makeinfo/Makefile.in (VPATH): Use $(srcdir), not @srcdir@.
        (common): Use ../libtxi, not ../common.
        (makeinfo.in): Run makeinfo with --no-split.

        * makeinfo/makeinfo.texi: Changes from bob.

        * util/Makefile.in (VPATH): Use $(srcdir), not @srcdir@.
        (common): Use ../libtxi, not ../common.

        * util/fixfonts: Moved from top-level directory.

Wed Mar 24 10:21:31 1993  Robert J. Chassell  (bob at grackle)

        * emacs/texinfmt.el (texinfo-format-region): Do not require
        `@setfilename' line; delete `\input texinfo' line if part of
        region.

        * emacs/texinfmt.el (texinfo-raise-lower-sections): Raise or lower the
        hierarchical level of chapters, sections, etc. according to
        `@raisesections' and `@lowersections' commands.

Thu Mar 18 16:02:27 1993  Robert J. Chassell  (bob at grackle)

        * emacs/texinfo.el (texinfo-show-structure): Indent *Occur* buffer
        according to the structure of the file.

Sat Mar  6 05:16:44 1993  Noah Friedman  (friedman@prep.ai.mit.edu)

        * util/texi2dvi: use ${1+"$@"}, not just "$@".

Tue Feb  2 08:38:06 1993  Noah Friedman  (friedman@prep.ai.mit.edu)

        * info/Makefile.in: Replace all "--nosplit" arguments to makeinfo
        with "--no-split"

Sun Jan 31 18:16:58 1993  Noah Friedman  (friedman@prep.ai.mit.edu)

        * util/texi2dvi: Don't put .dvi and related auxillary files in same
        directory as source files.  Put them in current directory instead.
        (TEXINPUTS_orig): New variable.
        (file_texi): Variable removed.
        (filename_texi): New variable.
        (command_line_filename): Use this wherever references to file_texi
        occured except in setting filename_noext.
        (TEXINPUTS): Current directory and source directory where input
        file resides prepended to standard path before invoking TeX.

Wed Jan 27 16:24:37 1993  Noah Friedman  (friedman@prep.ai.mit.edu)

        * util/Makefile.in: overhauled.

Tue Jan 26 21:04:23 1993  Noah Friedman  (friedman@prep.ai.mit.edu)

        * Makefile.in, info/Makefile.in, makeinfo/Makefile.in: Overhauled.

        * configure.in: Renamed from texinfo.in.
          Incorporated makeinfo/makeinfo.in, info/info.in, and
          util/util.in.  Create all child Makefiles.

        * makeinfo/makeinfo.in, info/info.in: Deleted (incorporated into
        top configure.in).

        * util/util.in: Deleted (incorporated into ../configure.in).

Mon Jan 25 10:59:49 1993  Brian Fox  (bfox@cubit)

        * info/info.c: New version 2.9; new variable INFO_PATCH_LEVEL
        appears in the version string if it is non-zero.  New function
        version_string () produces the current version string, as in 2.8-p1.

        * info/dir.c: New file implements Gillespies `localdir' hacks.

        * info/nodes.c (info_get_node): Now calls maybe_build_dir_node ()
        if the file name to look for is "dir".

        * info/nodes.h: New flag N_CannotGC unconditionally prevents garbage
        collection of a file buffer's contents.  Used when "dir" is made
        from at least one "localdir".

Fri Jan 22 11:36:42 1993  Brian Fox  (bfox@cubit)

        * info/footnotes.c: Do not declare auto_footnotes_p as "extern" in
        this file.

Thu Jan 21 08:57:08 1993  Brian Fox  (bfox@cubit)

        * info/info.c: New version 2.8.

        * info/userdoc.texi, info/infoman.texi, info/info.texi: Fully
        document Info; create both online and printed manual versions.
        "userdoc.texi" contains exactly the documentation for GNU Info 2.x.
        "infoman.texi" is a wrapper for that file; it is meant to produce
        printed documentation. "info.texi" has the user documentation as a
        complete chapter within itself, but continues to contain the Info
        tutorial.

        * info/makedoc.c: Convert "ea_" into "echo_area_" when creating the
        command name.

Fri Jan 15 16:50:35 1993  Brian Fox  (bfox@cubit)

        * info/search.c (skip_node_characters): New argument NEWLINES_OKAY if
        non-zero says that newlines should be skipped over during parsing.

        * info/info-utils.c (info_parse_node): New argument NEWLINES_OKAY if
        non-zero says that newlines should be skipped while parsing out
        the nodename specification.

Wed Jan 13 14:42:33 1993  Brian Fox  (bfox@cubit)

        * info/makedoc.c: Remove "info_" from the front of the command name
        before installing it.

        * info/session.c (info_menu_or_ref_item): A label of "Menu" is okay if
        the builder is not info_menu_of_node ();

        * info/m-x.c: New function replace_in_documentation () replaces \\[foo]
        with the keystrokes you type to get that command.  Now used in
        indices.c, info.c, infodoc.c.

Mon Jan 11 10:27:41 1993  Brian Fox  (bfox@cubit)

        * info/variables.c, h: New files contain describe-variable and stuff
        moved out of m-x.c.

        * info/m-x.c: Move VARIABLE_ALIST and variable functions into
        variables.c.  Add documentation string to variable definition.

        * info/echo_area.c (push_echo_area): Zero the contents of
        echo_area_completion_items after pushing the vars.

Sat Jan  9 11:59:47 1993  Brian Fox  (bfox@cubit)

        * info/Makefile.in: Add footnotes.c,h,o to the appropriate Makefile
        variables.

        * info/window.c (window_tile_windows): New function divides the
        available space among the visible windows.

        * info/session.c (info_tile_windows): New function calls
        window_tile_windows.

        * info/footnotes.c, footnotes.h: New file implements functions for
        aiding automatic footnote display when entering a node which has
        footnotes.

        * info/m-x.c: New user-variable "automatic-footnotes".

        * info/window.c (window_physical_lines) New function counts the
        carriage returns found in NODE.

Wed Jan  6 11:24:19 1993  Brian Fox  (bfox@cubit)

        * info/general.h: #include <unistd.h> if we have it.

Tue Jan  5 11:12:33 1993  Brian Fox  (bfox@cubit)

        * info/info-utils.c (info_concatenate_references): If either arg is
        NULL, return the other arg.

        * info/indices.c (info_indices_of_file_buffer): Simplified and
        corrected loop through tags/nodes of file buffer looking for
        indices.

        * info/search.c (skip_node_characters): Rewrite "if" statement for
        clarification and conciseness.

Fri Jan  1 03:18:26 1993  Brian Fox  (bfox@cubit)

        * info/info.in: Check for setvbuf (), and check to see whether the args
        are reversed.

        * info/dribble.c (open_dribble_file) Check HAVE_SETVBUF and
        SETVBUF_REVERSED when setting the buffering on info_dribble_file.

Thu Dec 31 20:14:13 1992  Brian Fox  (bfox@cubit)

        * info/session.c (info_select_reference) If the node couldn't be found,
        look for the label as a filename (i.e., "(LABEL)Top").

Wed Dec 30 01:57:50 1992  Brian Fox  (bfox@cubit)

        * New Version 2.7 Beta.

        * info/echo_area.c: Numerous functions now do something with the
        numeric argument.  Kill ring implemented, as well as yank and
        yank_pop.  Also transpose-chars.

        * info/window.c (window_make_modeline): Check node->flags for
        N_IsCompressed and display "zz" in the modeline if the node comes
        from a file which is compressed on disk.

Mon Dec 28 17:33:12 1992  Brian Fox  (bfox@cubit)

        * info/filesys.c, info/nodes.c: New member of FILE_BUFFER "FILESIZE"
        contains the size of file_buffer->contents.  finfo.st_size is no
        longer relied upon to read the contents of files, since the new
        function (filesys_read_info_file) can read compressed files.

        * info/filesys.c (info_find_fullpath) If a file starts with a slash (or
        tilde expansion causes it to start with a slash) still call
        info_find_file_in_path () on it so that we can find files with
        compression suffixes.

        * info/m-x.c: New variable "gc-compressed-files".

Tue Dec 22 03:45:28 1992  Brian Fox  (bfox@cubit)

        * info/info.c: Version 2.6 Beta.

        * info/indices.c (info_index_next): Improve the final search for the
        matched index entry.

        * info/session.c (move_to_screen_line): New function implements `M-r'.
        Given a numeric argument, move point to the start of that line in
        the current window; without an arg, move to the center line.
        * infomap.c: Put move_to_screen_line () on `M-r'.

        * info/nodes.c (adjust_nodestart): Don't set N_UpdateTags unless the
        node came from a tags table.

        * info/nodes.c (info_find_file_internal): If the filename being looked
        for doesn't start with a `/', then additionally compare the
        filename against the fullpath of the file buffer sans the
        directory name.  This can happen when selecting nodemenu items.

Mon Dec 21 10:07:18 1992  Brian Fox  (bfox@cubit)

        * info/session.c, info/display.c: Remove all references to
        active_window_ch, active_window_cv, cursor_h, and cursor_v.  The
        single function display_cursor_at_point () is used for all cursor
        movement, and to place the terminal's cursor at the right location
        on the screen.

Sat Dec 19 12:01:33 1992  Brian Fox  (bfox@cubit)

        * info/nodemenu.c: New file implements a few functions for manipulating
        previously visited nodes.  `list-visited-nodes' produces a menu of
        the nodes that could be reached by info_history_node () in some
        window.  `select-visited-node' is similar to `list-visited-node'
        followed by `info-menu-item', but doesn't display a window with
        the visited nodes menu.

        * info/session.c (info_numeric_arg_digit_loop): If redisplay had been
        interrupted, then redisplay all of the windows while waiting for
        input.

        * info/display.c (display_was_interrupted_p): New variable keeps track
        of interrupted display.  Used in
        info/session.c:info_numeric_arg_digit_loop ().

        * info/session.c (info_global_next, info_global_prev): Use the numeric
        argument passed to determine how many nodes to move.

        * info/session.c (info_scroll_forward, info_scroll_backward): If the
        invoking key is not SPC or DEL only do Page Only scrolling.

Thu Dec 17 01:34:22 1992  Brian Fox  (bfox@cubit)

        * info/display.c (display_update_one_window): Allow W_NoWrap to affect
        window display.

        * info/window.c (calculate_line_starts): Now takes a WINDOW * as an
        argument, and simply does the calculation, placing the results
        into window->line_starts and window->line_count.  It also handles
        W_NoWrap in window->flags.

Mon Dec 14 02:18:55 1992  Brian Fox  (bfox@cubit)

        * info/session.c (info_backward_scroll): Don't try to get previous node
        if the top of the node isn't currently being displayed.

        * info/window.c (window_adjust_pagetop) Use new variable
        "window_scroll_step" to attempt to control the amount which the
        window scrolls.

        * info/m-x.c (info_variables) Add "scroll-step" to the list.

Thu Dec 10 08:52:10 1992  Brian Fox  (bfox@cubit)

        * info/m-x.c: New variable entry show-index-matches.  When set to
        non-zero the matched portion of the search string is indicated
        with ` and '.  Perhaps I should use `|' inst|ea|d?

        * info/echo_area.c (ea_possible_completions): Always build completions
        before checking to see how many there were.

        * info/info-utils.c: (info_concatenate_references): New utility
        function concatenates references.

        * info/Makefile.in: Add indices.c and indices.h to SRCS and HDRS.
          Add indices.c to CMDFILES.

        * info/indices.c, info/indices.h: New file implements `i' and `,'
        commands of info, and provides index searching capabilities.

        * info/echo_area.c (info_read_completing_in_echo_area):  Split off into
        separate callable function info_read_completing_internal ().

        * info/echo_area.c (info_read_maybe_completing): New function calls
        info_read_completing_internal () with non-forcing argument.

        * info/session.c: Rename down_next_upnext_or_error () and
        prev_up_or_error () to forward_move_node_structure (), and
        backward_move_node_structure ().  Implement new commands
        info_global_next () and info_global_prev ().

        * info/infomap.c (initialize_info_keymaps): Bind `[' and `]' to
        backward_, forward_move_node_structure () respectively.

        * info/session.c (info_menu_digit): Called with "0" as arg, select the
        last menu item.

        * info/infomap.c (initialize_info_keymaps): "0" calls
        info_menu_digit ().

        * info/session.c (info_move_to_xref): Take dir into account when there
        are xrefs and menu items in the node and we are wrapping
        backwards.

Tue Dec  8 09:57:58 1992  Brian Fox  (bfox@cubit)

        * info/info.c: Version 2.5 Beta.

        * info/terminal.c (terminal_insert_lines, terminal_delete_lines) Do not
        expect tgoto to return a new string; it returns the address of a
        static buffer.

        * info/infodoc.c (info_find_or_create_help_window) Correct check for
        prior existing help node.

        * info/m-x.c (set_variable): Allow variables to have a list of choices.
        Add new variable scroll-behaviour.

        * info/session.c (down_next_upnext_or_error, prev_up_or_error) New
        functions implement user-controlled behaviour when attempting to
        scroll past the bottom or top of a node.  New variable
        info_scroll_behaviour is user visible as "scroll-behaviour".

        * info/session.c (info_scroll_forward, info_scroll_backward) Call new
        functions for user-controlled scroll behaviour.

        * info/terminal.c (terminal_initialize_terminal) Set PC from BC not
        from BUFFER.

Mon Dec  7 11:26:12 1992  Brian Fox  (bfox@cubit)

        * util/texindex.c: Change EXIT_SUCCESS and EXIT_FATAL to TI_NO_ERROR
        and TI_FATAL_ERROR respectively.  This avoids namespace conflicts
        on NeXT 2.0.

Sat Dec  5 00:07:59 1992  Brian Fox  (bfox@cubit)

        * info/info.c: New option "--subnodes" says to recursively dump the
        menus of the nodes that you wish to dump.  Menu items which point
        to external nodes are not dumped, and no node is dumped twice.

Thu Dec  3 16:11:02 1992  Brian Fox  (bfox@cubit)

        * info/session.c (info_error) Don't ring the bell if
        info_error_rings_bell_p is zero.  (info_abort_key) Ring the bell
        if printing "Quit" in the echo area wouldn't do it.

        * info/m-x.c (set_variable) New functions allows setting of
        variables in the echo area.  Currently, only visilble-bell and
        errors-ring-bell are implemented.

Wed Dec  2 13:11:37 1992  Brian Fox  (bfox@cubit)

        * info/nodes.c, info/makedoc.c: If O_RDONLY is not defined by
        sys/file.h, include sys/fcntl.h.

        * info/filesys.c (info_file_in_path): Expand leading tildes found
        within directory names.

        * info/terminal.c (terminal_initialize_terminal) Set ospeed to 13 if
        not settable any other way.  It is an index into an array of
        output speeds.

        * info/display.c (free_display) Do not free a NULL display.

        * info/display.c (string_width): New functions returns the width of
        STRING when printed at HPOS.

Sun Nov 29 01:24:42 1992  Brian Fox  (bfox@cubit)

        * info/info.c: New version 2.4 beta.

        * info/general.h: #define info_toupper and info_tolower which check
        their arguments before performing any conversion.

        * info/search.c, info/echo_area.c: Use info_toupper.

Sat Nov 28 14:23:24 1992  Brian Fox  (bfox@cubit)

        * info/session.c (info_scroll_forward, info_scroll_backward) If at
        last/first page of the node, and the last command was
        forward/backward, do info_next/prev/_node.

        * info/session.c: New function info_select_reference_this_line gets
        menu or cross reference immediately.

